Bug 146818 - [update] games/openarena latest release
[update] games/openarena latest release
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: pav
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-22 09:10 UTC by kamikaze
Modified: 2010-11-25 15:30 UTC (History)
0 users

See Also:


Attachments
file.shar (2.43 KB, text/plain)
2010-05-22 09:10 UTC, kamikaze
no flags Details
openarena.diff (31.26 KB, patch)
2010-06-16 17:25 UTC, naylor.b.david
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kamikaze 2010-05-22 09:10:01 UTC
OpenArena is terribly outdated.

I am the ioquake3 maintainer and the OA code uses a branch of the same engine. I hereby ask for maintainership of the OA port.

The patch does:

games/ioquake3
- Explicitly declare on/off client/smp/server builds, because of different
  defaults in the OA build (does not cause any changes to ioquake3 or
  ioquake3-devel, no version bump required)

games/openarena
- Complete rewrite of the port as a games/ioquake3 slave port

Following a commit I will submit an OAX (OpenArena Xpanded) port.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-05-22 09:10:09 UTC
Maintainer of games/openarena,

Please note that PR ports/146818 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/146818

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-05-22 09:10:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 kamikaze 2010-05-22 09:22:10 UTC
Wrong file, very embarrassing. :(

This is the one:

diff -Nur ioquake3.orig/Makefile ioquake3/Makefile
--- ioquake3.orig/Makefile	2010-05-22 09:48:02.000000000 +0200
+++ ioquake3/Makefile	2010-05-22 09:49:47.000000000 +0200
@@ -101,6 +101,7 @@
 PLIST_SUB+=	CLIENT=""
 Q3BIN+=		${Q3CLIENT}
 .else
+MAKE_ARGS+=	BUILD_CLIENT=0
 PLIST_SUB+=	CLIENT="@comment "
 .endif
 
@@ -109,6 +110,7 @@
 PLIST_SUB+=	DEDICATED=""
 Q3BIN+=		${Q3SERVER}
 .else
+MAKE_ARGS+=	BUILD_SERVER=0
 PLIST_SUB+=	DEDICATED="@comment "
 .endif
 
@@ -125,6 +127,7 @@
 PLIST_SUB+=	SMP=""
 Q3BIN+=		${Q3CLIENT}-smp
 .else
+MAKE_ARGS+=	BUILD_CLIENT_SMP=0
 PLIST_SUB+=	SMP="@comment "
 .endif
 
diff -Nur openarena.orig/Makefile openarena/Makefile
--- openarena.orig/Makefile	2010-01-25 20:15:12.000000000 +0100
+++ openarena/Makefile	2010-05-22 00:47:51.000000000 +0200
@@ -6,147 +6,48 @@
 #
 
 PORTNAME=	openarena
-PORTVERSION=	0.7.1
-PORTREVISION=	5
-CATEGORIES=	games
-MASTER_SITES=	http://openarena.ws/rel/070/:src \
-		http://download.tuxfamily.net/cooker/openarena/rel070/:data \
-		ftp://ftp.alepulver.com.ar/distfiles/:patch
-DISTNAME=	ioq3-src-oa
+DISTVERSION=	0.8.5
+PORTREVISION=	0
+MASTER_SITES=	http://files.poulsander.com/~poul19/public_files/oa/dev081/:src \
+		http://openarena.ws/request.php?2\\\#/:data \
+		http://openarena.ws/request.php?3\\\#/:patch
+DISTNAME=	${PORTNAME}-engine-source-0.8.x-15
 DISTFILES=	${DISTNAME}${EXTRACT_SUFX}:src \
 		${OA_DATA}:data \
 		${OA_PATCH}:patch
 EXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}
 
-MAINTAINER=	hemi@puresimplicity.net
-COMMENT=	GPL-licensed total conversion of Quake 3
+MAINTAINER=	kamikaze@bsdforen.de
+COMMENT=	ioquake3 engine based total conversion of Quake3
 
-EXTRACT_DEPENDS=unzip:${PORTSDIR}/archivers/unzip
-LIB_DEPENDS=	vorbis.4:${PORTSDIR}/audio/libvorbis
+INSTALL_DEPENDS=unzip:${PORTSDIR}/archivers/unzip
 
 USE_BZIP2=	yes
-USE_GMAKE=	yes
-NO_WRKSUBDIR=	yes
+USE_ZIP=	no
+# OpenArena doc is too messy to bother
+NOPORTDOCS=	yes
+
+OA_DATA=	oa081.zip 
+OA_DATA_VER=	0.8.1
+OA_PATCH=	oa085p.zip
+OA_PATCH_VER=	0.8.1
+Q3TOTALCONV=	yes
+Q3CLIENT=	openarena
+Q3SERVER=	oa_ded
+Q3TOOLS=
+Q3BASE=		baseoa
+Q3INSTALL=	oainstall
+Q3DIR=		${DATADIR}
+
+oainstall:
+		@${MKDIR} ${DATADIR}/baseoa
+		@${UNZIP_CMD} -j ${DISTDIR}/${OA_DATA} \
+			${PORTNAME}-${OA_DATA_VER}/baseoa/\* \
+			-d ${DATADIR}/baseoa
+		@${UNZIP_CMD} -j ${DISTDIR}/${OA_PATCH} \
+			${PORTNAME}-${OA_PATCH_VER}/baseoa/\* \
+			-d ${DATADIR}/baseoa
+		@${CHMOD} -R o-w ${DATADIR}
 
-OPTIONS=	CLIENT "Build client" on \
-		DEDICATED "Build dedicated server" on \
-		OPENAL "Enable OpenAL (3D sound) support" off \
-		OPENAL_DLOPEN "Enable dynamic loading of OpenAL" off \
-		OPTIMIZED_CFLAGS "Enable compilation optimizations" on \
-		SDL_AUDIO "Use SDL for audio" off \
-		SDL_VIDEO "Use SDL for video" off \
-		SMP "Build SMP (threaded) client" on \
-
-MAKE_ENV=	DEFAULT_BASEDIR="${DATADIR}" LIBDIR="${LIBDIR}" \
-		PTHREAD_LIBS="${PTHREAD_LIBS}" USE_CODEC_VORBIS=1
-PLIST_SUB=	LIBDIR="${LIBDIR:S/${PREFIX}\///}"
-
-LIBDIR=		${PREFIX}/lib/${PORTNAME}
-VM_ARCHS=	amd64 i386 powerpc
-OA_DATA=	oa070.zip
-OA_PATCH=	oa071-patch.zip
-
-.include <bsd.port.pre.mk>
-
-.if defined(WITHOUT_CLIENT) && defined(WITHOUT_DEDICATED) && \
-    defined(WITHOUT_SMP)
-IGNORE=		needs at least one of CLIENT, DEDICATED and SMP options
-.endif
-
-.for i in ${ARCH}
-.   if ${VM_ARCHS:M${i}} != ""
-HAVE_VM_COMPILED=	yes
-.   endif
-.endfor
-
-.if defined(HAVE_VM_COMPILED)
-MAKE_ENV+=	HAVE_VM_COMPILED=true
-.endif
-
-.if !defined(WITHOUT_CLIENT) || !defined(WITHOUT_SMP)
-# OpenAL
-.   if defined(WITH_OPENAL)
-USE_OPENAL=	al
-MAKE_ENV+=	USE_OPENAL=1
-.       if defined(WITH_OPENAL_DLOPEN)
-MAKE_ENV+=	USE_OPENAL_DLOPEN=1
-.       endif
-.   endif
-# SDL
-.   if defined(WITH_SDL_AUDIO)
-USE_SDL=	sdl
-MAKE_ENV+=	USE_SDL_AUDIO=1
-.   endif
-.   if defined(WITH_SDL_VIDEO)
-USE_SDL=	sdl
-MAKE_ENV+=	USE_SDL_VIDEO=1
-.   else
-USE_GL=		yes
-USE_XORG=	x11 xxf86dga
-.   endif
-.endif
-
-.if !defined(WITHOUT_CLIENT)
-MAKE_ENV+=	BUILD_CLIENT=1
-PLIST_SUB+=	CLIENT=""
-OABIN+=		ioquake3
-.else
-PLIST_SUB+=	CLIENT="@comment "
-.endif
-
-.if !defined(WITHOUT_DEDICATED)
-MAKE_ENV+=	BUILD_SERVER=1
-PLIST_SUB+=	DEDICATED=""
-OABIN+=		ioq3ded
-.else
-PLIST_SUB+=	DEDICATED="@comment "
-.endif
-
-.if defined(WITH_GAMELIBS) || !defined(HAVE_VM_COMPILED)
-MAKE_ENV+=	BUILD_GAME_SO=1
-PLIST_SUB+=	GAMELIBS=""
-.else
-PLIST_SUB+=	GAMELIBS="@comment "
-.endif
-
-.if !defined(WITHOUT_OPTIMIZED_CFLAGS)
-MAKE_ENV+=	USE_OPTIMIZED_CFLAGS=1
-.endif
-
-.if !defined(WITHOUT_SMP)
-MAKE_ENV+=	BUILD_CLIENT_SMP=1
-PLIST_SUB+=	SMP=""
-OABIN+=		ioquake3-smp
-.else
-PLIST_SUB+=	SMP="@comment "
-.endif
-
-.if ${ARCH} == "sparc64"
-BROKEN=		Does not compile
-.endif
-
-post-extract:
-.for f in ${OA_DATA} ${OA_PATCH}
-	@${UNZIP_CMD} -qo ${DISTDIR}/${f} -d ${WRKDIR}
-.endfor
-
-do-install:
-.for bin in ${OABIN}
-	${INSTALL_PROGRAM} ${WRKSRC}/build/release/${bin} \
-		${PREFIX}/bin/${bin:C/(ioquake3|ioq3)/${PORTNAME}/}
-.endfor
-.if defined(WITH_GAMELIBS) || !defined(HAVE_VM_COMPILED)
-.for dir in baseq3 missionpack
-	${MKDIR} ${LIBDIR}/${dir}
-	${INSTALL_PROGRAM} ${WRKSRC}/build/release/${dir}/*.so ${LIBDIR}/${dir}
-.endfor
-.endif
-	${MKDIR} ${DATADIR}
-	${CP} -R ${WRKDIR}/${PORTNAME}-0.7.0/baseoa ${DATADIR}
-
-post-install:
-	@${ECHO_CMD}
-	@${CAT} ${PKGMESSAGE}
-	@${ECHO_CMD}
 
-.include <bsd.port.post.mk>
+.include "${.CURDIR}/../ioquake3/Makefile"
diff -Nur openarena.orig/Makefile.include openarena/Makefile.include
--- openarena.orig/Makefile.include	1970-01-01 01:00:00.000000000 +0100
+++ openarena/Makefile.include	2010-05-22 09:42:33.000000000 +0200
@@ -0,0 +1,15 @@
+PKGNAMEPREFIX?=	openarena-
+OADIR?=		${PREFIX}/share/openarena
+DATADIR?=	${OADIR}
+
+PLIST_SUB+=	OADIR="${OADIR}"
+
+RUN_DEPENDS+=	${OABIN}:${PORTSDIR}/games/openarena
+
+# You only need server or client.
+.if exists(oa_ded)
+OABIN=		oa_ded
+.else
+OABIN=		openarena
+.endif
+
diff -Nur openarena.orig/distinfo openarena/distinfo
--- openarena.orig/distinfo	2007-09-06 05:50:23.000000000 +0200
+++ openarena/distinfo	2010-05-21 22:17:38.000000000 +0200
@@ -1,9 +1,9 @@
-MD5 (ioq3-src-oa.tar.bz2) = a43cd6044de919dd2af94fb4159ddb47
-SHA256 (ioq3-src-oa.tar.bz2) = b51a890a525e9a7c49fe9fe3808ec6bba0738014d008078bbd28244934d145b9
-SIZE (ioq3-src-oa.tar.bz2) = 3539582
-MD5 (oa070.zip) = 739548bfc5dc1d129d20c0f67d54df48
-SHA256 (oa070.zip) = f420978abedd701744de06bdba3a7c3624175aafb891101f77887581ce8576a1
-SIZE (oa070.zip) = 263123081
-MD5 (oa071-patch.zip) = 5fa31998009f8241ad3ded93eb81e701
-SHA256 (oa071-patch.zip) = 7f6162b04cf624fea73083430b7a5c7a15826fe3ce536c2280448f403fd3561a
-SIZE (oa071-patch.zip) = 12287230
+MD5 (openarena-engine-source-0.8.x-15.tar.bz2) = 868a6d0dca1579a0cbc05192b9cdc70d
+SHA256 (openarena-engine-source-0.8.x-15.tar.bz2) = fc274de6cc4a6a880618d38267d4453fdb3125fc8587b08e6ea51dd137a88650
+SIZE (openarena-engine-source-0.8.x-15.tar.bz2) = 8080759
+MD5 (oa081.zip) = 49006bcb02b4e8ea3d06749e8f4e4887
+SHA256 (oa081.zip) = c96282de8bc2ac5781df58c6adbce4265376e36190af50d7528f51dc739b6d7d
+SIZE (oa081.zip) = 318927645
+MD5 (oa085p.zip) = b2a0437da751cd50dd2351ed9e0c4e9d
+SHA256 (oa085p.zip) = d360c4b095bc3b34d03d9a366b21c12052c3f9e9c57e86b17c8b2c038baa4719
+SIZE (oa085p.zip) = 42528474
diff -Nur openarena.orig/files/patch-Makefile openarena/files/patch-Makefile
--- openarena.orig/files/patch-Makefile	2008-04-19 19:49:20.000000000 +0200
+++ openarena/files/patch-Makefile	2010-05-22 00:10:56.000000000 +0200
@@ -1,70 +1,6 @@
---- Makefile.orig	Sat Jul  7 02:50:34 2007
-+++ Makefile	Sun Jul 29 04:30:00 2007
-@@ -26,11 +26,19 @@
-   endif
- endif
- 
--BUILD_CLIENT     =
--BUILD_CLIENT_SMP =
--BUILD_SERVER     =
--BUILD_GAME_SO    =
--BUILD_GAME_QVM   =
-+BUILD_CLIENT?=0
-+BUILD_CLIENT_SMP?=0
-+BUILD_GAME_QVM?=0
-+BUILD_GAME_SO?=0
-+BUILD_SERVER?=0
-+HAVE_VM_COMPILED?=false
-+USE_CODEC_VORBIS?=0
-+USE_LOCAL_HEADERS?=0
-+USE_OPENAL?=0
-+USE_OPENAL_DLOPEN?=0
-+USE_OPTIMIZED_CFLAGS?=0
-+USE_SDL_AUDIO?=0
-+USE_SDL_VIDEO?=0
- 
- #############################################################################
- #
-@@ -88,18 +96,6 @@
- endif
- export USE_CCACHE
- 
--ifndef USE_SDL
--USE_SDL=1
--endif
--
--ifndef USE_OPENAL
--USE_OPENAL=1
--endif
--
--ifndef USE_OPENAL_DLOPEN
--USE_OPENAL_DLOPEN=0
--endif
--
- ifndef USE_CURL
- USE_CURL=1
- endif
-@@ -112,18 +108,10 @@
-   endif
- endif
- 
--ifndef USE_CODEC_VORBIS
--USE_CODEC_VORBIS=1
--endif
--
--ifndef USE_LOCAL_HEADERS
--USE_LOCAL_HEADERS=1
--endif
--
- #############################################################################
- 
- BD=$(BUILD_DIR)/debug-$(PLATFORM)-$(ARCH)
--BR=$(BUILD_DIR)/release-$(PLATFORM)-$(ARCH)
-+BR=$(BUILD_DIR)/release
- CDIR=$(MOUNT_DIR)/client
- SDIR=$(MOUNT_DIR)/server
- RDIR=$(MOUNT_DIR)/renderer
-@@ -498,18 +486,12 @@
+--- Makefile.orig	2010-04-24 23:29:15.000000000 +0200
++++ Makefile	2010-05-22 00:10:08.000000000 +0200
+@@ -561,45 +561,22 @@
  
  ifeq ($(PLATFORM),freebsd)
  
@@ -73,265 +9,118 @@
 -  else #default to i386
 -    ARCH=i386
 -  endif #alpha test
--
-+  BASE_CFLAGS = -DARCH='\"$(ARCH)\"' -DLIBDIR='\"$(LIBDIR)\"' -I$(LOCALBASE)/include -Wall -fno-strict-aliasing -Wimplicit -Wstrict-prototypes
++  # system integration
++  ifndef DEFAULT_LIBDIR
++    DEFAULT_LIBDIR = /usr/local/lib/ioquake3
++  endif
  
--  BASE_CFLAGS = -Wall -fno-strict-aliasing -Wimplicit -Wstrict-prototypes
+-  BASE_CFLAGS = -Wall -fno-strict-aliasing -Wimplicit -Wstrict-prototypes \
+-    -DUSE_ICON
++  # flags
++  BASE_CFLAGS = $(shell env MACHINE_ARCH=$(ARCH) make -f /dev/null -VCFLAGS) \
++    -Wall -fno-strict-aliasing -Wimplicit -Wstrict-prototypes \
++    -DDEFAULT_LIBDIR=\\\"$(DEFAULT_LIBDIR)\\\" \
++    -DUSE_ICON -DMAP_ANONYMOUS=MAP_ANON
+   CLIENT_CFLAGS = $(SDL_CFLAGS)
+   SERVER_CFLAGS = 
++  HAVE_VM_COMPILED = true
+ 
+-  ifeq ($(USE_OPENAL),1)
+-    CLIENT_CFLAGS += -DUSE_OPENAL
+-    ifeq ($(USE_OPENAL_DLOPEN),1)
+-      CLIENT_CFLAGS += -DUSE_OPENAL_DLOPEN
+-    endif
+-  endif
+-
+-  ifeq ($(USE_CODEC_VORBIS),1)
+-    CLIENT_CFLAGS += -DUSE_CODEC_VORBIS
+-  endif
+-
+-  OPTIMIZEVM = -O3 -funroll-loops -fomit-frame-pointer
 -
--  GL_CFLAGS = -I/usr/X11R6/include
-+  GL_CFLAGS = -I$(LOCALBASE)/include
- 
-   DEBUG_CFLAGS=$(BASE_CFLAGS) -g
-+  RELEASE_CFLAGS=$(BASE_CFLAGS) -DNDEBUG -pipe
- 
-   ifeq ($(USE_OPENAL),1)
-     BASE_CFLAGS += -DUSE_OPENAL=1
-@@ -522,47 +504,61 @@
-     BASE_CFLAGS += -DUSE_CODEC_VORBIS=1
-   endif
- 
--  ifeq ($(USE_SDL),1)
--    BASE_CFLAGS += $(shell sdl-config --cflags) -DUSE_SDL_VIDEO=1 -DUSE_SDL_SOUND=1
-+  ifeq ($(USE_SDL_AUDIO),1)
-+    BASE_CFLAGS += $(shell $(SDL_CONFIG) --cflags)
-+  else
-+    ifeq ($(USE_SDL_VIDEO),1)
-+      BASE_CFLAGS += $(shell $(SDL_CONFIG) --cflags)
-+    endif
-   endif
- 
 -  ifeq ($(ARCH),axp)
--    CC=gcc
 -    BASE_CFLAGS += -DNO_VM_COMPILED
--    RELEASE_CFLAGS=$(BASE_CFLAGS) -DNDEBUG -O3 -ffast-math -funroll-loops \
--      -fomit-frame-pointer -fexpensive-optimizations
+-    OPTIMIZEVM += -fexpensive-optimizations
 -  else
 -  ifeq ($(ARCH),i386)
--    CC=gcc
--    RELEASE_CFLAGS=$(BASE_CFLAGS) -DNDEBUG -O3 -mtune=pentiumpro \
--      -march=pentium -fomit-frame-pointer -pipe -ffast-math \
--      -falign-loops=2 -falign-jumps=2 -falign-functions=2 \
--      -funroll-loops -fstrength-reduce
+-    OPTIMIZEVM += -mtune=pentiumpro \
+-      -march=pentium -pipe -falign-loops=2 -falign-jumps=2 \
+-      -falign-functions=2 -funroll-loops -fstrength-reduce
 -    HAVE_VM_COMPILED=true
 -  else
 -    BASE_CFLAGS += -DNO_VM_COMPILED
-+  ifeq ($(USE_SDL_AUDIO),1)
-+    BASE_CFLAGS += -DUSE_SDL_SOUND=1
-   endif
-+
-+  ifeq ($(USE_SDL_VIDEO),1)
-+    BASE_CFLAGS += -DUSE_SDL_VIDEO=1
-+  endif
-+
-+  ifeq ($(USE_OPTIMIZED_CFLAGS),1)
-+    RELEASE_CFLAGS+=-O3 -ffast-math -funroll-loops -fomit-frame-pointer \
-+       -fexpensive-optimizations
-+    ifeq ($(ARCH),i386)
-+      RELEASE_CFLAGS+=-falign-loops=2 -falign-jumps=2 -falign-functions=2 \
-+         -fstrength-reduce
-+    endif
-+  endif
-+
-+  ifneq ($(HAVE_VM_COMPILED),true)
-+    BASE_CFLAGS += -DNO_VM_COMPILED
-   endif
+-  endif
+-  endif
+-
+-  OPTIMIZE = $(OPTIMIZEVM) -ffast-math
++  OPTIMIZEVM = -O3 -funroll-loops -fomit-frame-pointer -ffast-math
++  OPTIMIZE = $(OPTIMIZEVM)
  
    SHLIBEXT=so
    SHLIBCFLAGS=-fPIC
-   SHLIBLDFLAGS=-shared $(LDFLAGS)
+@@ -613,17 +590,40 @@
  
--  THREAD_LDFLAGS=-lpthread
-+  THREAD_LDFLAGS=$(PTHREAD_LIBS)
-   # don't need -ldl (FreeBSD)
-   LDFLAGS=-lm
+   CLIENT_LIBS += $(SDL_LIBS) -lGL
  
--  CLIENT_LDFLAGS =
-+  CLIENT_LDFLAGS = -L$(LOCALBASE)/lib
++  # optional features/libraries
+   ifeq ($(USE_OPENAL),1)
+-    ifneq ($(USE_OPENAL_DLOPEN),1)
++    CLIENT_CFLAGS += -DUSE_OPENAL
++    ifeq ($(USE_OPENAL_DLOPEN),1)
++      CLIENT_CFLAGS += -DUSE_OPENAL_DLOPEN
+       CLIENT_LIBS += $(THREAD_LIBS) -lopenal
+     endif
+   endif
  
--  ifeq ($(USE_SDL),1)
--    CLIENT_LDFLAGS += $(shell sdl-config --libs)
-+  ifeq ($(USE_SDL_AUDIO),1)
-+    CLIENT_LDFLAGS += $(shell $(SDL_CONFIG) --libs)
-   else
--    CLIENT_LDFLAGS += -L/usr/X11R6/$(LIB) -lGL -lX11 -lXext -lXxf86dga -lXxf86vm
-+    ifeq ($(USE_SDL_VIDEO),1)
-+      CLIENT_LDFLAGS += $(shell $(SDL_CONFIG) --libs)
++  ifeq ($(USE_CURL),1)
++    CLIENT_CFLAGS += -DUSE_CURL
++    ifeq ($(USE_CURL_DLOPEN),1)
++      CLIENT_CFLAGS += -DUSE_CURL_DLOPEN
++      CLIENT_LIBS += -lcurl
 +    endif
 +  endif
 +
-+  ifneq ($(USE_SDL_VIDEO),1)
-+    CLIENT_LDFLAGS += -L$(LOCALBASE)/lib -lGL -lX11 -lXext -lXxf86dga -lXxf86vm
-   endif
- 
-   ifeq ($(USE_OPENAL),1)
-+    CLIENT_LDFLAGS += $(THREAD_LDFLAGS)
-     ifneq ($(USE_OPENAL_DLOPEN),1)
--      CLIENT_LDFLAGS += $(THREAD_LDFLAGS) -lopenal
-+      CLIENT_LDFLAGS += -lopenal
+   ifeq ($(USE_CODEC_VORBIS),1)
+-    ifeq ($(PLATFORM),mingw32)
+-      CLIENT_LIBS += $(LIBSDIR)/win32/libvorbisfile.a $(LIBSDIR)/win32/libvorbis.a $(LIBSDIR)/win32/libogg.a
+-    else
+-      CLIENT_LIBS += -lvorbisfile -lvorbis -logg
++    CLIENT_CFLAGS += -DUSE_CODEC_VORBIS
++  endif
++
++  ifeq ($(USE_CODEC_VORBIS),1)
++    CLIENT_LIBS += -lvorbisfile -lvorbis -logg
++  endif
++
++  # cross-compiling tweaks
++  ifeq ($(ARCH),i386)
++    ifeq ($(CROSS_COMPILING),1)
++      BASE_CFLAGS += -m32
++    endif
++  endif
++  ifeq ($(ARCH),amd64)
++    ifeq ($(CROSS_COMPILING),1)
++      BASE_CFLAGS += -m64
      endif
    endif
  
-@@ -570,7 +566,6 @@
-     CLIENT_LDFLAGS += -lvorbisfile -lvorbis -logg
-   endif
- 
--
- else # ifeq freebsd
- 
- #############################################################################
-@@ -725,24 +720,25 @@
- TARGETS =
- 
- ifneq ($(BUILD_SERVER),0)
--  TARGETS += $(B)/ioq3ded.$(ARCH)$(BINEXT)
-+  TARGETS += $(B)/ioq3ded$(BINEXT)
- endif
- 
- ifneq ($(BUILD_CLIENT),0)
--  TARGETS += $(B)/ioquake3.$(ARCH)$(BINEXT)
--  ifneq ($(BUILD_CLIENT_SMP),0)
--    TARGETS += $(B)/ioquake3-smp.$(ARCH)$(BINEXT)
--  endif
-+  TARGETS += $(B)/ioquake3$(BINEXT)
-+endif
-+
-+ifneq ($(BUILD_CLIENT_SMP),0)
-+  TARGETS += $(B)/ioquake3-smp$(BINEXT)
- endif
- 
- ifneq ($(BUILD_GAME_SO),0)
-   TARGETS += \
--    $(B)/baseq3/cgame$(ARCH).$(SHLIBEXT) \
--    $(B)/baseq3/qagame$(ARCH).$(SHLIBEXT) \
--    $(B)/baseq3/ui$(ARCH).$(SHLIBEXT)     \
--    $(B)/missionpack/cgame$(ARCH).$(SHLIBEXT) \
--    $(B)/missionpack/qagame$(ARCH).$(SHLIBEXT) \
--    $(B)/missionpack/ui$(ARCH).$(SHLIBEXT)
-+    $(B)/baseq3/cgame.$(SHLIBEXT) \
-+    $(B)/baseq3/qagame.$(SHLIBEXT) \
-+    $(B)/baseq3/ui.$(SHLIBEXT)     \
-+    $(B)/missionpack/cgame.$(SHLIBEXT) \
-+    $(B)/missionpack/qagame.$(SHLIBEXT) \
-+    $(B)/missionpack/ui.$(SHLIBEXT)
- endif
- 
- ifneq ($(BUILD_GAME_QVM),0)
-@@ -804,11 +800,11 @@
- 	$(MAKE)  targets B=$(BD) CFLAGS="$(CFLAGS) $(DEBUG_CFLAGS) $(DEPEND_CFLAGS)"
- 
- build_release: B=$(BR)
--build_release: makedirs tools
-+build_release: makedirs
- 	$(MAKE)  targets B=$(BR) CFLAGS="$(CFLAGS) $(RELEASE_CFLAGS) $(DEPEND_CFLAGS)"
- 
- #Build both debug and release builds
--all:build_debug build_release
-+all:build_release
- 
- targets: $(TARGETS)
- 
-@@ -1022,13 +1018,10 @@
-   ifeq ($(ARCH),i386)
-     Q3OBJ += $(B)/client/vm_x86.o
+@@ -1555,6 +1555,9 @@
+   ifeq ($(ARCH),x86_64)
+     Q3OBJ += $(B)/client/vm_x86_64.o $(B)/client/vm_x86_64_assembler.o
    endif
--  ifeq ($(ARCH),x86)
--    Q3OBJ += $(B)/client/vm_x86.o
--  endif
--  ifeq ($(ARCH),x86_64)
 +  ifeq ($(ARCH),amd64)
-     Q3OBJ += $(B)/client/vm_x86_64.o
-   endif
--  ifeq ($(ARCH),ppc)
-+  ifeq ($(ARCH),powerpc)
-     Q3OBJ += $(B)/client/$(VM_PPC).o
++    Q3OBJ += $(B)/client/vm_x86_64.o $(B)/client/vm_x86_64_assembler.o
++  endif
+   ifeq ($(ARCH),ppc)
+     Q3OBJ += $(B)/client/vm_powerpc.o $(B)/client/vm_powerpc_asm.o
    endif
- endif
-@@ -1075,10 +1068,10 @@
-     $(B)/client/sdl_glimp_smp.o
- endif
- 
--$(B)/ioquake3.$(ARCH)$(BINEXT): $(Q3OBJ) $(Q3POBJ) $(LIBSDLMAIN)
-+$(B)/ioquake3$(BINEXT): $(Q3OBJ) $(Q3POBJ) $(LIBSDLMAIN)
- 	$(CC)  -o $@ $(Q3OBJ) $(Q3POBJ) $(CLIENT_LDFLAGS) $(LDFLAGS) $(LIBSDLMAIN)
- 
--$(B)/ioquake3-smp.$(ARCH)$(BINEXT): $(Q3OBJ) $(Q3POBJ_SMP) $(LIBSDLMAIN)
-+$(B)/ioquake3-smp$(BINEXT): $(Q3OBJ) $(Q3POBJ_SMP) $(LIBSDLMAIN)
- 	$(CC)  -o $@ $(Q3OBJ) $(Q3POBJ_SMP) $(CLIENT_LDFLAGS) \
- 		$(THREAD_LDFLAGS) $(LDFLAGS) $(LIBSDLMAIN)
- 
-@@ -1378,18 +1371,15 @@
-   ifeq ($(ARCH),i386)
-     Q3DOBJ += $(B)/ded/vm_x86.o
+@@ -1720,6 +1723,9 @@
+   ifeq ($(ARCH),x86_64)
+     Q3DOBJ += $(B)/ded/vm_x86_64.o $(B)/ded/vm_x86_64_assembler.o
    endif
--  ifeq ($(ARCH),x86)
--    Q3DOBJ += $(B)/ded/vm_x86.o
--  endif
--  ifeq ($(ARCH),x86_64)
 +  ifeq ($(ARCH),amd64)
-     Q3DOBJ += $(B)/ded/vm_x86_64.o
-   endif
--  ifeq ($(ARCH),ppc)
-+  ifeq ($(ARCH),powerpc)
-     Q3DOBJ += $(B)/ded/$(VM_PPC).o
++    Q3DOBJ += $(B)/ded/vm_x86_64.o $(B)/ded/vm_x86_64_assembler.o
++  endif
+   ifeq ($(ARCH),ppc)
+     Q3DOBJ += $(B)/ded/vm_powerpc.o $(B)/ded/vm_powerpc_asm.o
    endif
- endif
- 
--$(B)/ioq3ded.$(ARCH)$(BINEXT): $(Q3DOBJ)
-+$(B)/ioq3ded$(BINEXT): $(Q3DOBJ)
- 	$(CC) -o $@ $(Q3DOBJ) $(LDFLAGS)
- 
- $(B)/ded/sv_bot.o : $(SDIR)/sv_bot.c; $(DO_DED_CC)
-@@ -1506,7 +1496,7 @@
- Q3CGOBJ = $(Q3CGOBJ_) $(B)/baseq3/cgame/cg_syscalls.o
- Q3CGVMOBJ = $(Q3CGOBJ_:%.o=%.asm) $(B)/baseq3/game/bg_lib.asm
- 
--$(B)/baseq3/cgame$(ARCH).$(SHLIBEXT) : $(Q3CGOBJ)
-+$(B)/baseq3/cgame.$(SHLIBEXT) : $(Q3CGOBJ)
- 	$(CC) $(SHLIBLDFLAGS) -o $@ $(Q3CGOBJ)
- 
- $(B)/baseq3/vm/cgame.qvm: $(Q3CGVMOBJ) $(CGDIR)/cg_syscalls.asm
-@@ -1547,7 +1537,7 @@
- MPCGOBJ = $(MPCGOBJ_) $(B)/missionpack/cgame/cg_syscalls.o
- MPCGVMOBJ = $(MPCGOBJ_:%.o=%.asm) $(B)/missionpack/game/bg_lib.asm
- 
--$(B)/missionpack/cgame$(ARCH).$(SHLIBEXT) : $(MPCGOBJ)
-+$(B)/missionpack/cgame$(SHLIBEXT) : $(MPCGOBJ)
- 	$(CC) $(SHLIBLDFLAGS) -o $@ $(MPCGOBJ)
- 
- $(B)/missionpack/vm/cgame.qvm: $(MPCGVMOBJ) $(CGDIR)/cg_syscalls.asm
-@@ -1597,7 +1587,7 @@
- Q3GOBJ = $(Q3GOBJ_) $(B)/baseq3/game/g_syscalls.o
- Q3GVMOBJ = $(Q3GOBJ_:%.o=%.asm) $(B)/baseq3/game/bg_lib.asm
- 
--$(B)/baseq3/qagame$(ARCH).$(SHLIBEXT) : $(Q3GOBJ)
-+$(B)/baseq3/qagame.$(SHLIBEXT) : $(Q3GOBJ)
- 	$(CC) $(SHLIBLDFLAGS) -o $@ $(Q3GOBJ)
- 
- $(B)/baseq3/vm/qagame.qvm: $(Q3GVMOBJ) $(GDIR)/g_syscalls.asm
-@@ -1645,7 +1635,7 @@
- MPGOBJ = $(MPGOBJ_) $(B)/missionpack/game/g_syscalls.o
- MPGVMOBJ = $(MPGOBJ_:%.o=%.asm) $(B)/missionpack/game/bg_lib.asm
- 
--$(B)/missionpack/qagame$(ARCH).$(SHLIBEXT) : $(MPGOBJ)
-+$(B)/missionpack/qagame.$(SHLIBEXT) : $(MPGOBJ)
- 	$(CC) $(SHLIBLDFLAGS) -o $@ $(MPGOBJ)
- 
- $(B)/missionpack/vm/qagame.qvm: $(MPGVMOBJ) $(GDIR)/g_syscalls.asm
-@@ -1705,7 +1695,7 @@
- Q3UIOBJ = $(Q3UIOBJ_) $(B)/missionpack/ui/ui_syscalls.o
- Q3UIVMOBJ = $(Q3UIOBJ_:%.o=%.asm) $(B)/baseq3/game/bg_lib.asm
- 
--$(B)/baseq3/ui$(ARCH).$(SHLIBEXT) : $(Q3UIOBJ)
-+$(B)/baseq3/ui.$(SHLIBEXT) : $(Q3UIOBJ)
- 	$(CC) $(CFLAGS) $(SHLIBLDFLAGS) -o $@ $(Q3UIOBJ)
- 
- $(B)/baseq3/vm/ui.qvm: $(Q3UIVMOBJ) $(UIDIR)/ui_syscalls.asm
-@@ -1730,7 +1720,7 @@
- MPUIOBJ = $(MPUIOBJ_) $(B)/missionpack/ui/ui_syscalls.o
- MPUIVMOBJ = $(MPUIOBJ_:%.o=%.asm) $(B)/baseq3/game/bg_lib.asm
- 
--$(B)/missionpack/ui$(ARCH).$(SHLIBEXT) : $(MPUIOBJ)
-+$(B)/missionpack/ui.$(SHLIBEXT) : $(MPUIOBJ)
- 	$(CC) $(CFLAGS) $(SHLIBLDFLAGS) -o $@ $(MPUIOBJ)
- 
- $(B)/missionpack/vm/ui.qvm: $(MPUIVMOBJ) $(UIDIR)/ui_syscalls.asm
diff -Nur openarena.orig/files/patch-code__qcommon__common.c openarena/files/patch-code__qcommon__common.c
--- openarena.orig/files/patch-code__qcommon__common.c	2007-09-06 05:50:23.000000000 +0200
+++ openarena/files/patch-code__qcommon__common.c	1970-01-01 01:00:00.000000000 +0100
@@ -1,10 +0,0 @@
---- ./code/qcommon/common.c.orig	Wed Apr 26 08:27:12 2006
-+++ ./code/qcommon/common.c	Sun Jun 11 17:26:26 2006
-@@ -25,6 +25,7 @@
- #include "qcommon.h"
- #include <setjmp.h>
- #ifndef _WIN32
-+#include <sys/types.h>
- #include <netinet/in.h>
- #include <sys/stat.h> // umask
- #else
diff -Nur openarena.orig/files/patch-code__qcommon__q_platform.h openarena/files/patch-code__qcommon__q_platform.h
--- openarena.orig/files/patch-code__qcommon__q_platform.h	2007-09-06 05:50:23.000000000 +0200
+++ openarena/files/patch-code__qcommon__q_platform.h	1970-01-01 01:00:00.000000000 +0100
@@ -1,15 +0,0 @@
---- ./code/qcommon/q_platform.h.orig	Tue Dec 27 16:46:01 2005
-+++ ./code/qcommon/q_platform.h	Sun Jun 11 17:26:26 2006
-@@ -176,11 +176,7 @@
- #define ID_INLINE inline
- #define PATH_SEP '/'
- 
--#ifdef __i386__
--#define ARCH_STRING "i386"
--#elif defined __axp__
--#define ARCH_STRING "alpha"
--#endif
-+#define ARCH_STRING ARCH
- 
- #if BYTE_ORDER == BIG_ENDIAN
- #define Q3_BIG_ENDIAN
diff -Nur openarena.orig/files/patch-code__unix__linux_glimp.c openarena/files/patch-code__unix__linux_glimp.c
--- openarena.orig/files/patch-code__unix__linux_glimp.c	2007-09-06 05:50:23.000000000 +0200
+++ openarena/files/patch-code__unix__linux_glimp.c	1970-01-01 01:00:00.000000000 +0100
@@ -1,19 +0,0 @@
---- ./code/unix/linux_glimp.c.orig	Sun Apr 30 11:32:56 2006
-+++ ./code/unix/linux_glimp.c	Sun Jun 11 17:26:26 2006
-@@ -631,8 +631,14 @@
- 
-           dx = ((int)event.xmotion.x - mwx);
-           dy = ((int)event.xmotion.y - mwy);
--					mx += dx;
--					my += dy;
-+          if (abs(dx) > 1)
-+            mx += dx * 2;
-+          else
-+            mx += dx;
-+          if (abs(dy) > 1)
-+            my += dy * 2;
-+          else
-+            my += dy;
- 
-           mwx = event.xmotion.x;
-           mwy = event.xmotion.y;
diff -Nur openarena.orig/files/patch-code__unix__unix_main.c openarena/files/patch-code__unix__unix_main.c
--- openarena.orig/files/patch-code__unix__unix_main.c	2007-09-06 05:50:23.000000000 +0200
+++ openarena/files/patch-code__unix__unix_main.c	1970-01-01 01:00:00.000000000 +0100
@@ -1,31 +0,0 @@
---- ./code/unix/unix_main.c.orig	Sun Feb 26 18:22:12 2006
-+++ ./code/unix/unix_main.c	Sun Jun 11 17:26:26 2006
-@@ -774,6 +774,7 @@
-   char  curpath[MAX_OSPATH];
-   char  fname[MAX_OSPATH];
-   char  *basepath;
-+  char  *libpath;
-   char  *homepath;
-   char  *pwdpath;
-   char  *cdpath;
-@@ -789,14 +790,19 @@
-   // TODO: use fs_searchpaths from files.c
-   pwdpath = Sys_Cwd();
-   basepath = Cvar_VariableString( "fs_basepath" );
-+  libpath = LIBDIR;
-   homepath = Cvar_VariableString( "fs_homepath" );
-   cdpath = Cvar_VariableString( "fs_cdpath" );
-   gamedir = Cvar_VariableString( "fs_game" );
- 
--  libHandle = try_dlopen(pwdpath, gamedir, fname, fqpath);
-+  if(!libHandle && homepath)
-+    libHandle = try_dlopen(pwdpath, gamedir, fname, fqpath);
- 
-   if(!libHandle && homepath)
-     libHandle = try_dlopen(homepath, gamedir, fname, fqpath);
-+
-+  if(!libHandle && basepath)
-+    libHandle = try_dlopen(libpath, gamedir, fname, fqpath);
- 
-   if(!libHandle && basepath)
-     libHandle = try_dlopen(basepath, gamedir, fname, fqpath);
diff -Nur openarena.orig/files/patch-code_client_snd_openal.c openarena/files/patch-code_client_snd_openal.c
--- openarena.orig/files/patch-code_client_snd_openal.c	2010-01-25 20:15:12.000000000 +0100
+++ openarena/files/patch-code_client_snd_openal.c	1970-01-01 01:00:00.000000000 +0100
@@ -1,11 +0,0 @@
---- code/client/snd_openal.c.orig	2009-12-26 18:20:08.000000000 +0100
-+++ code/client/snd_openal.c	2009-12-26 18:20:27.000000000 +0100
-@@ -1676,7 +1676,7 @@
- #elif defined(MACOS_X)
- #define ALDRIVER_DEFAULT "/System/Library/Frameworks/OpenAL.framework/OpenAL"
- #else
--#define ALDRIVER_DEFAULT "libopenal.so.0"
-+#define ALDRIVER_DEFAULT "libopenal.so"
- #endif
- 
- /*
diff -Nur openarena.orig/files/patch-feature-DEFAULT_LIBDIR openarena/files/patch-feature-DEFAULT_LIBDIR
--- openarena.orig/files/patch-feature-DEFAULT_LIBDIR	1970-01-01 01:00:00.000000000 +0100
+++ openarena/files/patch-feature-DEFAULT_LIBDIR	2010-05-21 22:41:08.000000000 +0200
@@ -0,0 +1,128 @@
+--- code/qcommon/files.c.orig	2009-11-09 23:41:42.205886000 +0100
++++ code/qcommon/files.c	2010-02-16 15:26:18.000000000 +0100
+@@ -242,6 +242,7 @@
+ #endif
+ 
+ static	cvar_t		*fs_basepath;
++static	cvar_t		*fs_libpath;
+ static	cvar_t		*fs_basegame;
+ static	cvar_t		*fs_gamedirvar;
+ static	searchpath_t	*fs_searchpaths;
+@@ -2807,6 +2808,8 @@
+ 	fs_debug = Cvar_Get( "fs_debug", "0", 0 );
+ 	fs_basepath = Cvar_Get ("fs_basepath", Sys_DefaultInstallPath(), CVAR_INIT );
+ 	fs_basegame = Cvar_Get ("fs_basegame", "", CVAR_INIT );
++	fs_libpath = Cvar_Get ("fs_libpath", Sys_DefaultLibPath(), CVAR_INIT );
++	
+ 	homePath = Sys_DefaultHomePath();
+ 	if (!homePath || !homePath[0]) {
+ 		homePath = fs_basepath->string;
+--- code/qcommon/qcommon.h.orig	2010-02-15 17:20:33.680787000 +0100
++++ code/qcommon/qcommon.h	2010-02-16 15:26:18.000000000 +0100
+@@ -1085,6 +1085,9 @@
+ char    *Sys_DefaultAppPath(void);
+ #endif
+ 
++void	Sys_SetDefaultLibPath(const char *path);
++char	*Sys_DefaultLibPath(void);
++
+ void  Sys_SetDefaultHomePath(const char *path);
+ char	*Sys_DefaultHomePath(void);
+ const char	*Sys_TempPath(void);
+--- code/sys/sys_main.c.orig	2010-02-15 17:20:33.680787000 +0100
++++ code/sys/sys_main.c	2010-02-16 15:26:18.000000000 +0100
+@@ -49,6 +49,7 @@
+ 
+ static char binaryPath[ MAX_OSPATH ] = { 0 };
+ static char installPath[ MAX_OSPATH ] = { 0 };
++static char libPath[ MAX_OSPATH ] = { 0 };
+ 
+ /*
+ =================
+@@ -95,6 +96,29 @@
+ 
+ /*
+ =================
++Sys_SetDefaultLibPath
++=================
++*/
++void Sys_SetDefaultLibPath(const char *path)
++{
++	Q_strncpyz(libPath, path, sizeof(libPath));
++}
++
++/*
++=================
++Sys_DefaultLibPath
++=================
++*/
++char *Sys_DefaultLibPath(void)
++{
++	if (*libPath)
++		return libPath;
++	else
++		return Sys_Cwd();
++}
++
++/*
++=================
+ Sys_DefaultAppPath
+ =================
+ */
+@@ -435,6 +459,7 @@
+ Used to load a development dll instead of a virtual machine
+ #1 look in fs_homepath
+ #2 look in fs_basepath
++#3 look in fs_libpath
+ =================
+ */
+ void *Sys_LoadDll( const char *name, char *fqpath ,
+@@ -445,6 +470,7 @@
+ 	void  (*dllEntry)( intptr_t (*syscallptr)(intptr_t, ...) );
+ 	char  fname[MAX_OSPATH];
+ 	char  *basepath;
++	char  *libpath;
+ 	char  *homepath;
+ 	char  *gamedir;
+ 
+@@ -454,6 +480,7 @@
+ 
+ 	// TODO: use fs_searchpaths from files.c
+ 	basepath = Cvar_VariableString( "fs_basepath" );
++	libpath = Cvar_VariableString( "fs_libpath" );
+ 	homepath = Cvar_VariableString( "fs_homepath" );
+ 	gamedir = Cvar_VariableString( "fs_game" );
+ 
+@@ -462,6 +489,9 @@
+ 	if(!libHandle && basepath)
+ 		libHandle = Sys_TryLibraryLoad(basepath, gamedir, fname, fqpath);
+ 
++	if(!libHandle && libpath)
++		libHandle = Sys_TryLibraryLoad(libpath, gamedir, fname, fqpath);
++
+ 	if(!libHandle) {
+ 		Com_Printf ( "Sys_LoadDll(%s) failed to load library\n", name );
+ 		return NULL;
+@@ -515,6 +545,14 @@
+ #	endif
+ #endif
+ 
++#ifndef DEFAULT_LIBDIR
++#	ifdef MACOS_X
++#		define DEFAULT_LIBDIR Sys_StripAppBundle(Sys_BinaryPath())
++#	else
++#		define DEFAULT_LIBDIR Sys_BinaryPath()
++#	endif
++#endif
++
+ /*
+ =================
+ Sys_SigHandler
+@@ -589,6 +627,7 @@
+ 	Sys_ParseArgs( argc, argv );
+ 	Sys_SetBinaryPath( Sys_Dirname( argv[ 0 ] ) );
+ 	Sys_SetDefaultInstallPath( DEFAULT_BASEDIR );
++	Sys_SetDefaultLibPath( DEFAULT_LIBDIR );
+ 
+ 	// Concatenate the command line for passing to Com_Init
+ 	for( i = 1; i < argc; i++ )
diff -Nur openarena.orig/pkg-message openarena/pkg-message
--- openarena.orig/pkg-message	2007-09-06 05:50:23.000000000 +0200
+++ openarena/pkg-message	2010-05-21 20:22:46.000000000 +0200
@@ -1,10 +1,6 @@
 ==============================================================================
 
-If you have sound problems with SDL try setting the variable "s_sdlSpeed" to
-"44100". It will be saved to the configuration file.
-
-If you have sound problems with OpenAL recompile without it. Also the OPENAL
-option causes the program to omit restoring gamma and mouse sensivity after
-exitting.
+Should the game freeze when entering a match, try to change the value of
+com_zoneMegs (e.g. to 48).
 
 ==============================================================================
diff -Nur openarena.orig/pkg-plist openarena/pkg-plist
--- openarena.orig/pkg-plist	2007-09-06 05:50:23.000000000 +0200
+++ openarena/pkg-plist	2010-05-22 09:47:18.000000000 +0200
@@ -1,23 +1,18 @@
-%%DEDICATED%%bin/openarenaded
-%%CLIENT%%bin/openarena
-%%SMP%%bin/openarena-smp
+%%DEDICATED%%bin/oa_ded%%BINSUFFIX%%
+%%CLIENT%%bin/openarena%%BINSUFFIX%%
+%%SMP%%bin/openarena-smp%%BINSUFFIX%%
+%%GAMELIBS%%%%LIBDIR%%/baseoa/cgame%%ARCH%%.so
+%%GAMELIBS%%%%LIBDIR%%/baseoa/qagame%%ARCH%%.so
+%%GAMELIBS%%%%LIBDIR%%/baseoa/ui%%ARCH%%.so
+%%GAMELIBS%%@dirrm %%LIBDIR%%/baseoa
+%%GAMELIBS%%@dirrm %%LIBDIR%%
 %%DATADIR%%/baseoa/pak0.pk3
 %%DATADIR%%/baseoa/pak1-maps.pk3
 %%DATADIR%%/baseoa/pak2-players-mature.pk3
 %%DATADIR%%/baseoa/pak2-players.pk3
-%%DATADIR%%/baseoa/pak3-music.pk3
 %%DATADIR%%/baseoa/pak4-textures.pk3
 %%DATADIR%%/baseoa/pak5-TA.pk3
 %%DATADIR%%/baseoa/pak6-misc.pk3
-%%DATADIR%%/baseoa/pak7-patch.pk3
-%%GAMELIBS%%%%LIBDIR%%/baseoa/cgame.so
-%%GAMELIBS%%%%LIBDIR%%/baseoa/qagame.so
-%%GAMELIBS%%%%LIBDIR%%/baseoa/ui.so
-%%GAMELIBS%%%%LIBDIR%%/missionpack/cgame.so
-%%GAMELIBS%%%%LIBDIR%%/missionpack/qagame.so
-%%GAMELIBS%%%%LIBDIR%%/missionpack/ui.so
+%%DATADIR%%/baseoa/pak6-patch085.pk3
 @dirrm %%DATADIR%%/baseoa
-@dirrm %%DATADIR%%
-%%GAMELIBS%%@dirrm %%LIBDIR%%/missionpack
-%%GAMELIBS%%@dirrm %%LIBDIR%%/baseoa
-%%GAMELIBS%%@dirrm %%LIBDIR%%
+@dirrmtry %%DATADIR%%
Comment 4 kamikaze 2010-05-23 14:17:11 UTC
The latest ports activity by the maintainer dates back to Dec 2007
(according to Submitted by messages in the CVS log). So I ask for
a maintainer time out.

If this gets committed the openarena-oax port I accidentally
submitted can be committed along. One less PR, one less chance
for me to screw something up.

Regards

-- 
A: Because it fouls the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing on usenet and in e-mail?
Comment 5 kamikaze 2010-06-07 17:09:30 UTC
Requesting maintainer timeout!

Regards
Comment 6 kamikaze 2010-06-10 10:48:25 UTC
Patch was broken by libogg update.

Also, requesting maintainer time out!



diff -Nur ioquake3.orig/Makefile ioquake3/Makefile
--- ioquake3.orig/Makefile	2010-06-10 08:44:42.000000000 +0200
+++ ioquake3/Makefile	2010-06-10 08:47:56.000000000 +0200
@@ -101,6 +101,7 @@
 PLIST_SUB+=	CLIENT=""
 Q3BIN+=		${Q3CLIENT}
 .else
+MAKE_ARGS+=	BUILD_CLIENT=0
 PLIST_SUB+=	CLIENT="@comment "
 .endif
 
@@ -109,6 +110,7 @@
 PLIST_SUB+=	DEDICATED=""
 Q3BIN+=		${Q3SERVER}
 .else
+MAKE_ARGS+=	BUILD_SERVER=0
 PLIST_SUB+=	DEDICATED="@comment "
 .endif
 
@@ -125,6 +127,7 @@
 PLIST_SUB+=	SMP=""
 Q3BIN+=		${Q3CLIENT}-smp
 .else
+MAKE_ARGS+=	BUILD_CLIENT_SMP=0
 PLIST_SUB+=	SMP="@comment "
 .endif
 
diff -Nur openarena.orig/Makefile openarena/Makefile
--- openarena.orig/Makefile	2010-06-10 08:44:50.000000000 +0200
+++ openarena/Makefile	2010-06-10 10:27:00.000000000 +0200
@@ -6,147 +6,47 @@
 #
 
 PORTNAME=	openarena
-PORTVERSION=	0.7.1
-PORTREVISION=	6
-CATEGORIES=	games
-MASTER_SITES=	http://openarena.ws/rel/070/:src \
-		http://download.tuxfamily.net/cooker/openarena/rel070/:data \
-		ftp://ftp.alepulver.com.ar/distfiles/:patch
-DISTNAME=	ioq3-src-oa
+PORTVERSION=	0.8.5
+PORTREVISION=	0
+MASTER_SITES=	http://files.poulsander.com/~poul19/public_files/oa/dev081/:src \
+		http://openarena.ws/request.php?2\\\#/:data \
+		http://openarena.ws/request.php?3\\\#/:patch
+DISTNAME=	${PORTNAME}-engine-source-0.8.x-15
 DISTFILES=	${DISTNAME}${EXTRACT_SUFX}:src \
 		${OA_DATA}:data \
 		${OA_PATCH}:patch
 EXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}
 
-MAINTAINER=	hemi@puresimplicity.net
-COMMENT=	GPL-licensed total conversion of Quake 3
+MAINTAINER=	kamikaze@bsdforen.de
+COMMENT=	ioquake3 engine based total conversion of Quake3
 
-EXTRACT_DEPENDS=unzip:${PORTSDIR}/archivers/unzip
-LIB_DEPENDS=	vorbis.4:${PORTSDIR}/audio/libvorbis
+INSTALL_DEPENDS=unzip:${PORTSDIR}/archivers/unzip
 
 USE_BZIP2=	yes
-USE_GMAKE=	yes
-NO_WRKSUBDIR=	yes
+USE_ZIP=	no
+# OpenArena doc is too messy to bother
+NOPORTDOCS=	yes
+
+OA_DATA=	oa081.zip
+OA_DATA_VER=	0.8.1
+OA_PATCH=	oa085p.zip
+OA_PATCH_VER=	0.8.1
+Q3TOTALCONV=	yes
+Q3CLIENT=	openarena
+Q3SERVER=	oa_ded
+Q3TOOLS=
+Q3BASE=		baseoa
+Q3INSTALL=	oainstall
+Q3DIR=		${DATADIR}
+
+oainstall:
+		@${MKDIR} ${DATADIR}/baseoa
+		@${UNZIP_CMD} -j ${DISTDIR}/${OA_DATA} \
+			${PORTNAME}-${OA_DATA_VER}/baseoa/\* \
+			-d ${DATADIR}/baseoa
+		@${UNZIP_CMD} -j ${DISTDIR}/${OA_PATCH} \
+			${PORTNAME}-${OA_PATCH_VER}/baseoa/\* \
+			-d ${DATADIR}/baseoa
+		@${CHMOD} -R o-w ${DATADIR}
 
-OPTIONS=	CLIENT "Build client" on \
-		DEDICATED "Build dedicated server" on \
-		OPENAL "Enable OpenAL (3D sound) support" off \
-		OPENAL_DLOPEN "Enable dynamic loading of OpenAL" off \
-		OPTIMIZED_CFLAGS "Enable compilation optimizations" on \
-		SDL_AUDIO "Use SDL for audio" off \
-		SDL_VIDEO "Use SDL for video" off \
-		SMP "Build SMP (threaded) client" on \
-
-MAKE_ENV=	DEFAULT_BASEDIR="${DATADIR}" LIBDIR="${LIBDIR}" \
-		PTHREAD_LIBS="${PTHREAD_LIBS}" USE_CODEC_VORBIS=1
-PLIST_SUB=	LIBDIR="${LIBDIR:S/${PREFIX}\///}"
-
-LIBDIR=		${PREFIX}/lib/${PORTNAME}
-VM_ARCHS=	amd64 i386 powerpc
-OA_DATA=	oa070.zip
-OA_PATCH=	oa071-patch.zip
-
-.include <bsd.port.pre.mk>
-
-.if defined(WITHOUT_CLIENT) && defined(WITHOUT_DEDICATED) && \
-    defined(WITHOUT_SMP)
-IGNORE=		needs at least one of CLIENT, DEDICATED and SMP options
-.endif
-
-.for i in ${ARCH}
-.   if ${VM_ARCHS:M${i}} != ""
-HAVE_VM_COMPILED=	yes
-.   endif
-.endfor
-
-.if defined(HAVE_VM_COMPILED)
-MAKE_ENV+=	HAVE_VM_COMPILED=true
-.endif
-
-.if !defined(WITHOUT_CLIENT) || !defined(WITHOUT_SMP)
-# OpenAL
-.   if defined(WITH_OPENAL)
-USE_OPENAL=	al
-MAKE_ENV+=	USE_OPENAL=1
-.       if defined(WITH_OPENAL_DLOPEN)
-MAKE_ENV+=	USE_OPENAL_DLOPEN=1
-.       endif
-.   endif
-# SDL
-.   if defined(WITH_SDL_AUDIO)
-USE_SDL=	sdl
-MAKE_ENV+=	USE_SDL_AUDIO=1
-.   endif
-.   if defined(WITH_SDL_VIDEO)
-USE_SDL=	sdl
-MAKE_ENV+=	USE_SDL_VIDEO=1
-.   else
-USE_GL=		yes
-USE_XORG=	x11 xxf86dga
-.   endif
-.endif
-
-.if !defined(WITHOUT_CLIENT)
-MAKE_ENV+=	BUILD_CLIENT=1
-PLIST_SUB+=	CLIENT=""
-OABIN+=		ioquake3
-.else
-PLIST_SUB+=	CLIENT="@comment "
-.endif
-
-.if !defined(WITHOUT_DEDICATED)
-MAKE_ENV+=	BUILD_SERVER=1
-PLIST_SUB+=	DEDICATED=""
-OABIN+=		ioq3ded
-.else
-PLIST_SUB+=	DEDICATED="@comment "
-.endif
-
-.if defined(WITH_GAMELIBS) || !defined(HAVE_VM_COMPILED)
-MAKE_ENV+=	BUILD_GAME_SO=1
-PLIST_SUB+=	GAMELIBS=""
-.else
-PLIST_SUB+=	GAMELIBS="@comment "
-.endif
-
-.if !defined(WITHOUT_OPTIMIZED_CFLAGS)
-MAKE_ENV+=	USE_OPTIMIZED_CFLAGS=1
-.endif
-
-.if !defined(WITHOUT_SMP)
-MAKE_ENV+=	BUILD_CLIENT_SMP=1
-PLIST_SUB+=	SMP=""
-OABIN+=		ioquake3-smp
-.else
-PLIST_SUB+=	SMP="@comment "
-.endif
-
-.if ${ARCH} == "sparc64"
-BROKEN=		Does not compile
-.endif
-
-post-extract:
-.for f in ${OA_DATA} ${OA_PATCH}
-	@${UNZIP_CMD} -qo ${DISTDIR}/${f} -d ${WRKDIR}
-.endfor
-
-do-install:
-.for bin in ${OABIN}
-	${INSTALL_PROGRAM} ${WRKSRC}/build/release/${bin} \
-		${PREFIX}/bin/${bin:C/(ioquake3|ioq3)/${PORTNAME}/}
-.endfor
-.if defined(WITH_GAMELIBS) || !defined(HAVE_VM_COMPILED)
-.for dir in baseq3 missionpack
-	${MKDIR} ${LIBDIR}/${dir}
-	${INSTALL_PROGRAM} ${WRKSRC}/build/release/${dir}/*.so ${LIBDIR}/${dir}
-.endfor
-.endif
-	${MKDIR} ${DATADIR}
-	${CP} -R ${WRKDIR}/${PORTNAME}-0.7.0/baseoa ${DATADIR}
-
-post-install:
-	@${ECHO_CMD}
-	@${CAT} ${PKGMESSAGE}
-	@${ECHO_CMD}
-
-.include <bsd.port.post.mk>
+.include "../ioquake3/Makefile"
diff -Nur openarena.orig/Makefile.include openarena/Makefile.include
--- openarena.orig/Makefile.include	1970-01-01 01:00:00.000000000 +0100
+++ openarena/Makefile.include	2010-06-10 08:47:56.000000000 +0200
@@ -0,0 +1,15 @@
+PKGNAMEPREFIX?=	openarena-
+OADIR?=		${PREFIX}/share/openarena
+DATADIR?=	${OADIR}
+
+PLIST_SUB+=	OADIR="${OADIR}"
+
+RUN_DEPENDS+=	${OABIN}:${PORTSDIR}/games/openarena
+
+# You only need server or client.
+.if exists(oa_ded)
+OABIN=		oa_ded
+.else
+OABIN=		openarena
+.endif
+
diff -Nur openarena.orig/distinfo openarena/distinfo
--- openarena.orig/distinfo	2010-06-10 08:44:50.000000000 +0200
+++ openarena/distinfo	2010-06-10 08:47:56.000000000 +0200
@@ -1,9 +1,9 @@
-MD5 (ioq3-src-oa.tar.bz2) = a43cd6044de919dd2af94fb4159ddb47
-SHA256 (ioq3-src-oa.tar.bz2) = b51a890a525e9a7c49fe9fe3808ec6bba0738014d008078bbd28244934d145b9
-SIZE (ioq3-src-oa.tar.bz2) = 3539582
-MD5 (oa070.zip) = 739548bfc5dc1d129d20c0f67d54df48
-SHA256 (oa070.zip) = f420978abedd701744de06bdba3a7c3624175aafb891101f77887581ce8576a1
-SIZE (oa070.zip) = 263123081
-MD5 (oa071-patch.zip) = 5fa31998009f8241ad3ded93eb81e701
-SHA256 (oa071-patch.zip) = 7f6162b04cf624fea73083430b7a5c7a15826fe3ce536c2280448f403fd3561a
-SIZE (oa071-patch.zip) = 12287230
+MD5 (openarena-engine-source-0.8.x-15.tar.bz2) = 868a6d0dca1579a0cbc05192b9cdc70d
+SHA256 (openarena-engine-source-0.8.x-15.tar.bz2) = fc274de6cc4a6a880618d38267d4453fdb3125fc8587b08e6ea51dd137a88650
+SIZE (openarena-engine-source-0.8.x-15.tar.bz2) = 8080759
+MD5 (oa081.zip) = 49006bcb02b4e8ea3d06749e8f4e4887
+SHA256 (oa081.zip) = c96282de8bc2ac5781df58c6adbce4265376e36190af50d7528f51dc739b6d7d
+SIZE (oa081.zip) = 318927645
+MD5 (oa085p.zip) = b2a0437da751cd50dd2351ed9e0c4e9d
+SHA256 (oa085p.zip) = d360c4b095bc3b34d03d9a366b21c12052c3f9e9c57e86b17c8b2c038baa4719
+SIZE (oa085p.zip) = 42528474
diff -Nur openarena.orig/files/patch-Makefile openarena/files/patch-Makefile
--- openarena.orig/files/patch-Makefile	2010-06-10 08:44:50.000000000 +0200
+++ openarena/files/patch-Makefile	2010-06-10 08:47:56.000000000 +0200
@@ -1,70 +1,6 @@
---- Makefile.orig	Sat Jul  7 02:50:34 2007
-+++ Makefile	Sun Jul 29 04:30:00 2007
-@@ -26,11 +26,19 @@
-   endif
- endif
- 
--BUILD_CLIENT     =
--BUILD_CLIENT_SMP =
--BUILD_SERVER     =
--BUILD_GAME_SO    =
--BUILD_GAME_QVM   =
-+BUILD_CLIENT?=0
-+BUILD_CLIENT_SMP?=0
-+BUILD_GAME_QVM?=0
-+BUILD_GAME_SO?=0
-+BUILD_SERVER?=0
-+HAVE_VM_COMPILED?=false
-+USE_CODEC_VORBIS?=0
-+USE_LOCAL_HEADERS?=0
-+USE_OPENAL?=0
-+USE_OPENAL_DLOPEN?=0
-+USE_OPTIMIZED_CFLAGS?=0
-+USE_SDL_AUDIO?=0
-+USE_SDL_VIDEO?=0
- 
- #############################################################################
- #
-@@ -88,18 +96,6 @@
- endif
- export USE_CCACHE
- 
--ifndef USE_SDL
--USE_SDL=1
--endif
--
--ifndef USE_OPENAL
--USE_OPENAL=1
--endif
--
--ifndef USE_OPENAL_DLOPEN
--USE_OPENAL_DLOPEN=0
--endif
--
- ifndef USE_CURL
- USE_CURL=1
- endif
-@@ -112,18 +108,10 @@
-   endif
- endif
- 
--ifndef USE_CODEC_VORBIS
--USE_CODEC_VORBIS=1
--endif
--
--ifndef USE_LOCAL_HEADERS
--USE_LOCAL_HEADERS=1
--endif
--
- #############################################################################
- 
- BD=$(BUILD_DIR)/debug-$(PLATFORM)-$(ARCH)
--BR=$(BUILD_DIR)/release-$(PLATFORM)-$(ARCH)
-+BR=$(BUILD_DIR)/release
- CDIR=$(MOUNT_DIR)/client
- SDIR=$(MOUNT_DIR)/server
- RDIR=$(MOUNT_DIR)/renderer
-@@ -498,18 +486,12 @@
+--- Makefile.orig	2010-04-24 23:29:15.000000000 +0200
++++ Makefile	2010-05-22 00:10:08.000000000 +0200
+@@ -561,45 +561,22 @@
  
  ifeq ($(PLATFORM),freebsd)
  
@@ -73,265 +9,118 @@
 -  else #default to i386
 -    ARCH=i386
 -  endif #alpha test
--
-+  BASE_CFLAGS = -DARCH='\"$(ARCH)\"' -DLIBDIR='\"$(LIBDIR)\"' -I$(LOCALBASE)/include -Wall -fno-strict-aliasing -Wimplicit -Wstrict-prototypes
++  # system integration
++  ifndef DEFAULT_LIBDIR
++    DEFAULT_LIBDIR = /usr/local/lib/ioquake3
++  endif
  
--  BASE_CFLAGS = -Wall -fno-strict-aliasing -Wimplicit -Wstrict-prototypes
+-  BASE_CFLAGS = -Wall -fno-strict-aliasing -Wimplicit -Wstrict-prototypes \
+-    -DUSE_ICON
++  # flags
++  BASE_CFLAGS = $(shell env MACHINE_ARCH=$(ARCH) make -f /dev/null -VCFLAGS) \
++    -Wall -fno-strict-aliasing -Wimplicit -Wstrict-prototypes \
++    -DDEFAULT_LIBDIR=\\\"$(DEFAULT_LIBDIR)\\\" \
++    -DUSE_ICON -DMAP_ANONYMOUS=MAP_ANON
+   CLIENT_CFLAGS = $(SDL_CFLAGS)
+   SERVER_CFLAGS = 
++  HAVE_VM_COMPILED = true
+ 
+-  ifeq ($(USE_OPENAL),1)
+-    CLIENT_CFLAGS += -DUSE_OPENAL
+-    ifeq ($(USE_OPENAL_DLOPEN),1)
+-      CLIENT_CFLAGS += -DUSE_OPENAL_DLOPEN
+-    endif
+-  endif
+-
+-  ifeq ($(USE_CODEC_VORBIS),1)
+-    CLIENT_CFLAGS += -DUSE_CODEC_VORBIS
+-  endif
+-
+-  OPTIMIZEVM = -O3 -funroll-loops -fomit-frame-pointer
 -
--  GL_CFLAGS = -I/usr/X11R6/include
-+  GL_CFLAGS = -I$(LOCALBASE)/include
- 
-   DEBUG_CFLAGS=$(BASE_CFLAGS) -g
-+  RELEASE_CFLAGS=$(BASE_CFLAGS) -DNDEBUG -pipe
- 
-   ifeq ($(USE_OPENAL),1)
-     BASE_CFLAGS += -DUSE_OPENAL=1
-@@ -522,47 +504,61 @@
-     BASE_CFLAGS += -DUSE_CODEC_VORBIS=1
-   endif
- 
--  ifeq ($(USE_SDL),1)
--    BASE_CFLAGS += $(shell sdl-config --cflags) -DUSE_SDL_VIDEO=1 -DUSE_SDL_SOUND=1
-+  ifeq ($(USE_SDL_AUDIO),1)
-+    BASE_CFLAGS += $(shell $(SDL_CONFIG) --cflags)
-+  else
-+    ifeq ($(USE_SDL_VIDEO),1)
-+      BASE_CFLAGS += $(shell $(SDL_CONFIG) --cflags)
-+    endif
-   endif
- 
 -  ifeq ($(ARCH),axp)
--    CC=gcc
 -    BASE_CFLAGS += -DNO_VM_COMPILED
--    RELEASE_CFLAGS=$(BASE_CFLAGS) -DNDEBUG -O3 -ffast-math -funroll-loops \
--      -fomit-frame-pointer -fexpensive-optimizations
+-    OPTIMIZEVM += -fexpensive-optimizations
 -  else
 -  ifeq ($(ARCH),i386)
--    CC=gcc
--    RELEASE_CFLAGS=$(BASE_CFLAGS) -DNDEBUG -O3 -mtune=pentiumpro \
--      -march=pentium -fomit-frame-pointer -pipe -ffast-math \
--      -falign-loops=2 -falign-jumps=2 -falign-functions=2 \
--      -funroll-loops -fstrength-reduce
+-    OPTIMIZEVM += -mtune=pentiumpro \
+-      -march=pentium -pipe -falign-loops=2 -falign-jumps=2 \
+-      -falign-functions=2 -funroll-loops -fstrength-reduce
 -    HAVE_VM_COMPILED=true
 -  else
 -    BASE_CFLAGS += -DNO_VM_COMPILED
-+  ifeq ($(USE_SDL_AUDIO),1)
-+    BASE_CFLAGS += -DUSE_SDL_SOUND=1
-   endif
-+
-+  ifeq ($(USE_SDL_VIDEO),1)
-+    BASE_CFLAGS += -DUSE_SDL_VIDEO=1
-+  endif
-+
-+  ifeq ($(USE_OPTIMIZED_CFLAGS),1)
-+    RELEASE_CFLAGS+=-O3 -ffast-math -funroll-loops -fomit-frame-pointer \
-+       -fexpensive-optimizations
-+    ifeq ($(ARCH),i386)
-+      RELEASE_CFLAGS+=-falign-loops=2 -falign-jumps=2 -falign-functions=2 \
-+         -fstrength-reduce
-+    endif
-+  endif
-+
-+  ifneq ($(HAVE_VM_COMPILED),true)
-+    BASE_CFLAGS += -DNO_VM_COMPILED
-   endif
+-  endif
+-  endif
+-
+-  OPTIMIZE = $(OPTIMIZEVM) -ffast-math
++  OPTIMIZEVM = -O3 -funroll-loops -fomit-frame-pointer -ffast-math
++  OPTIMIZE = $(OPTIMIZEVM)
  
    SHLIBEXT=so
    SHLIBCFLAGS=-fPIC
-   SHLIBLDFLAGS=-shared $(LDFLAGS)
+@@ -613,17 +590,40 @@
  
--  THREAD_LDFLAGS=-lpthread
-+  THREAD_LDFLAGS=$(PTHREAD_LIBS)
-   # don't need -ldl (FreeBSD)
-   LDFLAGS=-lm
+   CLIENT_LIBS += $(SDL_LIBS) -lGL
  
--  CLIENT_LDFLAGS =
-+  CLIENT_LDFLAGS = -L$(LOCALBASE)/lib
++  # optional features/libraries
+   ifeq ($(USE_OPENAL),1)
+-    ifneq ($(USE_OPENAL_DLOPEN),1)
++    CLIENT_CFLAGS += -DUSE_OPENAL
++    ifeq ($(USE_OPENAL_DLOPEN),1)
++      CLIENT_CFLAGS += -DUSE_OPENAL_DLOPEN
+       CLIENT_LIBS += $(THREAD_LIBS) -lopenal
+     endif
+   endif
  
--  ifeq ($(USE_SDL),1)
--    CLIENT_LDFLAGS += $(shell sdl-config --libs)
-+  ifeq ($(USE_SDL_AUDIO),1)
-+    CLIENT_LDFLAGS += $(shell $(SDL_CONFIG) --libs)
-   else
--    CLIENT_LDFLAGS += -L/usr/X11R6/$(LIB) -lGL -lX11 -lXext -lXxf86dga -lXxf86vm
-+    ifeq ($(USE_SDL_VIDEO),1)
-+      CLIENT_LDFLAGS += $(shell $(SDL_CONFIG) --libs)
++  ifeq ($(USE_CURL),1)
++    CLIENT_CFLAGS += -DUSE_CURL
++    ifeq ($(USE_CURL_DLOPEN),1)
++      CLIENT_CFLAGS += -DUSE_CURL_DLOPEN
++      CLIENT_LIBS += -lcurl
 +    endif
 +  endif
 +
-+  ifneq ($(USE_SDL_VIDEO),1)
-+    CLIENT_LDFLAGS += -L$(LOCALBASE)/lib -lGL -lX11 -lXext -lXxf86dga -lXxf86vm
-   endif
- 
-   ifeq ($(USE_OPENAL),1)
-+    CLIENT_LDFLAGS += $(THREAD_LDFLAGS)
-     ifneq ($(USE_OPENAL_DLOPEN),1)
--      CLIENT_LDFLAGS += $(THREAD_LDFLAGS) -lopenal
-+      CLIENT_LDFLAGS += -lopenal
+   ifeq ($(USE_CODEC_VORBIS),1)
+-    ifeq ($(PLATFORM),mingw32)
+-      CLIENT_LIBS += $(LIBSDIR)/win32/libvorbisfile.a $(LIBSDIR)/win32/libvorbis.a $(LIBSDIR)/win32/libogg.a
+-    else
+-      CLIENT_LIBS += -lvorbisfile -lvorbis -logg
++    CLIENT_CFLAGS += -DUSE_CODEC_VORBIS
++  endif
++
++  ifeq ($(USE_CODEC_VORBIS),1)
++    CLIENT_LIBS += -lvorbisfile -lvorbis -logg
++  endif
++
++  # cross-compiling tweaks
++  ifeq ($(ARCH),i386)
++    ifeq ($(CROSS_COMPILING),1)
++      BASE_CFLAGS += -m32
++    endif
++  endif
++  ifeq ($(ARCH),amd64)
++    ifeq ($(CROSS_COMPILING),1)
++      BASE_CFLAGS += -m64
      endif
    endif
  
-@@ -570,7 +566,6 @@
-     CLIENT_LDFLAGS += -lvorbisfile -lvorbis -logg
-   endif
- 
--
- else # ifeq freebsd
- 
- #############################################################################
-@@ -725,24 +720,25 @@
- TARGETS =
- 
- ifneq ($(BUILD_SERVER),0)
--  TARGETS += $(B)/ioq3ded.$(ARCH)$(BINEXT)
-+  TARGETS += $(B)/ioq3ded$(BINEXT)
- endif
- 
- ifneq ($(BUILD_CLIENT),0)
--  TARGETS += $(B)/ioquake3.$(ARCH)$(BINEXT)
--  ifneq ($(BUILD_CLIENT_SMP),0)
--    TARGETS += $(B)/ioquake3-smp.$(ARCH)$(BINEXT)
--  endif
-+  TARGETS += $(B)/ioquake3$(BINEXT)
-+endif
-+
-+ifneq ($(BUILD_CLIENT_SMP),0)
-+  TARGETS += $(B)/ioquake3-smp$(BINEXT)
- endif
- 
- ifneq ($(BUILD_GAME_SO),0)
-   TARGETS += \
--    $(B)/baseq3/cgame$(ARCH).$(SHLIBEXT) \
--    $(B)/baseq3/qagame$(ARCH).$(SHLIBEXT) \
--    $(B)/baseq3/ui$(ARCH).$(SHLIBEXT)     \
--    $(B)/missionpack/cgame$(ARCH).$(SHLIBEXT) \
--    $(B)/missionpack/qagame$(ARCH).$(SHLIBEXT) \
--    $(B)/missionpack/ui$(ARCH).$(SHLIBEXT)
-+    $(B)/baseq3/cgame.$(SHLIBEXT) \
-+    $(B)/baseq3/qagame.$(SHLIBEXT) \
-+    $(B)/baseq3/ui.$(SHLIBEXT)     \
-+    $(B)/missionpack/cgame.$(SHLIBEXT) \
-+    $(B)/missionpack/qagame.$(SHLIBEXT) \
-+    $(B)/missionpack/ui.$(SHLIBEXT)
- endif
- 
- ifneq ($(BUILD_GAME_QVM),0)
-@@ -804,11 +800,11 @@
- 	$(MAKE)  targets B=$(BD) CFLAGS="$(CFLAGS) $(DEBUG_CFLAGS) $(DEPEND_CFLAGS)"
- 
- build_release: B=$(BR)
--build_release: makedirs tools
-+build_release: makedirs
- 	$(MAKE)  targets B=$(BR) CFLAGS="$(CFLAGS) $(RELEASE_CFLAGS) $(DEPEND_CFLAGS)"
- 
- #Build both debug and release builds
--all:build_debug build_release
-+all:build_release
- 
- targets: $(TARGETS)
- 
-@@ -1022,13 +1018,10 @@
-   ifeq ($(ARCH),i386)
-     Q3OBJ += $(B)/client/vm_x86.o
+@@ -1555,6 +1555,9 @@
+   ifeq ($(ARCH),x86_64)
+     Q3OBJ += $(B)/client/vm_x86_64.o $(B)/client/vm_x86_64_assembler.o
    endif
--  ifeq ($(ARCH),x86)
--    Q3OBJ += $(B)/client/vm_x86.o
--  endif
--  ifeq ($(ARCH),x86_64)
 +  ifeq ($(ARCH),amd64)
-     Q3OBJ += $(B)/client/vm_x86_64.o
-   endif
--  ifeq ($(ARCH),ppc)
-+  ifeq ($(ARCH),powerpc)
-     Q3OBJ += $(B)/client/$(VM_PPC).o
++    Q3OBJ += $(B)/client/vm_x86_64.o $(B)/client/vm_x86_64_assembler.o
++  endif
+   ifeq ($(ARCH),ppc)
+     Q3OBJ += $(B)/client/vm_powerpc.o $(B)/client/vm_powerpc_asm.o
    endif
- endif
-@@ -1075,10 +1068,10 @@
-     $(B)/client/sdl_glimp_smp.o
- endif
- 
--$(B)/ioquake3.$(ARCH)$(BINEXT): $(Q3OBJ) $(Q3POBJ) $(LIBSDLMAIN)
-+$(B)/ioquake3$(BINEXT): $(Q3OBJ) $(Q3POBJ) $(LIBSDLMAIN)
- 	$(CC)  -o $@ $(Q3OBJ) $(Q3POBJ) $(CLIENT_LDFLAGS) $(LDFLAGS) $(LIBSDLMAIN)
- 
--$(B)/ioquake3-smp.$(ARCH)$(BINEXT): $(Q3OBJ) $(Q3POBJ_SMP) $(LIBSDLMAIN)
-+$(B)/ioquake3-smp$(BINEXT): $(Q3OBJ) $(Q3POBJ_SMP) $(LIBSDLMAIN)
- 	$(CC)  -o $@ $(Q3OBJ) $(Q3POBJ_SMP) $(CLIENT_LDFLAGS) \
- 		$(THREAD_LDFLAGS) $(LDFLAGS) $(LIBSDLMAIN)
- 
-@@ -1378,18 +1371,15 @@
-   ifeq ($(ARCH),i386)
-     Q3DOBJ += $(B)/ded/vm_x86.o
+@@ -1720,6 +1723,9 @@
+   ifeq ($(ARCH),x86_64)
+     Q3DOBJ += $(B)/ded/vm_x86_64.o $(B)/ded/vm_x86_64_assembler.o
    endif
--  ifeq ($(ARCH),x86)
--    Q3DOBJ += $(B)/ded/vm_x86.o
--  endif
--  ifeq ($(ARCH),x86_64)
 +  ifeq ($(ARCH),amd64)
-     Q3DOBJ += $(B)/ded/vm_x86_64.o
-   endif
--  ifeq ($(ARCH),ppc)
-+  ifeq ($(ARCH),powerpc)
-     Q3DOBJ += $(B)/ded/$(VM_PPC).o
++    Q3DOBJ += $(B)/ded/vm_x86_64.o $(B)/ded/vm_x86_64_assembler.o
++  endif
+   ifeq ($(ARCH),ppc)
+     Q3DOBJ += $(B)/ded/vm_powerpc.o $(B)/ded/vm_powerpc_asm.o
    endif
- endif
- 
--$(B)/ioq3ded.$(ARCH)$(BINEXT): $(Q3DOBJ)
-+$(B)/ioq3ded$(BINEXT): $(Q3DOBJ)
- 	$(CC) -o $@ $(Q3DOBJ) $(LDFLAGS)
- 
- $(B)/ded/sv_bot.o : $(SDIR)/sv_bot.c; $(DO_DED_CC)
-@@ -1506,7 +1496,7 @@
- Q3CGOBJ = $(Q3CGOBJ_) $(B)/baseq3/cgame/cg_syscalls.o
- Q3CGVMOBJ = $(Q3CGOBJ_:%.o=%.asm) $(B)/baseq3/game/bg_lib.asm
- 
--$(B)/baseq3/cgame$(ARCH).$(SHLIBEXT) : $(Q3CGOBJ)
-+$(B)/baseq3/cgame.$(SHLIBEXT) : $(Q3CGOBJ)
- 	$(CC) $(SHLIBLDFLAGS) -o $@ $(Q3CGOBJ)
- 
- $(B)/baseq3/vm/cgame.qvm: $(Q3CGVMOBJ) $(CGDIR)/cg_syscalls.asm
-@@ -1547,7 +1537,7 @@
- MPCGOBJ = $(MPCGOBJ_) $(B)/missionpack/cgame/cg_syscalls.o
- MPCGVMOBJ = $(MPCGOBJ_:%.o=%.asm) $(B)/missionpack/game/bg_lib.asm
- 
--$(B)/missionpack/cgame$(ARCH).$(SHLIBEXT) : $(MPCGOBJ)
-+$(B)/missionpack/cgame$(SHLIBEXT) : $(MPCGOBJ)
- 	$(CC) $(SHLIBLDFLAGS) -o $@ $(MPCGOBJ)
- 
- $(B)/missionpack/vm/cgame.qvm: $(MPCGVMOBJ) $(CGDIR)/cg_syscalls.asm
-@@ -1597,7 +1587,7 @@
- Q3GOBJ = $(Q3GOBJ_) $(B)/baseq3/game/g_syscalls.o
- Q3GVMOBJ = $(Q3GOBJ_:%.o=%.asm) $(B)/baseq3/game/bg_lib.asm
- 
--$(B)/baseq3/qagame$(ARCH).$(SHLIBEXT) : $(Q3GOBJ)
-+$(B)/baseq3/qagame.$(SHLIBEXT) : $(Q3GOBJ)
- 	$(CC) $(SHLIBLDFLAGS) -o $@ $(Q3GOBJ)
- 
- $(B)/baseq3/vm/qagame.qvm: $(Q3GVMOBJ) $(GDIR)/g_syscalls.asm
-@@ -1645,7 +1635,7 @@
- MPGOBJ = $(MPGOBJ_) $(B)/missionpack/game/g_syscalls.o
- MPGVMOBJ = $(MPGOBJ_:%.o=%.asm) $(B)/missionpack/game/bg_lib.asm
- 
--$(B)/missionpack/qagame$(ARCH).$(SHLIBEXT) : $(MPGOBJ)
-+$(B)/missionpack/qagame.$(SHLIBEXT) : $(MPGOBJ)
- 	$(CC) $(SHLIBLDFLAGS) -o $@ $(MPGOBJ)
- 
- $(B)/missionpack/vm/qagame.qvm: $(MPGVMOBJ) $(GDIR)/g_syscalls.asm
-@@ -1705,7 +1695,7 @@
- Q3UIOBJ = $(Q3UIOBJ_) $(B)/missionpack/ui/ui_syscalls.o
- Q3UIVMOBJ = $(Q3UIOBJ_:%.o=%.asm) $(B)/baseq3/game/bg_lib.asm
- 
--$(B)/baseq3/ui$(ARCH).$(SHLIBEXT) : $(Q3UIOBJ)
-+$(B)/baseq3/ui.$(SHLIBEXT) : $(Q3UIOBJ)
- 	$(CC) $(CFLAGS) $(SHLIBLDFLAGS) -o $@ $(Q3UIOBJ)
- 
- $(B)/baseq3/vm/ui.qvm: $(Q3UIVMOBJ) $(UIDIR)/ui_syscalls.asm
-@@ -1730,7 +1720,7 @@
- MPUIOBJ = $(MPUIOBJ_) $(B)/missionpack/ui/ui_syscalls.o
- MPUIVMOBJ = $(MPUIOBJ_:%.o=%.asm) $(B)/baseq3/game/bg_lib.asm
- 
--$(B)/missionpack/ui$(ARCH).$(SHLIBEXT) : $(MPUIOBJ)
-+$(B)/missionpack/ui.$(SHLIBEXT) : $(MPUIOBJ)
- 	$(CC) $(CFLAGS) $(SHLIBLDFLAGS) -o $@ $(MPUIOBJ)
- 
- $(B)/missionpack/vm/ui.qvm: $(MPUIVMOBJ) $(UIDIR)/ui_syscalls.asm
diff -Nur openarena.orig/files/patch-code__qcommon__common.c openarena/files/patch-code__qcommon__common.c
--- openarena.orig/files/patch-code__qcommon__common.c	2010-06-10 08:44:50.000000000 +0200
+++ openarena/files/patch-code__qcommon__common.c	1970-01-01 01:00:00.000000000 +0100
@@ -1,10 +0,0 @@
---- ./code/qcommon/common.c.orig	Wed Apr 26 08:27:12 2006
-+++ ./code/qcommon/common.c	Sun Jun 11 17:26:26 2006
-@@ -25,6 +25,7 @@
- #include "qcommon.h"
- #include <setjmp.h>
- #ifndef _WIN32
-+#include <sys/types.h>
- #include <netinet/in.h>
- #include <sys/stat.h> // umask
- #else
diff -Nur openarena.orig/files/patch-code__qcommon__q_platform.h openarena/files/patch-code__qcommon__q_platform.h
--- openarena.orig/files/patch-code__qcommon__q_platform.h	2010-06-10 08:44:50.000000000 +0200
+++ openarena/files/patch-code__qcommon__q_platform.h	1970-01-01 01:00:00.000000000 +0100
@@ -1,15 +0,0 @@
---- ./code/qcommon/q_platform.h.orig	Tue Dec 27 16:46:01 2005
-+++ ./code/qcommon/q_platform.h	Sun Jun 11 17:26:26 2006
-@@ -176,11 +176,7 @@
- #define ID_INLINE inline
- #define PATH_SEP '/'
- 
--#ifdef __i386__
--#define ARCH_STRING "i386"
--#elif defined __axp__
--#define ARCH_STRING "alpha"
--#endif
-+#define ARCH_STRING ARCH
- 
- #if BYTE_ORDER == BIG_ENDIAN
- #define Q3_BIG_ENDIAN
diff -Nur openarena.orig/files/patch-code__unix__linux_glimp.c openarena/files/patch-code__unix__linux_glimp.c
--- openarena.orig/files/patch-code__unix__linux_glimp.c	2010-06-10 08:44:50.000000000 +0200
+++ openarena/files/patch-code__unix__linux_glimp.c	1970-01-01 01:00:00.000000000 +0100
@@ -1,19 +0,0 @@
---- ./code/unix/linux_glimp.c.orig	Sun Apr 30 11:32:56 2006
-+++ ./code/unix/linux_glimp.c	Sun Jun 11 17:26:26 2006
-@@ -631,8 +631,14 @@
- 
-           dx = ((int)event.xmotion.x - mwx);
-           dy = ((int)event.xmotion.y - mwy);
--					mx += dx;
--					my += dy;
-+          if (abs(dx) > 1)
-+            mx += dx * 2;
-+          else
-+            mx += dx;
-+          if (abs(dy) > 1)
-+            my += dy * 2;
-+          else
-+            my += dy;
- 
-           mwx = event.xmotion.x;
-           mwy = event.xmotion.y;
diff -Nur openarena.orig/files/patch-code__unix__unix_main.c openarena/files/patch-code__unix__unix_main.c
--- openarena.orig/files/patch-code__unix__unix_main.c	2010-06-10 08:44:50.000000000 +0200
+++ openarena/files/patch-code__unix__unix_main.c	1970-01-01 01:00:00.000000000 +0100
@@ -1,31 +0,0 @@
---- ./code/unix/unix_main.c.orig	Sun Feb 26 18:22:12 2006
-+++ ./code/unix/unix_main.c	Sun Jun 11 17:26:26 2006
-@@ -774,6 +774,7 @@
-   char  curpath[MAX_OSPATH];
-   char  fname[MAX_OSPATH];
-   char  *basepath;
-+  char  *libpath;
-   char  *homepath;
-   char  *pwdpath;
-   char  *cdpath;
-@@ -789,14 +790,19 @@
-   // TODO: use fs_searchpaths from files.c
-   pwdpath = Sys_Cwd();
-   basepath = Cvar_VariableString( "fs_basepath" );
-+  libpath = LIBDIR;
-   homepath = Cvar_VariableString( "fs_homepath" );
-   cdpath = Cvar_VariableString( "fs_cdpath" );
-   gamedir = Cvar_VariableString( "fs_game" );
- 
--  libHandle = try_dlopen(pwdpath, gamedir, fname, fqpath);
-+  if(!libHandle && homepath)
-+    libHandle = try_dlopen(pwdpath, gamedir, fname, fqpath);
- 
-   if(!libHandle && homepath)
-     libHandle = try_dlopen(homepath, gamedir, fname, fqpath);
-+
-+  if(!libHandle && basepath)
-+    libHandle = try_dlopen(libpath, gamedir, fname, fqpath);
- 
-   if(!libHandle && basepath)
-     libHandle = try_dlopen(basepath, gamedir, fname, fqpath);
diff -Nur openarena.orig/files/patch-code_client_snd_openal.c openarena/files/patch-code_client_snd_openal.c
--- openarena.orig/files/patch-code_client_snd_openal.c	2010-06-10 08:44:50.000000000 +0200
+++ openarena/files/patch-code_client_snd_openal.c	1970-01-01 01:00:00.000000000 +0100
@@ -1,11 +0,0 @@
---- code/client/snd_openal.c.orig	2009-12-26 18:20:08.000000000 +0100
-+++ code/client/snd_openal.c	2009-12-26 18:20:27.000000000 +0100
-@@ -1676,7 +1676,7 @@
- #elif defined(MACOS_X)
- #define ALDRIVER_DEFAULT "/System/Library/Frameworks/OpenAL.framework/OpenAL"
- #else
--#define ALDRIVER_DEFAULT "libopenal.so.0"
-+#define ALDRIVER_DEFAULT "libopenal.so"
- #endif
- 
- /*
diff -Nur openarena.orig/files/patch-feature-DEFAULT_LIBDIR openarena/files/patch-feature-DEFAULT_LIBDIR
--- openarena.orig/files/patch-feature-DEFAULT_LIBDIR	1970-01-01 01:00:00.000000000 +0100
+++ openarena/files/patch-feature-DEFAULT_LIBDIR	2010-06-10 08:47:56.000000000 +0200
@@ -0,0 +1,128 @@
+--- code/qcommon/files.c.orig	2009-11-09 23:41:42.205886000 +0100
++++ code/qcommon/files.c	2010-02-16 15:26:18.000000000 +0100
+@@ -242,6 +242,7 @@
+ #endif
+ 
+ static	cvar_t		*fs_basepath;
++static	cvar_t		*fs_libpath;
+ static	cvar_t		*fs_basegame;
+ static	cvar_t		*fs_gamedirvar;
+ static	searchpath_t	*fs_searchpaths;
+@@ -2807,6 +2808,8 @@
+ 	fs_debug = Cvar_Get( "fs_debug", "0", 0 );
+ 	fs_basepath = Cvar_Get ("fs_basepath", Sys_DefaultInstallPath(), CVAR_INIT );
+ 	fs_basegame = Cvar_Get ("fs_basegame", "", CVAR_INIT );
++	fs_libpath = Cvar_Get ("fs_libpath", Sys_DefaultLibPath(), CVAR_INIT );
++	
+ 	homePath = Sys_DefaultHomePath();
+ 	if (!homePath || !homePath[0]) {
+ 		homePath = fs_basepath->string;
+--- code/qcommon/qcommon.h.orig	2010-02-15 17:20:33.680787000 +0100
++++ code/qcommon/qcommon.h	2010-02-16 15:26:18.000000000 +0100
+@@ -1085,6 +1085,9 @@
+ char    *Sys_DefaultAppPath(void);
+ #endif
+ 
++void	Sys_SetDefaultLibPath(const char *path);
++char	*Sys_DefaultLibPath(void);
++
+ void  Sys_SetDefaultHomePath(const char *path);
+ char	*Sys_DefaultHomePath(void);
+ const char	*Sys_TempPath(void);
+--- code/sys/sys_main.c.orig	2010-02-15 17:20:33.680787000 +0100
++++ code/sys/sys_main.c	2010-02-16 15:26:18.000000000 +0100
+@@ -49,6 +49,7 @@
+ 
+ static char binaryPath[ MAX_OSPATH ] = { 0 };
+ static char installPath[ MAX_OSPATH ] = { 0 };
++static char libPath[ MAX_OSPATH ] = { 0 };
+ 
+ /*
+ =================
+@@ -95,6 +96,29 @@
+ 
+ /*
+ =================
++Sys_SetDefaultLibPath
++=================
++*/
++void Sys_SetDefaultLibPath(const char *path)
++{
++	Q_strncpyz(libPath, path, sizeof(libPath));
++}
++
++/*
++=================
++Sys_DefaultLibPath
++=================
++*/
++char *Sys_DefaultLibPath(void)
++{
++	if (*libPath)
++		return libPath;
++	else
++		return Sys_Cwd();
++}
++
++/*
++=================
+ Sys_DefaultAppPath
+ =================
+ */
+@@ -435,6 +459,7 @@
+ Used to load a development dll instead of a virtual machine
+ #1 look in fs_homepath
+ #2 look in fs_basepath
++#3 look in fs_libpath
+ =================
+ */
+ void *Sys_LoadDll( const char *name, char *fqpath ,
+@@ -445,6 +470,7 @@
+ 	void  (*dllEntry)( intptr_t (*syscallptr)(intptr_t, ...) );
+ 	char  fname[MAX_OSPATH];
+ 	char  *basepath;
++	char  *libpath;
+ 	char  *homepath;
+ 	char  *gamedir;
+ 
+@@ -454,6 +480,7 @@
+ 
+ 	// TODO: use fs_searchpaths from files.c
+ 	basepath = Cvar_VariableString( "fs_basepath" );
++	libpath = Cvar_VariableString( "fs_libpath" );
+ 	homepath = Cvar_VariableString( "fs_homepath" );
+ 	gamedir = Cvar_VariableString( "fs_game" );
+ 
+@@ -462,6 +489,9 @@
+ 	if(!libHandle && basepath)
+ 		libHandle = Sys_TryLibraryLoad(basepath, gamedir, fname, fqpath);
+ 
++	if(!libHandle && libpath)
++		libHandle = Sys_TryLibraryLoad(libpath, gamedir, fname, fqpath);
++
+ 	if(!libHandle) {
+ 		Com_Printf ( "Sys_LoadDll(%s) failed to load library\n", name );
+ 		return NULL;
+@@ -515,6 +545,14 @@
+ #	endif
+ #endif
+ 
++#ifndef DEFAULT_LIBDIR
++#	ifdef MACOS_X
++#		define DEFAULT_LIBDIR Sys_StripAppBundle(Sys_BinaryPath())
++#	else
++#		define DEFAULT_LIBDIR Sys_BinaryPath()
++#	endif
++#endif
++
+ /*
+ =================
+ Sys_SigHandler
+@@ -589,6 +627,7 @@
+ 	Sys_ParseArgs( argc, argv );
+ 	Sys_SetBinaryPath( Sys_Dirname( argv[ 0 ] ) );
+ 	Sys_SetDefaultInstallPath( DEFAULT_BASEDIR );
++	Sys_SetDefaultLibPath( DEFAULT_LIBDIR );
+ 
+ 	// Concatenate the command line for passing to Com_Init
+ 	for( i = 1; i < argc; i++ )
diff -Nur openarena.orig/pkg-message openarena/pkg-message
--- openarena.orig/pkg-message	2010-06-10 08:44:50.000000000 +0200
+++ openarena/pkg-message	2010-06-10 08:47:56.000000000 +0200
@@ -1,10 +1,6 @@
 ==============================================================================
 
-If you have sound problems with SDL try setting the variable "s_sdlSpeed" to
-"44100". It will be saved to the configuration file.
-
-If you have sound problems with OpenAL recompile without it. Also the OPENAL
-option causes the program to omit restoring gamma and mouse sensivity after
-exitting.
+Should the game freeze when entering a match, try to change the value of
+com_zoneMegs (e.g. to 48).
 
 ==============================================================================
diff -Nur openarena.orig/pkg-plist openarena/pkg-plist
--- openarena.orig/pkg-plist	2010-06-10 08:44:50.000000000 +0200
+++ openarena/pkg-plist	2010-06-10 08:47:56.000000000 +0200
@@ -1,23 +1,18 @@
-%%DEDICATED%%bin/openarenaded
-%%CLIENT%%bin/openarena
-%%SMP%%bin/openarena-smp
+%%DEDICATED%%bin/oa_ded%%BINSUFFIX%%
+%%CLIENT%%bin/openarena%%BINSUFFIX%%
+%%SMP%%bin/openarena-smp%%BINSUFFIX%%
+%%GAMELIBS%%%%LIBDIR%%/baseoa/cgame%%ARCH%%.so
+%%GAMELIBS%%%%LIBDIR%%/baseoa/qagame%%ARCH%%.so
+%%GAMELIBS%%%%LIBDIR%%/baseoa/ui%%ARCH%%.so
+%%GAMELIBS%%@dirrm %%LIBDIR%%/baseoa
+%%GAMELIBS%%@dirrm %%LIBDIR%%
 %%DATADIR%%/baseoa/pak0.pk3
 %%DATADIR%%/baseoa/pak1-maps.pk3
 %%DATADIR%%/baseoa/pak2-players-mature.pk3
 %%DATADIR%%/baseoa/pak2-players.pk3
-%%DATADIR%%/baseoa/pak3-music.pk3
 %%DATADIR%%/baseoa/pak4-textures.pk3
 %%DATADIR%%/baseoa/pak5-TA.pk3
 %%DATADIR%%/baseoa/pak6-misc.pk3
-%%DATADIR%%/baseoa/pak7-patch.pk3
-%%GAMELIBS%%%%LIBDIR%%/baseoa/cgame.so
-%%GAMELIBS%%%%LIBDIR%%/baseoa/qagame.so
-%%GAMELIBS%%%%LIBDIR%%/baseoa/ui.so
-%%GAMELIBS%%%%LIBDIR%%/missionpack/cgame.so
-%%GAMELIBS%%%%LIBDIR%%/missionpack/qagame.so
-%%GAMELIBS%%%%LIBDIR%%/missionpack/ui.so
+%%DATADIR%%/baseoa/pak6-patch085.pk3
 @dirrm %%DATADIR%%/baseoa
-@dirrm %%DATADIR%%
-%%GAMELIBS%%@dirrm %%LIBDIR%%/missionpack
-%%GAMELIBS%%@dirrm %%LIBDIR%%/baseoa
-%%GAMELIBS%%@dirrm %%LIBDIR%%
+@dirrmtry %%DATADIR%%
Comment 7 kamikaze 2010-06-15 21:04:43 UTC
While waiting for something to happen, I decided to split
the openarena port into an engine and a data port.

The shars and patch depend on each other. Don't forget to use
"patch -E".

Regards

-- 
A: Because it fouls the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing on usenet and in e-mail? 


diff -Nur ioquake3.orig/Makefile ioquake3/Makefile
--- ioquake3.orig/Makefile	2010-06-10 08:44:42.000000000 +0200
+++ ioquake3/Makefile	2010-06-15 21:00:23.000000000 +0200
@@ -101,6 +101,7 @@
 PLIST_SUB+=	CLIENT=""
 Q3BIN+=		${Q3CLIENT}
 .else
+MAKE_ARGS+=	BUILD_CLIENT=0
 PLIST_SUB+=	CLIENT="@comment "
 .endif
 
@@ -109,6 +110,7 @@
 PLIST_SUB+=	DEDICATED=""
 Q3BIN+=		${Q3SERVER}
 .else
+MAKE_ARGS+=	BUILD_SERVER=0
 PLIST_SUB+=	DEDICATED="@comment "
 .endif
 
@@ -125,6 +127,7 @@
 PLIST_SUB+=	SMP=""
 Q3BIN+=		${Q3CLIENT}-smp
 .else
+MAKE_ARGS+=	BUILD_CLIENT_SMP=0
 PLIST_SUB+=	SMP="@comment "
 .endif
 
diff -Nur openarena.orig/Makefile openarena/Makefile
--- openarena.orig/Makefile	2010-06-10 08:44:50.000000000 +0200
+++ openarena/Makefile	2010-06-15 21:09:32.000000000 +0200
@@ -6,147 +6,27 @@
 #
 
 PORTNAME=	openarena
-PORTVERSION=	0.7.1
-PORTREVISION=	6
-CATEGORIES=	games
-MASTER_SITES=	http://openarena.ws/rel/070/:src \
-		http://download.tuxfamily.net/cooker/openarena/rel070/:data \
-		ftp://ftp.alepulver.com.ar/distfiles/:patch
-DISTNAME=	ioq3-src-oa
-DISTFILES=	${DISTNAME}${EXTRACT_SUFX}:src \
-		${OA_DATA}:data \
-		${OA_PATCH}:patch
-EXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}
+PORTVERSION=	0.8.5
+DISTVERSION=	1.36_SVN1783+${PORTVERSION}
+PORTREVISION=	0
+MASTER_SITES=	http://files.poulsander.com/~poul19/public_files/oa/dev081/
+DISTNAME=	${PORTNAME}-engine-source-0.8.x-15
 
-MAINTAINER=	hemi@puresimplicity.net
-COMMENT=	GPL-licensed total conversion of Quake 3
+MAINTAINER=	kamikaze@bsdforen.de
+COMMENT=	Quake3 total conversion based on the ioquake3 engine
 
-EXTRACT_DEPENDS=unzip:${PORTSDIR}/archivers/unzip
-LIB_DEPENDS=	vorbis.4:${PORTSDIR}/audio/libvorbis
+RUN_DEPENDS=	${DATADIR}/${Q3BASE}/pak0.pk3:${PORTSDIR}/games/openarena-data
 
 USE_BZIP2=	yes
-USE_GMAKE=	yes
-NO_WRKSUBDIR=	yes
+USE_ZIP=	no
+# OpenArena doc is too messy to bother
+NOPORTDOCS=	yes
+
+Q3TOTALCONV=	yes
+Q3CLIENT=	openarena
+Q3SERVER=	oa_ded
+Q3TOOLS=
+Q3BASE=		baseoa
+Q3DIR=		${DATADIR}
 
-OPTIONS=	CLIENT "Build client" on \
-		DEDICATED "Build dedicated server" on \
-		OPENAL "Enable OpenAL (3D sound) support" off \
-		OPENAL_DLOPEN "Enable dynamic loading of OpenAL" off \
-		OPTIMIZED_CFLAGS "Enable compilation optimizations" on \
-		SDL_AUDIO "Use SDL for audio" off \
-		SDL_VIDEO "Use SDL for video" off \
-		SMP "Build SMP (threaded) client" on \
-
-MAKE_ENV=	DEFAULT_BASEDIR="${DATADIR}" LIBDIR="${LIBDIR}" \
-		PTHREAD_LIBS="${PTHREAD_LIBS}" USE_CODEC_VORBIS=1
-PLIST_SUB=	LIBDIR="${LIBDIR:S/${PREFIX}\///}"
-
-LIBDIR=		${PREFIX}/lib/${PORTNAME}
-VM_ARCHS=	amd64 i386 powerpc
-OA_DATA=	oa070.zip
-OA_PATCH=	oa071-patch.zip
-
-.include <bsd.port.pre.mk>
-
-.if defined(WITHOUT_CLIENT) && defined(WITHOUT_DEDICATED) && \
-    defined(WITHOUT_SMP)
-IGNORE=		needs at least one of CLIENT, DEDICATED and SMP options
-.endif
-
-.for i in ${ARCH}
-.   if ${VM_ARCHS:M${i}} != ""
-HAVE_VM_COMPILED=	yes
-.   endif
-.endfor
-
-.if defined(HAVE_VM_COMPILED)
-MAKE_ENV+=	HAVE_VM_COMPILED=true
-.endif
-
-.if !defined(WITHOUT_CLIENT) || !defined(WITHOUT_SMP)
-# OpenAL
-.   if defined(WITH_OPENAL)
-USE_OPENAL=	al
-MAKE_ENV+=	USE_OPENAL=1
-.       if defined(WITH_OPENAL_DLOPEN)
-MAKE_ENV+=	USE_OPENAL_DLOPEN=1
-.       endif
-.   endif
-# SDL
-.   if defined(WITH_SDL_AUDIO)
-USE_SDL=	sdl
-MAKE_ENV+=	USE_SDL_AUDIO=1
-.   endif
-.   if defined(WITH_SDL_VIDEO)
-USE_SDL=	sdl
-MAKE_ENV+=	USE_SDL_VIDEO=1
-.   else
-USE_GL=		yes
-USE_XORG=	x11 xxf86dga
-.   endif
-.endif
-
-.if !defined(WITHOUT_CLIENT)
-MAKE_ENV+=	BUILD_CLIENT=1
-PLIST_SUB+=	CLIENT=""
-OABIN+=		ioquake3
-.else
-PLIST_SUB+=	CLIENT="@comment "
-.endif
-
-.if !defined(WITHOUT_DEDICATED)
-MAKE_ENV+=	BUILD_SERVER=1
-PLIST_SUB+=	DEDICATED=""
-OABIN+=		ioq3ded
-.else
-PLIST_SUB+=	DEDICATED="@comment "
-.endif
-
-.if defined(WITH_GAMELIBS) || !defined(HAVE_VM_COMPILED)
-MAKE_ENV+=	BUILD_GAME_SO=1
-PLIST_SUB+=	GAMELIBS=""
-.else
-PLIST_SUB+=	GAMELIBS="@comment "
-.endif
-
-.if !defined(WITHOUT_OPTIMIZED_CFLAGS)
-MAKE_ENV+=	USE_OPTIMIZED_CFLAGS=1
-.endif
-
-.if !defined(WITHOUT_SMP)
-MAKE_ENV+=	BUILD_CLIENT_SMP=1
-PLIST_SUB+=	SMP=""
-OABIN+=		ioquake3-smp
-.else
-PLIST_SUB+=	SMP="@comment "
-.endif
-
-.if ${ARCH} == "sparc64"
-BROKEN=		Does not compile
-.endif
-
-post-extract:
-.for f in ${OA_DATA} ${OA_PATCH}
-	@${UNZIP_CMD} -qo ${DISTDIR}/${f} -d ${WRKDIR}
-.endfor
-
-do-install:
-.for bin in ${OABIN}
-	${INSTALL_PROGRAM} ${WRKSRC}/build/release/${bin} \
-		${PREFIX}/bin/${bin:C/(ioquake3|ioq3)/${PORTNAME}/}
-.endfor
-.if defined(WITH_GAMELIBS) || !defined(HAVE_VM_COMPILED)
-.for dir in baseq3 missionpack
-	${MKDIR} ${LIBDIR}/${dir}
-	${INSTALL_PROGRAM} ${WRKSRC}/build/release/${dir}/*.so ${LIBDIR}/${dir}
-.endfor
-.endif
-	${MKDIR} ${DATADIR}
-	${CP} -R ${WRKDIR}/${PORTNAME}-0.7.0/baseoa ${DATADIR}
-
-post-install:
-	@${ECHO_CMD}
-	@${CAT} ${PKGMESSAGE}
-	@${ECHO_CMD}
-
-.include <bsd.port.post.mk>
+.include "../ioquake3/Makefile"
diff -Nur openarena.orig/Makefile.include openarena/Makefile.include
--- openarena.orig/Makefile.include	1970-01-01 01:00:00.000000000 +0100
+++ openarena/Makefile.include	2010-06-15 21:32:48.000000000 +0200
@@ -0,0 +1,23 @@
+PKGNAMEPREFIX?=	openarena-
+OADIR?=		${PREFIX}/share/openarena
+DATADIR?=	${OADIR}/${OABASE}
+OABASE?=	baseoa
+
+PLIST_SUB+=	OADIR="${OADIR}"
+
+.if ! ${OABASE:Mbaseoa}
+RUN_DEPENDS+=	${OABIN}:${PORTSDIR}/games/openarena
+.endif
+
+.include <bsd.port.pre.mk>
+
+# You only need server or client.
+.if exists(${PREFIX}/bin/oa_ded)
+OABIN=		oa_ded
+.elif exists(${PREFIX}/bin/openarena)
+OABIN=		openarena
+.else
+OABIN=		openarena-smp
+.endif
+
+.include <bsd.port.post.mk>
diff -Nur openarena.orig/distinfo openarena/distinfo
--- openarena.orig/distinfo	2010-06-10 08:44:50.000000000 +0200
+++ openarena/distinfo	2010-06-15 21:05:30.000000000 +0200
@@ -1,9 +1,3 @@
-MD5 (ioq3-src-oa.tar.bz2) = a43cd6044de919dd2af94fb4159ddb47
-SHA256 (ioq3-src-oa.tar.bz2) = b51a890a525e9a7c49fe9fe3808ec6bba0738014d008078bbd28244934d145b9
-SIZE (ioq3-src-oa.tar.bz2) = 3539582
-MD5 (oa070.zip) = 739548bfc5dc1d129d20c0f67d54df48
-SHA256 (oa070.zip) = f420978abedd701744de06bdba3a7c3624175aafb891101f77887581ce8576a1
-SIZE (oa070.zip) = 263123081
-MD5 (oa071-patch.zip) = 5fa31998009f8241ad3ded93eb81e701
-SHA256 (oa071-patch.zip) = 7f6162b04cf624fea73083430b7a5c7a15826fe3ce536c2280448f403fd3561a
-SIZE (oa071-patch.zip) = 12287230
+MD5 (openarena-engine-source-0.8.x-15.tar.bz2) = 868a6d0dca1579a0cbc05192b9cdc70d
+SHA256 (openarena-engine-source-0.8.x-15.tar.bz2) = fc274de6cc4a6a880618d38267d4453fdb3125fc8587b08e6ea51dd137a88650
+SIZE (openarena-engine-source-0.8.x-15.tar.bz2) = 8080759
diff -Nur openarena.orig/files/patch-Makefile openarena/files/patch-Makefile
--- openarena.orig/files/patch-Makefile	2010-06-10 08:44:50.000000000 +0200
+++ openarena/files/patch-Makefile	2010-06-10 08:47:56.000000000 +0200
@@ -1,70 +1,6 @@
---- Makefile.orig	Sat Jul  7 02:50:34 2007
-+++ Makefile	Sun Jul 29 04:30:00 2007
-@@ -26,11 +26,19 @@
-   endif
- endif
- 
--BUILD_CLIENT     =
--BUILD_CLIENT_SMP =
--BUILD_SERVER     =
--BUILD_GAME_SO    =
--BUILD_GAME_QVM   =
-+BUILD_CLIENT?=0
-+BUILD_CLIENT_SMP?=0
-+BUILD_GAME_QVM?=0
-+BUILD_GAME_SO?=0
-+BUILD_SERVER?=0
-+HAVE_VM_COMPILED?=false
-+USE_CODEC_VORBIS?=0
-+USE_LOCAL_HEADERS?=0
-+USE_OPENAL?=0
-+USE_OPENAL_DLOPEN?=0
-+USE_OPTIMIZED_CFLAGS?=0
-+USE_SDL_AUDIO?=0
-+USE_SDL_VIDEO?=0
- 
- #############################################################################
- #
-@@ -88,18 +96,6 @@
- endif
- export USE_CCACHE
- 
--ifndef USE_SDL
--USE_SDL=1
--endif
--
--ifndef USE_OPENAL
--USE_OPENAL=1
--endif
--
--ifndef USE_OPENAL_DLOPEN
--USE_OPENAL_DLOPEN=0
--endif
--
- ifndef USE_CURL
- USE_CURL=1
- endif
-@@ -112,18 +108,10 @@
-   endif
- endif
- 
--ifndef USE_CODEC_VORBIS
--USE_CODEC_VORBIS=1
--endif
--
--ifndef USE_LOCAL_HEADERS
--USE_LOCAL_HEADERS=1
--endif
--
- #############################################################################
- 
- BD=$(BUILD_DIR)/debug-$(PLATFORM)-$(ARCH)
--BR=$(BUILD_DIR)/release-$(PLATFORM)-$(ARCH)
-+BR=$(BUILD_DIR)/release
- CDIR=$(MOUNT_DIR)/client
- SDIR=$(MOUNT_DIR)/server
- RDIR=$(MOUNT_DIR)/renderer
-@@ -498,18 +486,12 @@
+--- Makefile.orig	2010-04-24 23:29:15.000000000 +0200
++++ Makefile	2010-05-22 00:10:08.000000000 +0200
+@@ -561,45 +561,22 @@
  
  ifeq ($(PLATFORM),freebsd)
  
@@ -73,265 +9,118 @@
 -  else #default to i386
 -    ARCH=i386
 -  endif #alpha test
--
-+  BASE_CFLAGS = -DARCH='\"$(ARCH)\"' -DLIBDIR='\"$(LIBDIR)\"' -I$(LOCALBASE)/include -Wall -fno-strict-aliasing -Wimplicit -Wstrict-prototypes
++  # system integration
++  ifndef DEFAULT_LIBDIR
++    DEFAULT_LIBDIR = /usr/local/lib/ioquake3
++  endif
  
--  BASE_CFLAGS = -Wall -fno-strict-aliasing -Wimplicit -Wstrict-prototypes
+-  BASE_CFLAGS = -Wall -fno-strict-aliasing -Wimplicit -Wstrict-prototypes \
+-    -DUSE_ICON
++  # flags
++  BASE_CFLAGS = $(shell env MACHINE_ARCH=$(ARCH) make -f /dev/null -VCFLAGS) \
++    -Wall -fno-strict-aliasing -Wimplicit -Wstrict-prototypes \
++    -DDEFAULT_LIBDIR=\\\"$(DEFAULT_LIBDIR)\\\" \
++    -DUSE_ICON -DMAP_ANONYMOUS=MAP_ANON
+   CLIENT_CFLAGS = $(SDL_CFLAGS)
+   SERVER_CFLAGS = 
++  HAVE_VM_COMPILED = true
+ 
+-  ifeq ($(USE_OPENAL),1)
+-    CLIENT_CFLAGS += -DUSE_OPENAL
+-    ifeq ($(USE_OPENAL_DLOPEN),1)
+-      CLIENT_CFLAGS += -DUSE_OPENAL_DLOPEN
+-    endif
+-  endif
+-
+-  ifeq ($(USE_CODEC_VORBIS),1)
+-    CLIENT_CFLAGS += -DUSE_CODEC_VORBIS
+-  endif
+-
+-  OPTIMIZEVM = -O3 -funroll-loops -fomit-frame-pointer
 -
--  GL_CFLAGS = -I/usr/X11R6/include
-+  GL_CFLAGS = -I$(LOCALBASE)/include
- 
-   DEBUG_CFLAGS=$(BASE_CFLAGS) -g
-+  RELEASE_CFLAGS=$(BASE_CFLAGS) -DNDEBUG -pipe
- 
-   ifeq ($(USE_OPENAL),1)
-     BASE_CFLAGS += -DUSE_OPENAL=1
-@@ -522,47 +504,61 @@
-     BASE_CFLAGS += -DUSE_CODEC_VORBIS=1
-   endif
- 
--  ifeq ($(USE_SDL),1)
--    BASE_CFLAGS += $(shell sdl-config --cflags) -DUSE_SDL_VIDEO=1 -DUSE_SDL_SOUND=1
-+  ifeq ($(USE_SDL_AUDIO),1)
-+    BASE_CFLAGS += $(shell $(SDL_CONFIG) --cflags)
-+  else
-+    ifeq ($(USE_SDL_VIDEO),1)
-+      BASE_CFLAGS += $(shell $(SDL_CONFIG) --cflags)
-+    endif
-   endif
- 
 -  ifeq ($(ARCH),axp)
--    CC=gcc
 -    BASE_CFLAGS += -DNO_VM_COMPILED
--    RELEASE_CFLAGS=$(BASE_CFLAGS) -DNDEBUG -O3 -ffast-math -funroll-loops \
--      -fomit-frame-pointer -fexpensive-optimizations
+-    OPTIMIZEVM += -fexpensive-optimizations
 -  else
 -  ifeq ($(ARCH),i386)
--    CC=gcc
--    RELEASE_CFLAGS=$(BASE_CFLAGS) -DNDEBUG -O3 -mtune=pentiumpro \
--      -march=pentium -fomit-frame-pointer -pipe -ffast-math \
--      -falign-loops=2 -falign-jumps=2 -falign-functions=2 \
--      -funroll-loops -fstrength-reduce
+-    OPTIMIZEVM += -mtune=pentiumpro \
+-      -march=pentium -pipe -falign-loops=2 -falign-jumps=2 \
+-      -falign-functions=2 -funroll-loops -fstrength-reduce
 -    HAVE_VM_COMPILED=true
 -  else
 -    BASE_CFLAGS += -DNO_VM_COMPILED
-+  ifeq ($(USE_SDL_AUDIO),1)
-+    BASE_CFLAGS += -DUSE_SDL_SOUND=1
-   endif
-+
-+  ifeq ($(USE_SDL_VIDEO),1)
-+    BASE_CFLAGS += -DUSE_SDL_VIDEO=1
-+  endif
-+
-+  ifeq ($(USE_OPTIMIZED_CFLAGS),1)
-+    RELEASE_CFLAGS+=-O3 -ffast-math -funroll-loops -fomit-frame-pointer \
-+       -fexpensive-optimizations
-+    ifeq ($(ARCH),i386)
-+      RELEASE_CFLAGS+=-falign-loops=2 -falign-jumps=2 -falign-functions=2 \
-+         -fstrength-reduce
-+    endif
-+  endif
-+
-+  ifneq ($(HAVE_VM_COMPILED),true)
-+    BASE_CFLAGS += -DNO_VM_COMPILED
-   endif
+-  endif
+-  endif
+-
+-  OPTIMIZE = $(OPTIMIZEVM) -ffast-math
++  OPTIMIZEVM = -O3 -funroll-loops -fomit-frame-pointer -ffast-math
++  OPTIMIZE = $(OPTIMIZEVM)
  
    SHLIBEXT=so
    SHLIBCFLAGS=-fPIC
-   SHLIBLDFLAGS=-shared $(LDFLAGS)
+@@ -613,17 +590,40 @@
  
--  THREAD_LDFLAGS=-lpthread
-+  THREAD_LDFLAGS=$(PTHREAD_LIBS)
-   # don't need -ldl (FreeBSD)
-   LDFLAGS=-lm
+   CLIENT_LIBS += $(SDL_LIBS) -lGL
  
--  CLIENT_LDFLAGS =
-+  CLIENT_LDFLAGS = -L$(LOCALBASE)/lib
++  # optional features/libraries
+   ifeq ($(USE_OPENAL),1)
+-    ifneq ($(USE_OPENAL_DLOPEN),1)
++    CLIENT_CFLAGS += -DUSE_OPENAL
++    ifeq ($(USE_OPENAL_DLOPEN),1)
++      CLIENT_CFLAGS += -DUSE_OPENAL_DLOPEN
+       CLIENT_LIBS += $(THREAD_LIBS) -lopenal
+     endif
+   endif
  
--  ifeq ($(USE_SDL),1)
--    CLIENT_LDFLAGS += $(shell sdl-config --libs)
-+  ifeq ($(USE_SDL_AUDIO),1)
-+    CLIENT_LDFLAGS += $(shell $(SDL_CONFIG) --libs)
-   else
--    CLIENT_LDFLAGS += -L/usr/X11R6/$(LIB) -lGL -lX11 -lXext -lXxf86dga -lXxf86vm
-+    ifeq ($(USE_SDL_VIDEO),1)
-+      CLIENT_LDFLAGS += $(shell $(SDL_CONFIG) --libs)
++  ifeq ($(USE_CURL),1)
++    CLIENT_CFLAGS += -DUSE_CURL
++    ifeq ($(USE_CURL_DLOPEN),1)
++      CLIENT_CFLAGS += -DUSE_CURL_DLOPEN
++      CLIENT_LIBS += -lcurl
 +    endif
 +  endif
 +
-+  ifneq ($(USE_SDL_VIDEO),1)
-+    CLIENT_LDFLAGS += -L$(LOCALBASE)/lib -lGL -lX11 -lXext -lXxf86dga -lXxf86vm
-   endif
- 
-   ifeq ($(USE_OPENAL),1)
-+    CLIENT_LDFLAGS += $(THREAD_LDFLAGS)
-     ifneq ($(USE_OPENAL_DLOPEN),1)
--      CLIENT_LDFLAGS += $(THREAD_LDFLAGS) -lopenal
-+      CLIENT_LDFLAGS += -lopenal
+   ifeq ($(USE_CODEC_VORBIS),1)
+-    ifeq ($(PLATFORM),mingw32)
+-      CLIENT_LIBS += $(LIBSDIR)/win32/libvorbisfile.a $(LIBSDIR)/win32/libvorbis.a $(LIBSDIR)/win32/libogg.a
+-    else
+-      CLIENT_LIBS += -lvorbisfile -lvorbis -logg
++    CLIENT_CFLAGS += -DUSE_CODEC_VORBIS
++  endif
++
++  ifeq ($(USE_CODEC_VORBIS),1)
++    CLIENT_LIBS += -lvorbisfile -lvorbis -logg
++  endif
++
++  # cross-compiling tweaks
++  ifeq ($(ARCH),i386)
++    ifeq ($(CROSS_COMPILING),1)
++      BASE_CFLAGS += -m32
++    endif
++  endif
++  ifeq ($(ARCH),amd64)
++    ifeq ($(CROSS_COMPILING),1)
++      BASE_CFLAGS += -m64
      endif
    endif
  
-@@ -570,7 +566,6 @@
-     CLIENT_LDFLAGS += -lvorbisfile -lvorbis -logg
-   endif
- 
--
- else # ifeq freebsd
- 
- #############################################################################
-@@ -725,24 +720,25 @@
- TARGETS =
- 
- ifneq ($(BUILD_SERVER),0)
--  TARGETS += $(B)/ioq3ded.$(ARCH)$(BINEXT)
-+  TARGETS += $(B)/ioq3ded$(BINEXT)
- endif
- 
- ifneq ($(BUILD_CLIENT),0)
--  TARGETS += $(B)/ioquake3.$(ARCH)$(BINEXT)
--  ifneq ($(BUILD_CLIENT_SMP),0)
--    TARGETS += $(B)/ioquake3-smp.$(ARCH)$(BINEXT)
--  endif
-+  TARGETS += $(B)/ioquake3$(BINEXT)
-+endif
-+
-+ifneq ($(BUILD_CLIENT_SMP),0)
-+  TARGETS += $(B)/ioquake3-smp$(BINEXT)
- endif
- 
- ifneq ($(BUILD_GAME_SO),0)
-   TARGETS += \
--    $(B)/baseq3/cgame$(ARCH).$(SHLIBEXT) \
--    $(B)/baseq3/qagame$(ARCH).$(SHLIBEXT) \
--    $(B)/baseq3/ui$(ARCH).$(SHLIBEXT)     \
--    $(B)/missionpack/cgame$(ARCH).$(SHLIBEXT) \
--    $(B)/missionpack/qagame$(ARCH).$(SHLIBEXT) \
--    $(B)/missionpack/ui$(ARCH).$(SHLIBEXT)
-+    $(B)/baseq3/cgame.$(SHLIBEXT) \
-+    $(B)/baseq3/qagame.$(SHLIBEXT) \
-+    $(B)/baseq3/ui.$(SHLIBEXT)     \
-+    $(B)/missionpack/cgame.$(SHLIBEXT) \
-+    $(B)/missionpack/qagame.$(SHLIBEXT) \
-+    $(B)/missionpack/ui.$(SHLIBEXT)
- endif
- 
- ifneq ($(BUILD_GAME_QVM),0)
-@@ -804,11 +800,11 @@
- 	$(MAKE)  targets B=$(BD) CFLAGS="$(CFLAGS) $(DEBUG_CFLAGS) $(DEPEND_CFLAGS)"
- 
- build_release: B=$(BR)
--build_release: makedirs tools
-+build_release: makedirs
- 	$(MAKE)  targets B=$(BR) CFLAGS="$(CFLAGS) $(RELEASE_CFLAGS) $(DEPEND_CFLAGS)"
- 
- #Build both debug and release builds
--all:build_debug build_release
-+all:build_release
- 
- targets: $(TARGETS)
- 
-@@ -1022,13 +1018,10 @@
-   ifeq ($(ARCH),i386)
-     Q3OBJ += $(B)/client/vm_x86.o
+@@ -1555,6 +1555,9 @@
+   ifeq ($(ARCH),x86_64)
+     Q3OBJ += $(B)/client/vm_x86_64.o $(B)/client/vm_x86_64_assembler.o
    endif
--  ifeq ($(ARCH),x86)
--    Q3OBJ += $(B)/client/vm_x86.o
--  endif
--  ifeq ($(ARCH),x86_64)
 +  ifeq ($(ARCH),amd64)
-     Q3OBJ += $(B)/client/vm_x86_64.o
-   endif
--  ifeq ($(ARCH),ppc)
-+  ifeq ($(ARCH),powerpc)
-     Q3OBJ += $(B)/client/$(VM_PPC).o
++    Q3OBJ += $(B)/client/vm_x86_64.o $(B)/client/vm_x86_64_assembler.o
++  endif
+   ifeq ($(ARCH),ppc)
+     Q3OBJ += $(B)/client/vm_powerpc.o $(B)/client/vm_powerpc_asm.o
    endif
- endif
-@@ -1075,10 +1068,10 @@
-     $(B)/client/sdl_glimp_smp.o
- endif
- 
--$(B)/ioquake3.$(ARCH)$(BINEXT): $(Q3OBJ) $(Q3POBJ) $(LIBSDLMAIN)
-+$(B)/ioquake3$(BINEXT): $(Q3OBJ) $(Q3POBJ) $(LIBSDLMAIN)
- 	$(CC)  -o $@ $(Q3OBJ) $(Q3POBJ) $(CLIENT_LDFLAGS) $(LDFLAGS) $(LIBSDLMAIN)
- 
--$(B)/ioquake3-smp.$(ARCH)$(BINEXT): $(Q3OBJ) $(Q3POBJ_SMP) $(LIBSDLMAIN)
-+$(B)/ioquake3-smp$(BINEXT): $(Q3OBJ) $(Q3POBJ_SMP) $(LIBSDLMAIN)
- 	$(CC)  -o $@ $(Q3OBJ) $(Q3POBJ_SMP) $(CLIENT_LDFLAGS) \
- 		$(THREAD_LDFLAGS) $(LDFLAGS) $(LIBSDLMAIN)
- 
-@@ -1378,18 +1371,15 @@
-   ifeq ($(ARCH),i386)
-     Q3DOBJ += $(B)/ded/vm_x86.o
+@@ -1720,6 +1723,9 @@
+   ifeq ($(ARCH),x86_64)
+     Q3DOBJ += $(B)/ded/vm_x86_64.o $(B)/ded/vm_x86_64_assembler.o
    endif
--  ifeq ($(ARCH),x86)
--    Q3DOBJ += $(B)/ded/vm_x86.o
--  endif
--  ifeq ($(ARCH),x86_64)
 +  ifeq ($(ARCH),amd64)
-     Q3DOBJ += $(B)/ded/vm_x86_64.o
-   endif
--  ifeq ($(ARCH),ppc)
-+  ifeq ($(ARCH),powerpc)
-     Q3DOBJ += $(B)/ded/$(VM_PPC).o
++    Q3DOBJ += $(B)/ded/vm_x86_64.o $(B)/ded/vm_x86_64_assembler.o
++  endif
+   ifeq ($(ARCH),ppc)
+     Q3DOBJ += $(B)/ded/vm_powerpc.o $(B)/ded/vm_powerpc_asm.o
    endif
- endif
- 
--$(B)/ioq3ded.$(ARCH)$(BINEXT): $(Q3DOBJ)
-+$(B)/ioq3ded$(BINEXT): $(Q3DOBJ)
- 	$(CC) -o $@ $(Q3DOBJ) $(LDFLAGS)
- 
- $(B)/ded/sv_bot.o : $(SDIR)/sv_bot.c; $(DO_DED_CC)
-@@ -1506,7 +1496,7 @@
- Q3CGOBJ = $(Q3CGOBJ_) $(B)/baseq3/cgame/cg_syscalls.o
- Q3CGVMOBJ = $(Q3CGOBJ_:%.o=%.asm) $(B)/baseq3/game/bg_lib.asm
- 
--$(B)/baseq3/cgame$(ARCH).$(SHLIBEXT) : $(Q3CGOBJ)
-+$(B)/baseq3/cgame.$(SHLIBEXT) : $(Q3CGOBJ)
- 	$(CC) $(SHLIBLDFLAGS) -o $@ $(Q3CGOBJ)
- 
- $(B)/baseq3/vm/cgame.qvm: $(Q3CGVMOBJ) $(CGDIR)/cg_syscalls.asm
-@@ -1547,7 +1537,7 @@
- MPCGOBJ = $(MPCGOBJ_) $(B)/missionpack/cgame/cg_syscalls.o
- MPCGVMOBJ = $(MPCGOBJ_:%.o=%.asm) $(B)/missionpack/game/bg_lib.asm
- 
--$(B)/missionpack/cgame$(ARCH).$(SHLIBEXT) : $(MPCGOBJ)
-+$(B)/missionpack/cgame$(SHLIBEXT) : $(MPCGOBJ)
- 	$(CC) $(SHLIBLDFLAGS) -o $@ $(MPCGOBJ)
- 
- $(B)/missionpack/vm/cgame.qvm: $(MPCGVMOBJ) $(CGDIR)/cg_syscalls.asm
-@@ -1597,7 +1587,7 @@
- Q3GOBJ = $(Q3GOBJ_) $(B)/baseq3/game/g_syscalls.o
- Q3GVMOBJ = $(Q3GOBJ_:%.o=%.asm) $(B)/baseq3/game/bg_lib.asm
- 
--$(B)/baseq3/qagame$(ARCH).$(SHLIBEXT) : $(Q3GOBJ)
-+$(B)/baseq3/qagame.$(SHLIBEXT) : $(Q3GOBJ)
- 	$(CC) $(SHLIBLDFLAGS) -o $@ $(Q3GOBJ)
- 
- $(B)/baseq3/vm/qagame.qvm: $(Q3GVMOBJ) $(GDIR)/g_syscalls.asm
-@@ -1645,7 +1635,7 @@
- MPGOBJ = $(MPGOBJ_) $(B)/missionpack/game/g_syscalls.o
- MPGVMOBJ = $(MPGOBJ_:%.o=%.asm) $(B)/missionpack/game/bg_lib.asm
- 
--$(B)/missionpack/qagame$(ARCH).$(SHLIBEXT) : $(MPGOBJ)
-+$(B)/missionpack/qagame.$(SHLIBEXT) : $(MPGOBJ)
- 	$(CC) $(SHLIBLDFLAGS) -o $@ $(MPGOBJ)
- 
- $(B)/missionpack/vm/qagame.qvm: $(MPGVMOBJ) $(GDIR)/g_syscalls.asm
-@@ -1705,7 +1695,7 @@
- Q3UIOBJ = $(Q3UIOBJ_) $(B)/missionpack/ui/ui_syscalls.o
- Q3UIVMOBJ = $(Q3UIOBJ_:%.o=%.asm) $(B)/baseq3/game/bg_lib.asm
- 
--$(B)/baseq3/ui$(ARCH).$(SHLIBEXT) : $(Q3UIOBJ)
-+$(B)/baseq3/ui.$(SHLIBEXT) : $(Q3UIOBJ)
- 	$(CC) $(CFLAGS) $(SHLIBLDFLAGS) -o $@ $(Q3UIOBJ)
- 
- $(B)/baseq3/vm/ui.qvm: $(Q3UIVMOBJ) $(UIDIR)/ui_syscalls.asm
-@@ -1730,7 +1720,7 @@
- MPUIOBJ = $(MPUIOBJ_) $(B)/missionpack/ui/ui_syscalls.o
- MPUIVMOBJ = $(MPUIOBJ_:%.o=%.asm) $(B)/baseq3/game/bg_lib.asm
- 
--$(B)/missionpack/ui$(ARCH).$(SHLIBEXT) : $(MPUIOBJ)
-+$(B)/missionpack/ui.$(SHLIBEXT) : $(MPUIOBJ)
- 	$(CC) $(CFLAGS) $(SHLIBLDFLAGS) -o $@ $(MPUIOBJ)
- 
- $(B)/missionpack/vm/ui.qvm: $(MPUIVMOBJ) $(UIDIR)/ui_syscalls.asm
diff -Nur openarena.orig/files/patch-code__qcommon__common.c openarena/files/patch-code__qcommon__common.c
--- openarena.orig/files/patch-code__qcommon__common.c	2010-06-10 08:44:50.000000000 +0200
+++ openarena/files/patch-code__qcommon__common.c	1970-01-01 01:00:00.000000000 +0100
@@ -1,10 +0,0 @@
---- ./code/qcommon/common.c.orig	Wed Apr 26 08:27:12 2006
-+++ ./code/qcommon/common.c	Sun Jun 11 17:26:26 2006
-@@ -25,6 +25,7 @@
- #include "qcommon.h"
- #include <setjmp.h>
- #ifndef _WIN32
-+#include <sys/types.h>
- #include <netinet/in.h>
- #include <sys/stat.h> // umask
- #else
diff -Nur openarena.orig/files/patch-code__qcommon__q_platform.h openarena/files/patch-code__qcommon__q_platform.h
--- openarena.orig/files/patch-code__qcommon__q_platform.h	2010-06-10 08:44:50.000000000 +0200
+++ openarena/files/patch-code__qcommon__q_platform.h	1970-01-01 01:00:00.000000000 +0100
@@ -1,15 +0,0 @@
---- ./code/qcommon/q_platform.h.orig	Tue Dec 27 16:46:01 2005
-+++ ./code/qcommon/q_platform.h	Sun Jun 11 17:26:26 2006
-@@ -176,11 +176,7 @@
- #define ID_INLINE inline
- #define PATH_SEP '/'
- 
--#ifdef __i386__
--#define ARCH_STRING "i386"
--#elif defined __axp__
--#define ARCH_STRING "alpha"
--#endif
-+#define ARCH_STRING ARCH
- 
- #if BYTE_ORDER == BIG_ENDIAN
- #define Q3_BIG_ENDIAN
diff -Nur openarena.orig/files/patch-code__unix__linux_glimp.c openarena/files/patch-code__unix__linux_glimp.c
--- openarena.orig/files/patch-code__unix__linux_glimp.c	2010-06-10 08:44:50.000000000 +0200
+++ openarena/files/patch-code__unix__linux_glimp.c	1970-01-01 01:00:00.000000000 +0100
@@ -1,19 +0,0 @@
---- ./code/unix/linux_glimp.c.orig	Sun Apr 30 11:32:56 2006
-+++ ./code/unix/linux_glimp.c	Sun Jun 11 17:26:26 2006
-@@ -631,8 +631,14 @@
- 
-           dx = ((int)event.xmotion.x - mwx);
-           dy = ((int)event.xmotion.y - mwy);
--					mx += dx;
--					my += dy;
-+          if (abs(dx) > 1)
-+            mx += dx * 2;
-+          else
-+            mx += dx;
-+          if (abs(dy) > 1)
-+            my += dy * 2;
-+          else
-+            my += dy;
- 
-           mwx = event.xmotion.x;
-           mwy = event.xmotion.y;
diff -Nur openarena.orig/files/patch-code__unix__unix_main.c openarena/files/patch-code__unix__unix_main.c
--- openarena.orig/files/patch-code__unix__unix_main.c	2010-06-10 08:44:50.000000000 +0200
+++ openarena/files/patch-code__unix__unix_main.c	1970-01-01 01:00:00.000000000 +0100
@@ -1,31 +0,0 @@
---- ./code/unix/unix_main.c.orig	Sun Feb 26 18:22:12 2006
-+++ ./code/unix/unix_main.c	Sun Jun 11 17:26:26 2006
-@@ -774,6 +774,7 @@
-   char  curpath[MAX_OSPATH];
-   char  fname[MAX_OSPATH];
-   char  *basepath;
-+  char  *libpath;
-   char  *homepath;
-   char  *pwdpath;
-   char  *cdpath;
-@@ -789,14 +790,19 @@
-   // TODO: use fs_searchpaths from files.c
-   pwdpath = Sys_Cwd();
-   basepath = Cvar_VariableString( "fs_basepath" );
-+  libpath = LIBDIR;
-   homepath = Cvar_VariableString( "fs_homepath" );
-   cdpath = Cvar_VariableString( "fs_cdpath" );
-   gamedir = Cvar_VariableString( "fs_game" );
- 
--  libHandle = try_dlopen(pwdpath, gamedir, fname, fqpath);
-+  if(!libHandle && homepath)
-+    libHandle = try_dlopen(pwdpath, gamedir, fname, fqpath);
- 
-   if(!libHandle && homepath)
-     libHandle = try_dlopen(homepath, gamedir, fname, fqpath);
-+
-+  if(!libHandle && basepath)
-+    libHandle = try_dlopen(libpath, gamedir, fname, fqpath);
- 
-   if(!libHandle && basepath)
-     libHandle = try_dlopen(basepath, gamedir, fname, fqpath);
diff -Nur openarena.orig/files/patch-code_client_snd_openal.c openarena/files/patch-code_client_snd_openal.c
--- openarena.orig/files/patch-code_client_snd_openal.c	2010-06-10 08:44:50.000000000 +0200
+++ openarena/files/patch-code_client_snd_openal.c	1970-01-01 01:00:00.000000000 +0100
@@ -1,11 +0,0 @@
---- code/client/snd_openal.c.orig	2009-12-26 18:20:08.000000000 +0100
-+++ code/client/snd_openal.c	2009-12-26 18:20:27.000000000 +0100
-@@ -1676,7 +1676,7 @@
- #elif defined(MACOS_X)
- #define ALDRIVER_DEFAULT "/System/Library/Frameworks/OpenAL.framework/OpenAL"
- #else
--#define ALDRIVER_DEFAULT "libopenal.so.0"
-+#define ALDRIVER_DEFAULT "libopenal.so"
- #endif
- 
- /*
diff -Nur openarena.orig/files/patch-feature-DEFAULT_LIBDIR openarena/files/patch-feature-DEFAULT_LIBDIR
--- openarena.orig/files/patch-feature-DEFAULT_LIBDIR	1970-01-01 01:00:00.000000000 +0100
+++ openarena/files/patch-feature-DEFAULT_LIBDIR	2010-06-10 08:47:56.000000000 +0200
@@ -0,0 +1,128 @@
+--- code/qcommon/files.c.orig	2009-11-09 23:41:42.205886000 +0100
++++ code/qcommon/files.c	2010-02-16 15:26:18.000000000 +0100
+@@ -242,6 +242,7 @@
+ #endif
+ 
+ static	cvar_t		*fs_basepath;
++static	cvar_t		*fs_libpath;
+ static	cvar_t		*fs_basegame;
+ static	cvar_t		*fs_gamedirvar;
+ static	searchpath_t	*fs_searchpaths;
+@@ -2807,6 +2808,8 @@
+ 	fs_debug = Cvar_Get( "fs_debug", "0", 0 );
+ 	fs_basepath = Cvar_Get ("fs_basepath", Sys_DefaultInstallPath(), CVAR_INIT );
+ 	fs_basegame = Cvar_Get ("fs_basegame", "", CVAR_INIT );
++	fs_libpath = Cvar_Get ("fs_libpath", Sys_DefaultLibPath(), CVAR_INIT );
++	
+ 	homePath = Sys_DefaultHomePath();
+ 	if (!homePath || !homePath[0]) {
+ 		homePath = fs_basepath->string;
+--- code/qcommon/qcommon.h.orig	2010-02-15 17:20:33.680787000 +0100
++++ code/qcommon/qcommon.h	2010-02-16 15:26:18.000000000 +0100
+@@ -1085,6 +1085,9 @@
+ char    *Sys_DefaultAppPath(void);
+ #endif
+ 
++void	Sys_SetDefaultLibPath(const char *path);
++char	*Sys_DefaultLibPath(void);
++
+ void  Sys_SetDefaultHomePath(const char *path);
+ char	*Sys_DefaultHomePath(void);
+ const char	*Sys_TempPath(void);
+--- code/sys/sys_main.c.orig	2010-02-15 17:20:33.680787000 +0100
++++ code/sys/sys_main.c	2010-02-16 15:26:18.000000000 +0100
+@@ -49,6 +49,7 @@
+ 
+ static char binaryPath[ MAX_OSPATH ] = { 0 };
+ static char installPath[ MAX_OSPATH ] = { 0 };
++static char libPath[ MAX_OSPATH ] = { 0 };
+ 
+ /*
+ =================
+@@ -95,6 +96,29 @@
+ 
+ /*
+ =================
++Sys_SetDefaultLibPath
++=================
++*/
++void Sys_SetDefaultLibPath(const char *path)
++{
++	Q_strncpyz(libPath, path, sizeof(libPath));
++}
++
++/*
++=================
++Sys_DefaultLibPath
++=================
++*/
++char *Sys_DefaultLibPath(void)
++{
++	if (*libPath)
++		return libPath;
++	else
++		return Sys_Cwd();
++}
++
++/*
++=================
+ Sys_DefaultAppPath
+ =================
+ */
+@@ -435,6 +459,7 @@
+ Used to load a development dll instead of a virtual machine
+ #1 look in fs_homepath
+ #2 look in fs_basepath
++#3 look in fs_libpath
+ =================
+ */
+ void *Sys_LoadDll( const char *name, char *fqpath ,
+@@ -445,6 +470,7 @@
+ 	void  (*dllEntry)( intptr_t (*syscallptr)(intptr_t, ...) );
+ 	char  fname[MAX_OSPATH];
+ 	char  *basepath;
++	char  *libpath;
+ 	char  *homepath;
+ 	char  *gamedir;
+ 
+@@ -454,6 +480,7 @@
+ 
+ 	// TODO: use fs_searchpaths from files.c
+ 	basepath = Cvar_VariableString( "fs_basepath" );
++	libpath = Cvar_VariableString( "fs_libpath" );
+ 	homepath = Cvar_VariableString( "fs_homepath" );
+ 	gamedir = Cvar_VariableString( "fs_game" );
+ 
+@@ -462,6 +489,9 @@
+ 	if(!libHandle && basepath)
+ 		libHandle = Sys_TryLibraryLoad(basepath, gamedir, fname, fqpath);
+ 
++	if(!libHandle && libpath)
++		libHandle = Sys_TryLibraryLoad(libpath, gamedir, fname, fqpath);
++
+ 	if(!libHandle) {
+ 		Com_Printf ( "Sys_LoadDll(%s) failed to load library\n", name );
+ 		return NULL;
+@@ -515,6 +545,14 @@
+ #	endif
+ #endif
+ 
++#ifndef DEFAULT_LIBDIR
++#	ifdef MACOS_X
++#		define DEFAULT_LIBDIR Sys_StripAppBundle(Sys_BinaryPath())
++#	else
++#		define DEFAULT_LIBDIR Sys_BinaryPath()
++#	endif
++#endif
++
+ /*
+ =================
+ Sys_SigHandler
+@@ -589,6 +627,7 @@
+ 	Sys_ParseArgs( argc, argv );
+ 	Sys_SetBinaryPath( Sys_Dirname( argv[ 0 ] ) );
+ 	Sys_SetDefaultInstallPath( DEFAULT_BASEDIR );
++	Sys_SetDefaultLibPath( DEFAULT_LIBDIR );
+ 
+ 	// Concatenate the command line for passing to Com_Init
+ 	for( i = 1; i < argc; i++ )
Files openarena.orig/openarena-0.8.5.tbz and openarena/openarena-0.8.5.tbz differ
diff -Nur openarena.orig/pkg-descr openarena/pkg-descr
--- openarena.orig/pkg-descr	2010-06-10 08:44:50.000000000 +0200
+++ openarena/pkg-descr	2010-06-15 20:58:25.000000000 +0200
@@ -1,10 +1,7 @@
-OpenArena is an open-source content package for Quake III Arena licensed under
-the GPL, effectively creating a free stand-alone game. You do not need Quake
-III Arena to play this game.
-
-Bots were added starting in 0.6.0. They will spout taunts and everything!
-
-Concepts would be loose, so don't expect a remake of Klesk in his original
-Klesk form, or any direct remakes of any map/weapon/model.
+OpenArena is a community-produced deathmatch FPS based on GPL idTech3
+technology.
+There are many game types supported including Free For All, Capture The Flag,
+Domination, Overload, Harvester, and more. There are 17 unique player models to
+choose from and 12 weapons.
 
 WWW: http://openarena.ws/
diff -Nur openarena.orig/pkg-message openarena/pkg-message
--- openarena.orig/pkg-message	2010-06-10 08:44:50.000000000 +0200
+++ openarena/pkg-message	2010-06-10 08:47:56.000000000 +0200
@@ -1,10 +1,6 @@
 ==============================================================================
 
-If you have sound problems with SDL try setting the variable "s_sdlSpeed" to
-"44100". It will be saved to the configuration file.
-
-If you have sound problems with OpenAL recompile without it. Also the OPENAL
-option causes the program to omit restoring gamma and mouse sensivity after
-exitting.
+Should the game freeze when entering a match, try to change the value of
+com_zoneMegs (e.g. to 48).
 
 ==============================================================================
diff -Nur openarena.orig/pkg-plist openarena/pkg-plist
--- openarena.orig/pkg-plist	2010-06-10 08:44:50.000000000 +0200
+++ openarena/pkg-plist	2010-06-15 20:54:50.000000000 +0200
@@ -1,23 +1,8 @@
-%%DEDICATED%%bin/openarenaded
-%%CLIENT%%bin/openarena
-%%SMP%%bin/openarena-smp
-%%DATADIR%%/baseoa/pak0.pk3
-%%DATADIR%%/baseoa/pak1-maps.pk3
-%%DATADIR%%/baseoa/pak2-players-mature.pk3
-%%DATADIR%%/baseoa/pak2-players.pk3
-%%DATADIR%%/baseoa/pak3-music.pk3
-%%DATADIR%%/baseoa/pak4-textures.pk3
-%%DATADIR%%/baseoa/pak5-TA.pk3
-%%DATADIR%%/baseoa/pak6-misc.pk3
-%%DATADIR%%/baseoa/pak7-patch.pk3
-%%GAMELIBS%%%%LIBDIR%%/baseoa/cgame.so
-%%GAMELIBS%%%%LIBDIR%%/baseoa/qagame.so
-%%GAMELIBS%%%%LIBDIR%%/baseoa/ui.so
-%%GAMELIBS%%%%LIBDIR%%/missionpack/cgame.so
-%%GAMELIBS%%%%LIBDIR%%/missionpack/qagame.so
-%%GAMELIBS%%%%LIBDIR%%/missionpack/ui.so
-@dirrm %%DATADIR%%/baseoa
-@dirrm %%DATADIR%%
-%%GAMELIBS%%@dirrm %%LIBDIR%%/missionpack
+%%DEDICATED%%bin/oa_ded%%BINSUFFIX%%
+%%CLIENT%%bin/openarena%%BINSUFFIX%%
+%%SMP%%bin/openarena-smp%%BINSUFFIX%%
+%%GAMELIBS%%%%LIBDIR%%/baseoa/cgame%%ARCH%%.so
+%%GAMELIBS%%%%LIBDIR%%/baseoa/qagame%%ARCH%%.so
+%%GAMELIBS%%%%LIBDIR%%/baseoa/ui%%ARCH%%.so
 %%GAMELIBS%%@dirrm %%LIBDIR%%/baseoa
 %%GAMELIBS%%@dirrm %%LIBDIR%%


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	openarena-data
#	openarena-data/Makefile
#	openarena-data/distinfo
#	openarena-data/pkg-descr
#	openarena-data/pkg-plist
#
echo c - openarena-data
mkdir -p openarena-data > /dev/null 2>&1
echo x - openarena-data/Makefile
sed 's/^X//' >openarena-data/Makefile << '67b2821b286851c51e020a33e53376e4'
X# New ports collection makefile for:	openarena-data
X# Date created:				15 June 2010
X# Whom:					Dominic Fandrey
X#
X# $FreeBSD$
X#
X
XPORTNAME=	data
XPORTVERSION=	0.8.5
XCATEGORIES=	games
XMASTER_SITES=	http://openarena.ws/request.php?2\\\#/:data \
X		http://openarena.ws/request.php?3\\\#/:patch
XDISTFILES=	${OA_DATA}:data \
X		${OA_PATCH}:patch
XEXTRACT_ONLY=
X
XMAINTAINER=	kamikaze@bsdforen.de
XCOMMENT=	OpenArena game data files
X
XINSTALL_DEPENDS=unzip:${PORTSDIR}/archivers/unzip
X
XWRKSRC=		${WRKDIR}
XNO_BUILD=	yes
X
XOA_DATA=	oa081.zip
XOA_DATA_VER=	0.8.1
XOA_PATCH=	oa085p.zip
XOA_PATCH_VER=	0.8.1
X
Xdo-install:
X		@${MKDIR} ${DATADIR}
X		@${UNZIP_CMD} -j ${DISTDIR}/${OA_DATA} \
X			${PKGNAMEPREFIX}${OA_DATA_VER}/${OABASE}/\* \
X			-d ${DATADIR}
X		@${UNZIP_CMD} -j ${DISTDIR}/${OA_PATCH} \
X			${PKGNAMEPREFIX}${OA_PATCH_VER}/${OABASE}/\* \
X			-d ${DATADIR}
X		@${CHMOD} -R o-w ${DATADIR}
X
X.include "../openarena/Makefile.include"
67b2821b286851c51e020a33e53376e4
echo x - openarena-data/distinfo
sed 's/^X//' >openarena-data/distinfo << '1e2f13211ae9949fbad1e584a0333338'
XMD5 (oa081.zip) = 49006bcb02b4e8ea3d06749e8f4e4887
XSHA256 (oa081.zip) = c96282de8bc2ac5781df58c6adbce4265376e36190af50d7528f51dc739b6d7d
XSIZE (oa081.zip) = 318927645
XMD5 (oa085p.zip) = b2a0437da751cd50dd2351ed9e0c4e9d
XSHA256 (oa085p.zip) = d360c4b095bc3b34d03d9a366b21c12052c3f9e9c57e86b17c8b2c038baa4719
XSIZE (oa085p.zip) = 42528474
1e2f13211ae9949fbad1e584a0333338
echo x - openarena-data/pkg-descr
sed 's/^X//' >openarena-data/pkg-descr << '49772acacbc0c47b3b14636b723e1e0e'
XThis is the game data port for the ioquake3 engine based game OpenArena.
X
XWWW: http://openarena.ws/
49772acacbc0c47b3b14636b723e1e0e
echo x - openarena-data/pkg-plist
sed 's/^X//' >openarena-data/pkg-plist << '47943fd6f993c86d0b5cb08deb5a2ed7'
X%%DATADIR%%/pak0.pk3
X%%DATADIR%%/pak1-maps.pk3
X%%DATADIR%%/pak2-players-mature.pk3
X%%DATADIR%%/pak2-players.pk3
X%%DATADIR%%/pak4-textures.pk3
X%%DATADIR%%/pak5-TA.pk3
X%%DATADIR%%/pak6-misc.pk3
X%%DATADIR%%/pak6-patch085.pk3
X@dirrm %%DATADIR%%
X@dirrmtry %%OADIR%%
47943fd6f993c86d0b5cb08deb5a2ed7
exit


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	openarena-oax
#	openarena-oax/Makefile
#	openarena-oax/distinfo
#	openarena-oax/pkg-descr
#	openarena-oax/pkg-plist
#
echo c - openarena-oax
mkdir -p openarena-oax > /dev/null 2>&1
echo x - openarena-oax/Makefile
sed 's/^X//' >openarena-oax/Makefile << 'c96298bd3e29c6691e79d88131cb5872'
X# New ports collection makefile for:	openarena-oax
X# Date created:				21 May 2010
X# Whom:					Dominic Fandrey
X#
X# $FreeBSD$
X#
X
XPORTNAME=	oax
XPORTVERSION=	B45
XCATEGORIES=	games
XMASTER_SITES=	http://files.poulsander.com/~poul19/public_files/eliminationSource/
XDISTNAME=	${PORTNAME}${PORTVERSION}
XEXTRACT_SUFX=	.zip
XEXTRACT_ONLY=
X
XMAINTAINER=	kamikaze@bsdforen.de
XCOMMENT=	OpenArena Mod: OpenArena Xpanded
X
XINSTALL_DEPENDS=unzip:${PORTSDIR}/archivers/unzip
X
XPLIST_SUB+=	DISTNAME="${DISTNAME}" \
X		PORTNAME="${PORTNAME}"
X
XNO_BUILD=	yes
X
XOABASE=		${DISTNAME}
X
Xdo-install:
X	@${MKDIR} ${DATADIR}
X	@${UNZIP_CMD} ${DISTDIR}/${DISTFILES} -d ${OADIR}
X	@${CHMOD} -R o-w ${DATADIR}
X
X.include "../openarena/Makefile.include"
c96298bd3e29c6691e79d88131cb5872
echo x - openarena-oax/distinfo
sed 's/^X//' >openarena-oax/distinfo << '263463adef82b6f156d60fe931e76cb8'
XMD5 (oaxB45.zip) = 395b29a38184100cea7dc3206979770f
XSHA256 (oaxB45.zip) = 43f21a45329b549b5a0a967269e50cf89803b5e084598d7fbef726fa63e0aa14
XSIZE (oaxB45.zip) = 465245
263463adef82b6f156d60fe931e76cb8
echo x - openarena-oax/pkg-descr
sed 's/^X//' >openarena-oax/pkg-descr << '0b28410ff7e7044416b6da43d806a1c7'
XOpenArena Expanded is the development version of OpenArena. Its purpose is both
Xto create improve the basic OpenArena gameplay but also to create a good
Xstarting point for any OpenArena or Quake III:Arena mods.
X
XIt does not include engine or platform specific code. The source code is
XGPL v2 or later but some of the tools are not.
X
XWWW: http://code.google.com/p/oax/
0b28410ff7e7044416b6da43d806a1c7
echo x - openarena-oax/pkg-plist
sed 's/^X//' >openarena-oax/pkg-plist << '98f6cd529460956fff768581152ac0ae'
X%%DATADIR%%/%%PORTNAME%%.pk3
X%%DATADIR%%/readme.txt
X@dirrm %%DATADIR%%
X@dirrmtry %%OADIR%%
98f6cd529460956fff768581152ac0ae
exit
Comment 8 kamikaze 2010-06-15 21:21:57 UTC
Note that gnats merged one diff and two shars into a single file
with the previous post. Aaargh.

-- 
A: Because it fouls the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing on usenet and in e-mail?
Comment 9 naylor.b.david 2010-06-16 17:25:47 UTC
Hi,

A while ago I worked a bit on openarena.  The diff may be of use to you.  

Regards,

David
Comment 10 kamikaze 2010-06-16 18:02:07 UTC
On 16/06/2010 18:25, David Naylor wrote:
> A while ago I worked a bit on openarena.  The diff may be of use to you.  

Right, it might be a good idea to add the mod SDK. Later, when
this is through.

At the moment I deem a committer more important.

Regards

-- 
A: Because it fouls the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing on usenet and in e-mail?
Comment 11 naylor.b.david 2010-06-17 07:17:19 UTC
On Wednesday 16 June 2010 19:02:07 Dominic Fandrey wrote:
> On 16/06/2010 18:25, David Naylor wrote:
> > A while ago I worked a bit on openarena.  The diff may be of use to you.
> 
> Right, it might be a good idea to add the mod SDK. Later, when
> this is through.


I tried adding the SDK but it appears incompatible with the engine (compile 
errors) and I never tried it alone.  

> At the moment I deem a committer more important.


Agreed.  
Comment 12 Max Brazhnikov freebsd_committer 2010-07-11 19:40:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 13 Max Brazhnikov freebsd_committer 2010-07-11 20:00:55 UTC
State Changed
From-To: feedback->open

maintainer timeout
Comment 14 kamikaze 2010-09-07 08:26:03 UTC
I did some testing and here are the revised patches.

Don't forget to use "patch -E" to get rid of stale files.

On RELENG_8 I now have to use "patch -E -p0" or the patch fails.
Defining -p0 seems silly to me, but it wouldn't work any other
way.

patch-ports-games-openarena.txt

diff -Nur ioquake3.orig/Makefile ioquake3/Makefile
--- ioquake3.orig/Makefile	2010-06-10 08:44:42.000000000 +0200
+++ ioquake3/Makefile	2010-06-15 21:00:23.000000000 +0200
@@ -101,6 +101,7 @@
 PLIST_SUB+=	CLIENT=""
 Q3BIN+=		${Q3CLIENT}
 .else
+MAKE_ARGS+=	BUILD_CLIENT=0
 PLIST_SUB+=	CLIENT="@comment "
 .endif
 
@@ -109,6 +110,7 @@
 PLIST_SUB+=	DEDICATED=""
 Q3BIN+=		${Q3SERVER}
 .else
+MAKE_ARGS+=	BUILD_SERVER=0
 PLIST_SUB+=	DEDICATED="@comment "
 .endif
 
@@ -125,6 +127,7 @@
 PLIST_SUB+=	SMP=""
 Q3BIN+=		${Q3CLIENT}-smp
 .else
+MAKE_ARGS+=	BUILD_CLIENT_SMP=0
 PLIST_SUB+=	SMP="@comment "
 .endif
 
diff -Nur openarena.orig/Makefile openarena/Makefile
--- openarena.orig/Makefile	2010-06-10 08:44:50.000000000 +0200
+++ openarena/Makefile	2010-06-15 21:09:32.000000000 +0200
@@ -6,147 +6,27 @@
 #
 
 PORTNAME=	openarena
-PORTVERSION=	0.7.1
-PORTREVISION=	6
-CATEGORIES=	games
-MASTER_SITES=	http://openarena.ws/rel/070/:src \
-		http://download.tuxfamily.net/cooker/openarena/rel070/:data \
-		ftp://ftp.alepulver.com.ar/distfiles/:patch
-DISTNAME=	ioq3-src-oa
-DISTFILES=	${DISTNAME}${EXTRACT_SUFX}:src \
-		${OA_DATA}:data \
-		${OA_PATCH}:patch
-EXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}
+PORTVERSION=	0.8.5
+DISTVERSION=	1.36_SVN1783+${PORTVERSION}
+PORTREVISION=	0
+MASTER_SITES=	http://files.poulsander.com/~poul19/public_files/oa/dev081/
+DISTNAME=	${PORTNAME}-engine-source-0.8.x-15
 
-MAINTAINER=	hemi@puresimplicity.net
-COMMENT=	GPL-licensed total conversion of Quake 3
+MAINTAINER=	kamikaze@bsdforen.de
+COMMENT=	Quake3 total conversion based on the ioquake3 engine
 
-EXTRACT_DEPENDS=unzip:${PORTSDIR}/archivers/unzip
-LIB_DEPENDS=	vorbis.4:${PORTSDIR}/audio/libvorbis
+RUN_DEPENDS=	${DATADIR}/${Q3BASE}/pak0.pk3:${PORTSDIR}/games/openarena-data
 
 USE_BZIP2=	yes
-USE_GMAKE=	yes
-NO_WRKSUBDIR=	yes
+USE_ZIP=	no
+# OpenArena doc is too messy to bother
+NOPORTDOCS=	yes
+
+Q3TOTALCONV=	yes
+Q3CLIENT=	openarena
+Q3SERVER=	oa_ded
+Q3TOOLS=
+Q3BASE=		baseoa
+Q3DIR=		${DATADIR}
 
-OPTIONS=	CLIENT "Build client" on \
-		DEDICATED "Build dedicated server" on \
-		OPENAL "Enable OpenAL (3D sound) support" off \
-		OPENAL_DLOPEN "Enable dynamic loading of OpenAL" off \
-		OPTIMIZED_CFLAGS "Enable compilation optimizations" on \
-		SDL_AUDIO "Use SDL for audio" off \
-		SDL_VIDEO "Use SDL for video" off \
-		SMP "Build SMP (threaded) client" on \
-
-MAKE_ENV=	DEFAULT_BASEDIR="${DATADIR}" LIBDIR="${LIBDIR}" \
-		PTHREAD_LIBS="${PTHREAD_LIBS}" USE_CODEC_VORBIS=1
-PLIST_SUB=	LIBDIR="${LIBDIR:S/${PREFIX}\///}"
-
-LIBDIR=		${PREFIX}/lib/${PORTNAME}
-VM_ARCHS=	amd64 i386 powerpc
-OA_DATA=	oa070.zip
-OA_PATCH=	oa071-patch.zip
-
-.include <bsd.port.pre.mk>
-
-.if defined(WITHOUT_CLIENT) && defined(WITHOUT_DEDICATED) && \
-    defined(WITHOUT_SMP)
-IGNORE=		needs at least one of CLIENT, DEDICATED and SMP options
-.endif
-
-.for i in ${ARCH}
-.   if ${VM_ARCHS:M${i}} != ""
-HAVE_VM_COMPILED=	yes
-.   endif
-.endfor
-
-.if defined(HAVE_VM_COMPILED)
-MAKE_ENV+=	HAVE_VM_COMPILED=true
-.endif
-
-.if !defined(WITHOUT_CLIENT) || !defined(WITHOUT_SMP)
-# OpenAL
-.   if defined(WITH_OPENAL)
-USE_OPENAL=	al
-MAKE_ENV+=	USE_OPENAL=1
-.       if defined(WITH_OPENAL_DLOPEN)
-MAKE_ENV+=	USE_OPENAL_DLOPEN=1
-.       endif
-.   endif
-# SDL
-.   if defined(WITH_SDL_AUDIO)
-USE_SDL=	sdl
-MAKE_ENV+=	USE_SDL_AUDIO=1
-.   endif
-.   if defined(WITH_SDL_VIDEO)
-USE_SDL=	sdl
-MAKE_ENV+=	USE_SDL_VIDEO=1
-.   else
-USE_GL=		yes
-USE_XORG=	x11 xxf86dga
-.   endif
-.endif
-
-.if !defined(WITHOUT_CLIENT)
-MAKE_ENV+=	BUILD_CLIENT=1
-PLIST_SUB+=	CLIENT=""
-OABIN+=		ioquake3
-.else
-PLIST_SUB+=	CLIENT="@comment "
-.endif
-
-.if !defined(WITHOUT_DEDICATED)
-MAKE_ENV+=	BUILD_SERVER=1
-PLIST_SUB+=	DEDICATED=""
-OABIN+=		ioq3ded
-.else
-PLIST_SUB+=	DEDICATED="@comment "
-.endif
-
-.if defined(WITH_GAMELIBS) || !defined(HAVE_VM_COMPILED)
-MAKE_ENV+=	BUILD_GAME_SO=1
-PLIST_SUB+=	GAMELIBS=""
-.else
-PLIST_SUB+=	GAMELIBS="@comment "
-.endif
-
-.if !defined(WITHOUT_OPTIMIZED_CFLAGS)
-MAKE_ENV+=	USE_OPTIMIZED_CFLAGS=1
-.endif
-
-.if !defined(WITHOUT_SMP)
-MAKE_ENV+=	BUILD_CLIENT_SMP=1
-PLIST_SUB+=	SMP=""
-OABIN+=		ioquake3-smp
-.else
-PLIST_SUB+=	SMP="@comment "
-.endif
-
-.if ${ARCH} == "sparc64"
-BROKEN=		Does not compile
-.endif
-
-post-extract:
-.for f in ${OA_DATA} ${OA_PATCH}
-	@${UNZIP_CMD} -qo ${DISTDIR}/${f} -d ${WRKDIR}
-.endfor
-
-do-install:
-.for bin in ${OABIN}
-	${INSTALL_PROGRAM} ${WRKSRC}/build/release/${bin} \
-		${PREFIX}/bin/${bin:C/(ioquake3|ioq3)/${PORTNAME}/}
-.endfor
-.if defined(WITH_GAMELIBS) || !defined(HAVE_VM_COMPILED)
-.for dir in baseq3 missionpack
-	${MKDIR} ${LIBDIR}/${dir}
-	${INSTALL_PROGRAM} ${WRKSRC}/build/release/${dir}/*.so ${LIBDIR}/${dir}
-.endfor
-.endif
-	${MKDIR} ${DATADIR}
-	${CP} -R ${WRKDIR}/${PORTNAME}-0.7.0/baseoa ${DATADIR}
-
-post-install:
-	@${ECHO_CMD}
-	@${CAT} ${PKGMESSAGE}
-	@${ECHO_CMD}
-
-.include <bsd.port.post.mk>
+.include "../ioquake3/Makefile"
diff -Nur openarena.orig/Makefile.include openarena/Makefile.include
--- openarena.orig/Makefile.include	1970-01-01 01:00:00.000000000 +0100
+++ openarena/Makefile.include	2010-09-06 18:15:34.000000000 +0200
@@ -0,0 +1,23 @@
+PKGNAMEPREFIX?=	openarena-
+OADIR?=		${PREFIX}/share/openarena
+DATADIR?=	${OADIR}/${OABASE}
+OABASE?=	baseoa
+
+PLIST_SUB+=	OADIR="${OADIR:S,${PREFIX}/,,}"
+
+.if ! ${OABASE:Mbaseoa}
+RUN_DEPENDS+=	${OABIN}:${PORTSDIR}/games/openarena
+.endif
+
+.include <bsd.port.pre.mk>
+
+# You only need server or client.
+.if exists(${PREFIX}/bin/oa_ded)
+OABIN=		oa_ded
+.elif exists(${PREFIX}/bin/openarena)
+OABIN=		openarena
+.else
+OABIN=		openarena-smp
+.endif
+
+.include <bsd.port.post.mk>
diff -Nur openarena.orig/distinfo openarena/distinfo
--- openarena.orig/distinfo	2010-06-10 08:44:50.000000000 +0200
+++ openarena/distinfo	2010-06-15 21:05:30.000000000 +0200
@@ -1,9 +1,3 @@
-MD5 (ioq3-src-oa.tar.bz2) = a43cd6044de919dd2af94fb4159ddb47
-SHA256 (ioq3-src-oa.tar.bz2) = b51a890a525e9a7c49fe9fe3808ec6bba0738014d008078bbd28244934d145b9
-SIZE (ioq3-src-oa.tar.bz2) = 3539582
-MD5 (oa070.zip) = 739548bfc5dc1d129d20c0f67d54df48
-SHA256 (oa070.zip) = f420978abedd701744de06bdba3a7c3624175aafb891101f77887581ce8576a1
-SIZE (oa070.zip) = 263123081
-MD5 (oa071-patch.zip) = 5fa31998009f8241ad3ded93eb81e701
-SHA256 (oa071-patch.zip) = 7f6162b04cf624fea73083430b7a5c7a15826fe3ce536c2280448f403fd3561a
-SIZE (oa071-patch.zip) = 12287230
+MD5 (openarena-engine-source-0.8.x-15.tar.bz2) = 868a6d0dca1579a0cbc05192b9cdc70d
+SHA256 (openarena-engine-source-0.8.x-15.tar.bz2) = fc274de6cc4a6a880618d38267d4453fdb3125fc8587b08e6ea51dd137a88650
+SIZE (openarena-engine-source-0.8.x-15.tar.bz2) = 8080759
diff -Nur openarena.orig/files/patch-Makefile openarena/files/patch-Makefile
--- openarena.orig/files/patch-Makefile	2010-06-10 08:44:50.000000000 +0200
+++ openarena/files/patch-Makefile	2010-06-10 08:47:56.000000000 +0200
@@ -1,70 +1,6 @@
---- Makefile.orig	Sat Jul  7 02:50:34 2007
-+++ Makefile	Sun Jul 29 04:30:00 2007
-@@ -26,11 +26,19 @@
-   endif
- endif
- 
--BUILD_CLIENT     =
--BUILD_CLIENT_SMP =
--BUILD_SERVER     =
--BUILD_GAME_SO    =
--BUILD_GAME_QVM   =
-+BUILD_CLIENT?=0
-+BUILD_CLIENT_SMP?=0
-+BUILD_GAME_QVM?=0
-+BUILD_GAME_SO?=0
-+BUILD_SERVER?=0
-+HAVE_VM_COMPILED?=false
-+USE_CODEC_VORBIS?=0
-+USE_LOCAL_HEADERS?=0
-+USE_OPENAL?=0
-+USE_OPENAL_DLOPEN?=0
-+USE_OPTIMIZED_CFLAGS?=0
-+USE_SDL_AUDIO?=0
-+USE_SDL_VIDEO?=0
- 
- #############################################################################
- #
-@@ -88,18 +96,6 @@
- endif
- export USE_CCACHE
- 
--ifndef USE_SDL
--USE_SDL=1
--endif
--
--ifndef USE_OPENAL
--USE_OPENAL=1
--endif
--
--ifndef USE_OPENAL_DLOPEN
--USE_OPENAL_DLOPEN=0
--endif
--
- ifndef USE_CURL
- USE_CURL=1
- endif
-@@ -112,18 +108,10 @@
-   endif
- endif
- 
--ifndef USE_CODEC_VORBIS
--USE_CODEC_VORBIS=1
--endif
--
--ifndef USE_LOCAL_HEADERS
--USE_LOCAL_HEADERS=1
--endif
--
- #############################################################################
- 
- BD=$(BUILD_DIR)/debug-$(PLATFORM)-$(ARCH)
--BR=$(BUILD_DIR)/release-$(PLATFORM)-$(ARCH)
-+BR=$(BUILD_DIR)/release
- CDIR=$(MOUNT_DIR)/client
- SDIR=$(MOUNT_DIR)/server
- RDIR=$(MOUNT_DIR)/renderer
-@@ -498,18 +486,12 @@
+--- Makefile.orig	2010-04-24 23:29:15.000000000 +0200
++++ Makefile	2010-05-22 00:10:08.000000000 +0200
+@@ -561,45 +561,22 @@
  
  ifeq ($(PLATFORM),freebsd)
  
@@ -73,265 +9,118 @@
 -  else #default to i386
 -    ARCH=i386
 -  endif #alpha test
--
-+  BASE_CFLAGS = -DARCH='\"$(ARCH)\"' -DLIBDIR='\"$(LIBDIR)\"' -I$(LOCALBASE)/include -Wall -fno-strict-aliasing -Wimplicit -Wstrict-prototypes
++  # system integration
++  ifndef DEFAULT_LIBDIR
++    DEFAULT_LIBDIR = /usr/local/lib/ioquake3
++  endif
  
--  BASE_CFLAGS = -Wall -fno-strict-aliasing -Wimplicit -Wstrict-prototypes
+-  BASE_CFLAGS = -Wall -fno-strict-aliasing -Wimplicit -Wstrict-prototypes \
+-    -DUSE_ICON
++  # flags
++  BASE_CFLAGS = $(shell env MACHINE_ARCH=$(ARCH) make -f /dev/null -VCFLAGS) \
++    -Wall -fno-strict-aliasing -Wimplicit -Wstrict-prototypes \
++    -DDEFAULT_LIBDIR=\\\"$(DEFAULT_LIBDIR)\\\" \
++    -DUSE_ICON -DMAP_ANONYMOUS=MAP_ANON
+   CLIENT_CFLAGS = $(SDL_CFLAGS)
+   SERVER_CFLAGS = 
++  HAVE_VM_COMPILED = true
+ 
+-  ifeq ($(USE_OPENAL),1)
+-    CLIENT_CFLAGS += -DUSE_OPENAL
+-    ifeq ($(USE_OPENAL_DLOPEN),1)
+-      CLIENT_CFLAGS += -DUSE_OPENAL_DLOPEN
+-    endif
+-  endif
+-
+-  ifeq ($(USE_CODEC_VORBIS),1)
+-    CLIENT_CFLAGS += -DUSE_CODEC_VORBIS
+-  endif
+-
+-  OPTIMIZEVM = -O3 -funroll-loops -fomit-frame-pointer
 -
--  GL_CFLAGS = -I/usr/X11R6/include
-+  GL_CFLAGS = -I$(LOCALBASE)/include
- 
-   DEBUG_CFLAGS=$(BASE_CFLAGS) -g
-+  RELEASE_CFLAGS=$(BASE_CFLAGS) -DNDEBUG -pipe
- 
-   ifeq ($(USE_OPENAL),1)
-     BASE_CFLAGS += -DUSE_OPENAL=1
-@@ -522,47 +504,61 @@
-     BASE_CFLAGS += -DUSE_CODEC_VORBIS=1
-   endif
- 
--  ifeq ($(USE_SDL),1)
--    BASE_CFLAGS += $(shell sdl-config --cflags) -DUSE_SDL_VIDEO=1 -DUSE_SDL_SOUND=1
-+  ifeq ($(USE_SDL_AUDIO),1)
-+    BASE_CFLAGS += $(shell $(SDL_CONFIG) --cflags)
-+  else
-+    ifeq ($(USE_SDL_VIDEO),1)
-+      BASE_CFLAGS += $(shell $(SDL_CONFIG) --cflags)
-+    endif
-   endif
- 
 -  ifeq ($(ARCH),axp)
--    CC=gcc
 -    BASE_CFLAGS += -DNO_VM_COMPILED
--    RELEASE_CFLAGS=$(BASE_CFLAGS) -DNDEBUG -O3 -ffast-math -funroll-loops \
--      -fomit-frame-pointer -fexpensive-optimizations
+-    OPTIMIZEVM += -fexpensive-optimizations
 -  else
 -  ifeq ($(ARCH),i386)
--    CC=gcc
--    RELEASE_CFLAGS=$(BASE_CFLAGS) -DNDEBUG -O3 -mtune=pentiumpro \
--      -march=pentium -fomit-frame-pointer -pipe -ffast-math \
--      -falign-loops=2 -falign-jumps=2 -falign-functions=2 \
--      -funroll-loops -fstrength-reduce
+-    OPTIMIZEVM += -mtune=pentiumpro \
+-      -march=pentium -pipe -falign-loops=2 -falign-jumps=2 \
+-      -falign-functions=2 -funroll-loops -fstrength-reduce
 -    HAVE_VM_COMPILED=true
 -  else
 -    BASE_CFLAGS += -DNO_VM_COMPILED
-+  ifeq ($(USE_SDL_AUDIO),1)
-+    BASE_CFLAGS += -DUSE_SDL_SOUND=1
-   endif
-+
-+  ifeq ($(USE_SDL_VIDEO),1)
-+    BASE_CFLAGS += -DUSE_SDL_VIDEO=1
-+  endif
-+
-+  ifeq ($(USE_OPTIMIZED_CFLAGS),1)
-+    RELEASE_CFLAGS+=-O3 -ffast-math -funroll-loops -fomit-frame-pointer \
-+       -fexpensive-optimizations
-+    ifeq ($(ARCH),i386)
-+      RELEASE_CFLAGS+=-falign-loops=2 -falign-jumps=2 -falign-functions=2 \
-+         -fstrength-reduce
-+    endif
-+  endif
-+
-+  ifneq ($(HAVE_VM_COMPILED),true)
-+    BASE_CFLAGS += -DNO_VM_COMPILED
-   endif
+-  endif
+-  endif
+-
+-  OPTIMIZE = $(OPTIMIZEVM) -ffast-math
++  OPTIMIZEVM = -O3 -funroll-loops -fomit-frame-pointer -ffast-math
++  OPTIMIZE = $(OPTIMIZEVM)
  
    SHLIBEXT=so
    SHLIBCFLAGS=-fPIC
-   SHLIBLDFLAGS=-shared $(LDFLAGS)
+@@ -613,17 +590,40 @@
  
--  THREAD_LDFLAGS=-lpthread
-+  THREAD_LDFLAGS=$(PTHREAD_LIBS)
-   # don't need -ldl (FreeBSD)
-   LDFLAGS=-lm
+   CLIENT_LIBS += $(SDL_LIBS) -lGL
  
--  CLIENT_LDFLAGS =
-+  CLIENT_LDFLAGS = -L$(LOCALBASE)/lib
++  # optional features/libraries
+   ifeq ($(USE_OPENAL),1)
+-    ifneq ($(USE_OPENAL_DLOPEN),1)
++    CLIENT_CFLAGS += -DUSE_OPENAL
++    ifeq ($(USE_OPENAL_DLOPEN),1)
++      CLIENT_CFLAGS += -DUSE_OPENAL_DLOPEN
+       CLIENT_LIBS += $(THREAD_LIBS) -lopenal
+     endif
+   endif
  
--  ifeq ($(USE_SDL),1)
--    CLIENT_LDFLAGS += $(shell sdl-config --libs)
-+  ifeq ($(USE_SDL_AUDIO),1)
-+    CLIENT_LDFLAGS += $(shell $(SDL_CONFIG) --libs)
-   else
--    CLIENT_LDFLAGS += -L/usr/X11R6/$(LIB) -lGL -lX11 -lXext -lXxf86dga -lXxf86vm
-+    ifeq ($(USE_SDL_VIDEO),1)
-+      CLIENT_LDFLAGS += $(shell $(SDL_CONFIG) --libs)
++  ifeq ($(USE_CURL),1)
++    CLIENT_CFLAGS += -DUSE_CURL
++    ifeq ($(USE_CURL_DLOPEN),1)
++      CLIENT_CFLAGS += -DUSE_CURL_DLOPEN
++      CLIENT_LIBS += -lcurl
 +    endif
 +  endif
 +
-+  ifneq ($(USE_SDL_VIDEO),1)
-+    CLIENT_LDFLAGS += -L$(LOCALBASE)/lib -lGL -lX11 -lXext -lXxf86dga -lXxf86vm
-   endif
- 
-   ifeq ($(USE_OPENAL),1)
-+    CLIENT_LDFLAGS += $(THREAD_LDFLAGS)
-     ifneq ($(USE_OPENAL_DLOPEN),1)
--      CLIENT_LDFLAGS += $(THREAD_LDFLAGS) -lopenal
-+      CLIENT_LDFLAGS += -lopenal
+   ifeq ($(USE_CODEC_VORBIS),1)
+-    ifeq ($(PLATFORM),mingw32)
+-      CLIENT_LIBS += $(LIBSDIR)/win32/libvorbisfile.a $(LIBSDIR)/win32/libvorbis.a $(LIBSDIR)/win32/libogg.a
+-    else
+-      CLIENT_LIBS += -lvorbisfile -lvorbis -logg
++    CLIENT_CFLAGS += -DUSE_CODEC_VORBIS
++  endif
++
++  ifeq ($(USE_CODEC_VORBIS),1)
++    CLIENT_LIBS += -lvorbisfile -lvorbis -logg
++  endif
++
++  # cross-compiling tweaks
++  ifeq ($(ARCH),i386)
++    ifeq ($(CROSS_COMPILING),1)
++      BASE_CFLAGS += -m32
++    endif
++  endif
++  ifeq ($(ARCH),amd64)
++    ifeq ($(CROSS_COMPILING),1)
++      BASE_CFLAGS += -m64
      endif
    endif
  
-@@ -570,7 +566,6 @@
-     CLIENT_LDFLAGS += -lvorbisfile -lvorbis -logg
-   endif
- 
--
- else # ifeq freebsd
- 
- #############################################################################
-@@ -725,24 +720,25 @@
- TARGETS =
- 
- ifneq ($(BUILD_SERVER),0)
--  TARGETS += $(B)/ioq3ded.$(ARCH)$(BINEXT)
-+  TARGETS += $(B)/ioq3ded$(BINEXT)
- endif
- 
- ifneq ($(BUILD_CLIENT),0)
--  TARGETS += $(B)/ioquake3.$(ARCH)$(BINEXT)
--  ifneq ($(BUILD_CLIENT_SMP),0)
--    TARGETS += $(B)/ioquake3-smp.$(ARCH)$(BINEXT)
--  endif
-+  TARGETS += $(B)/ioquake3$(BINEXT)
-+endif
-+
-+ifneq ($(BUILD_CLIENT_SMP),0)
-+  TARGETS += $(B)/ioquake3-smp$(BINEXT)
- endif
- 
- ifneq ($(BUILD_GAME_SO),0)
-   TARGETS += \
--    $(B)/baseq3/cgame$(ARCH).$(SHLIBEXT) \
--    $(B)/baseq3/qagame$(ARCH).$(SHLIBEXT) \
--    $(B)/baseq3/ui$(ARCH).$(SHLIBEXT)     \
--    $(B)/missionpack/cgame$(ARCH).$(SHLIBEXT) \
--    $(B)/missionpack/qagame$(ARCH).$(SHLIBEXT) \
--    $(B)/missionpack/ui$(ARCH).$(SHLIBEXT)
-+    $(B)/baseq3/cgame.$(SHLIBEXT) \
-+    $(B)/baseq3/qagame.$(SHLIBEXT) \
-+    $(B)/baseq3/ui.$(SHLIBEXT)     \
-+    $(B)/missionpack/cgame.$(SHLIBEXT) \
-+    $(B)/missionpack/qagame.$(SHLIBEXT) \
-+    $(B)/missionpack/ui.$(SHLIBEXT)
- endif
- 
- ifneq ($(BUILD_GAME_QVM),0)
-@@ -804,11 +800,11 @@
- 	$(MAKE)  targets B=$(BD) CFLAGS="$(CFLAGS) $(DEBUG_CFLAGS) $(DEPEND_CFLAGS)"
- 
- build_release: B=$(BR)
--build_release: makedirs tools
-+build_release: makedirs
- 	$(MAKE)  targets B=$(BR) CFLAGS="$(CFLAGS) $(RELEASE_CFLAGS) $(DEPEND_CFLAGS)"
- 
- #Build both debug and release builds
--all:build_debug build_release
-+all:build_release
- 
- targets: $(TARGETS)
- 
-@@ -1022,13 +1018,10 @@
-   ifeq ($(ARCH),i386)
-     Q3OBJ += $(B)/client/vm_x86.o
+@@ -1555,6 +1555,9 @@
+   ifeq ($(ARCH),x86_64)
+     Q3OBJ += $(B)/client/vm_x86_64.o $(B)/client/vm_x86_64_assembler.o
    endif
--  ifeq ($(ARCH),x86)
--    Q3OBJ += $(B)/client/vm_x86.o
--  endif
--  ifeq ($(ARCH),x86_64)
 +  ifeq ($(ARCH),amd64)
-     Q3OBJ += $(B)/client/vm_x86_64.o
-   endif
--  ifeq ($(ARCH),ppc)
-+  ifeq ($(ARCH),powerpc)
-     Q3OBJ += $(B)/client/$(VM_PPC).o
++    Q3OBJ += $(B)/client/vm_x86_64.o $(B)/client/vm_x86_64_assembler.o
++  endif
+   ifeq ($(ARCH),ppc)
+     Q3OBJ += $(B)/client/vm_powerpc.o $(B)/client/vm_powerpc_asm.o
    endif
- endif
-@@ -1075,10 +1068,10 @@
-     $(B)/client/sdl_glimp_smp.o
- endif
- 
--$(B)/ioquake3.$(ARCH)$(BINEXT): $(Q3OBJ) $(Q3POBJ) $(LIBSDLMAIN)
-+$(B)/ioquake3$(BINEXT): $(Q3OBJ) $(Q3POBJ) $(LIBSDLMAIN)
- 	$(CC)  -o $@ $(Q3OBJ) $(Q3POBJ) $(CLIENT_LDFLAGS) $(LDFLAGS) $(LIBSDLMAIN)
- 
--$(B)/ioquake3-smp.$(ARCH)$(BINEXT): $(Q3OBJ) $(Q3POBJ_SMP) $(LIBSDLMAIN)
-+$(B)/ioquake3-smp$(BINEXT): $(Q3OBJ) $(Q3POBJ_SMP) $(LIBSDLMAIN)
- 	$(CC)  -o $@ $(Q3OBJ) $(Q3POBJ_SMP) $(CLIENT_LDFLAGS) \
- 		$(THREAD_LDFLAGS) $(LDFLAGS) $(LIBSDLMAIN)
- 
-@@ -1378,18 +1371,15 @@
-   ifeq ($(ARCH),i386)
-     Q3DOBJ += $(B)/ded/vm_x86.o
+@@ -1720,6 +1723,9 @@
+   ifeq ($(ARCH),x86_64)
+     Q3DOBJ += $(B)/ded/vm_x86_64.o $(B)/ded/vm_x86_64_assembler.o
    endif
--  ifeq ($(ARCH),x86)
--    Q3DOBJ += $(B)/ded/vm_x86.o
--  endif
--  ifeq ($(ARCH),x86_64)
 +  ifeq ($(ARCH),amd64)
-     Q3DOBJ += $(B)/ded/vm_x86_64.o
-   endif
--  ifeq ($(ARCH),ppc)
-+  ifeq ($(ARCH),powerpc)
-     Q3DOBJ += $(B)/ded/$(VM_PPC).o
++    Q3DOBJ += $(B)/ded/vm_x86_64.o $(B)/ded/vm_x86_64_assembler.o
++  endif
+   ifeq ($(ARCH),ppc)
+     Q3DOBJ += $(B)/ded/vm_powerpc.o $(B)/ded/vm_powerpc_asm.o
    endif
- endif
- 
--$(B)/ioq3ded.$(ARCH)$(BINEXT): $(Q3DOBJ)
-+$(B)/ioq3ded$(BINEXT): $(Q3DOBJ)
- 	$(CC) -o $@ $(Q3DOBJ) $(LDFLAGS)
- 
- $(B)/ded/sv_bot.o : $(SDIR)/sv_bot.c; $(DO_DED_CC)
-@@ -1506,7 +1496,7 @@
- Q3CGOBJ = $(Q3CGOBJ_) $(B)/baseq3/cgame/cg_syscalls.o
- Q3CGVMOBJ = $(Q3CGOBJ_:%.o=%.asm) $(B)/baseq3/game/bg_lib.asm
- 
--$(B)/baseq3/cgame$(ARCH).$(SHLIBEXT) : $(Q3CGOBJ)
-+$(B)/baseq3/cgame.$(SHLIBEXT) : $(Q3CGOBJ)
- 	$(CC) $(SHLIBLDFLAGS) -o $@ $(Q3CGOBJ)
- 
- $(B)/baseq3/vm/cgame.qvm: $(Q3CGVMOBJ) $(CGDIR)/cg_syscalls.asm
-@@ -1547,7 +1537,7 @@
- MPCGOBJ = $(MPCGOBJ_) $(B)/missionpack/cgame/cg_syscalls.o
- MPCGVMOBJ = $(MPCGOBJ_:%.o=%.asm) $(B)/missionpack/game/bg_lib.asm
- 
--$(B)/missionpack/cgame$(ARCH).$(SHLIBEXT) : $(MPCGOBJ)
-+$(B)/missionpack/cgame$(SHLIBEXT) : $(MPCGOBJ)
- 	$(CC) $(SHLIBLDFLAGS) -o $@ $(MPCGOBJ)
- 
- $(B)/missionpack/vm/cgame.qvm: $(MPCGVMOBJ) $(CGDIR)/cg_syscalls.asm
-@@ -1597,7 +1587,7 @@
- Q3GOBJ = $(Q3GOBJ_) $(B)/baseq3/game/g_syscalls.o
- Q3GVMOBJ = $(Q3GOBJ_:%.o=%.asm) $(B)/baseq3/game/bg_lib.asm
- 
--$(B)/baseq3/qagame$(ARCH).$(SHLIBEXT) : $(Q3GOBJ)
-+$(B)/baseq3/qagame.$(SHLIBEXT) : $(Q3GOBJ)
- 	$(CC) $(SHLIBLDFLAGS) -o $@ $(Q3GOBJ)
- 
- $(B)/baseq3/vm/qagame.qvm: $(Q3GVMOBJ) $(GDIR)/g_syscalls.asm
-@@ -1645,7 +1635,7 @@
- MPGOBJ = $(MPGOBJ_) $(B)/missionpack/game/g_syscalls.o
- MPGVMOBJ = $(MPGOBJ_:%.o=%.asm) $(B)/missionpack/game/bg_lib.asm
- 
--$(B)/missionpack/qagame$(ARCH).$(SHLIBEXT) : $(MPGOBJ)
-+$(B)/missionpack/qagame.$(SHLIBEXT) : $(MPGOBJ)
- 	$(CC) $(SHLIBLDFLAGS) -o $@ $(MPGOBJ)
- 
- $(B)/missionpack/vm/qagame.qvm: $(MPGVMOBJ) $(GDIR)/g_syscalls.asm
-@@ -1705,7 +1695,7 @@
- Q3UIOBJ = $(Q3UIOBJ_) $(B)/missionpack/ui/ui_syscalls.o
- Q3UIVMOBJ = $(Q3UIOBJ_:%.o=%.asm) $(B)/baseq3/game/bg_lib.asm
- 
--$(B)/baseq3/ui$(ARCH).$(SHLIBEXT) : $(Q3UIOBJ)
-+$(B)/baseq3/ui.$(SHLIBEXT) : $(Q3UIOBJ)
- 	$(CC) $(CFLAGS) $(SHLIBLDFLAGS) -o $@ $(Q3UIOBJ)
- 
- $(B)/baseq3/vm/ui.qvm: $(Q3UIVMOBJ) $(UIDIR)/ui_syscalls.asm
-@@ -1730,7 +1720,7 @@
- MPUIOBJ = $(MPUIOBJ_) $(B)/missionpack/ui/ui_syscalls.o
- MPUIVMOBJ = $(MPUIOBJ_:%.o=%.asm) $(B)/baseq3/game/bg_lib.asm
- 
--$(B)/missionpack/ui$(ARCH).$(SHLIBEXT) : $(MPUIOBJ)
-+$(B)/missionpack/ui.$(SHLIBEXT) : $(MPUIOBJ)
- 	$(CC) $(CFLAGS) $(SHLIBLDFLAGS) -o $@ $(MPUIOBJ)
- 
- $(B)/missionpack/vm/ui.qvm: $(MPUIVMOBJ) $(UIDIR)/ui_syscalls.asm
diff -Nur openarena.orig/files/patch-code__qcommon__common.c openarena/files/patch-code__qcommon__common.c
--- openarena.orig/files/patch-code__qcommon__common.c	2010-06-10 08:44:50.000000000 +0200
+++ openarena/files/patch-code__qcommon__common.c	1970-01-01 01:00:00.000000000 +0100
@@ -1,10 +0,0 @@
---- ./code/qcommon/common.c.orig	Wed Apr 26 08:27:12 2006
-+++ ./code/qcommon/common.c	Sun Jun 11 17:26:26 2006
-@@ -25,6 +25,7 @@
- #include "qcommon.h"
- #include <setjmp.h>
- #ifndef _WIN32
-+#include <sys/types.h>
- #include <netinet/in.h>
- #include <sys/stat.h> // umask
- #else
diff -Nur openarena.orig/files/patch-code__qcommon__q_platform.h openarena/files/patch-code__qcommon__q_platform.h
--- openarena.orig/files/patch-code__qcommon__q_platform.h	2010-06-10 08:44:50.000000000 +0200
+++ openarena/files/patch-code__qcommon__q_platform.h	1970-01-01 01:00:00.000000000 +0100
@@ -1,15 +0,0 @@
---- ./code/qcommon/q_platform.h.orig	Tue Dec 27 16:46:01 2005
-+++ ./code/qcommon/q_platform.h	Sun Jun 11 17:26:26 2006
-@@ -176,11 +176,7 @@
- #define ID_INLINE inline
- #define PATH_SEP '/'
- 
--#ifdef __i386__
--#define ARCH_STRING "i386"
--#elif defined __axp__
--#define ARCH_STRING "alpha"
--#endif
-+#define ARCH_STRING ARCH
- 
- #if BYTE_ORDER == BIG_ENDIAN
- #define Q3_BIG_ENDIAN
diff -Nur openarena.orig/files/patch-code__unix__linux_glimp.c openarena/files/patch-code__unix__linux_glimp.c
--- openarena.orig/files/patch-code__unix__linux_glimp.c	2010-06-10 08:44:50.000000000 +0200
+++ openarena/files/patch-code__unix__linux_glimp.c	1970-01-01 01:00:00.000000000 +0100
@@ -1,19 +0,0 @@
---- ./code/unix/linux_glimp.c.orig	Sun Apr 30 11:32:56 2006
-+++ ./code/unix/linux_glimp.c	Sun Jun 11 17:26:26 2006
-@@ -631,8 +631,14 @@
- 
-           dx = ((int)event.xmotion.x - mwx);
-           dy = ((int)event.xmotion.y - mwy);
--					mx += dx;
--					my += dy;
-+          if (abs(dx) > 1)
-+            mx += dx * 2;
-+          else
-+            mx += dx;
-+          if (abs(dy) > 1)
-+            my += dy * 2;
-+          else
-+            my += dy;
- 
-           mwx = event.xmotion.x;
-           mwy = event.xmotion.y;
diff -Nur openarena.orig/files/patch-code__unix__unix_main.c openarena/files/patch-code__unix__unix_main.c
--- openarena.orig/files/patch-code__unix__unix_main.c	2010-06-10 08:44:50.000000000 +0200
+++ openarena/files/patch-code__unix__unix_main.c	1970-01-01 01:00:00.000000000 +0100
@@ -1,31 +0,0 @@
---- ./code/unix/unix_main.c.orig	Sun Feb 26 18:22:12 2006
-+++ ./code/unix/unix_main.c	Sun Jun 11 17:26:26 2006
-@@ -774,6 +774,7 @@
-   char  curpath[MAX_OSPATH];
-   char  fname[MAX_OSPATH];
-   char  *basepath;
-+  char  *libpath;
-   char  *homepath;
-   char  *pwdpath;
-   char  *cdpath;
-@@ -789,14 +790,19 @@
-   // TODO: use fs_searchpaths from files.c
-   pwdpath = Sys_Cwd();
-   basepath = Cvar_VariableString( "fs_basepath" );
-+  libpath = LIBDIR;
-   homepath = Cvar_VariableString( "fs_homepath" );
-   cdpath = Cvar_VariableString( "fs_cdpath" );
-   gamedir = Cvar_VariableString( "fs_game" );
- 
--  libHandle = try_dlopen(pwdpath, gamedir, fname, fqpath);
-+  if(!libHandle && homepath)
-+    libHandle = try_dlopen(pwdpath, gamedir, fname, fqpath);
- 
-   if(!libHandle && homepath)
-     libHandle = try_dlopen(homepath, gamedir, fname, fqpath);
-+
-+  if(!libHandle && basepath)
-+    libHandle = try_dlopen(libpath, gamedir, fname, fqpath);
- 
-   if(!libHandle && basepath)
-     libHandle = try_dlopen(basepath, gamedir, fname, fqpath);
diff -Nur openarena.orig/files/patch-code_client_snd_openal.c openarena/files/patch-code_client_snd_openal.c
--- openarena.orig/files/patch-code_client_snd_openal.c	2010-06-10 08:44:50.000000000 +0200
+++ openarena/files/patch-code_client_snd_openal.c	1970-01-01 01:00:00.000000000 +0100
@@ -1,11 +0,0 @@
---- code/client/snd_openal.c.orig	2009-12-26 18:20:08.000000000 +0100
-+++ code/client/snd_openal.c	2009-12-26 18:20:27.000000000 +0100
-@@ -1676,7 +1676,7 @@
- #elif defined(MACOS_X)
- #define ALDRIVER_DEFAULT "/System/Library/Frameworks/OpenAL.framework/OpenAL"
- #else
--#define ALDRIVER_DEFAULT "libopenal.so.0"
-+#define ALDRIVER_DEFAULT "libopenal.so"
- #endif
- 
- /*
diff -Nur openarena.orig/files/patch-feature-DEFAULT_LIBDIR openarena/files/patch-feature-DEFAULT_LIBDIR
--- openarena.orig/files/patch-feature-DEFAULT_LIBDIR	1970-01-01 01:00:00.000000000 +0100
+++ openarena/files/patch-feature-DEFAULT_LIBDIR	2010-06-10 08:47:56.000000000 +0200
@@ -0,0 +1,128 @@
+--- code/qcommon/files.c.orig	2009-11-09 23:41:42.205886000 +0100
++++ code/qcommon/files.c	2010-02-16 15:26:18.000000000 +0100
+@@ -242,6 +242,7 @@
+ #endif
+ 
+ static	cvar_t		*fs_basepath;
++static	cvar_t		*fs_libpath;
+ static	cvar_t		*fs_basegame;
+ static	cvar_t		*fs_gamedirvar;
+ static	searchpath_t	*fs_searchpaths;
+@@ -2807,6 +2808,8 @@
+ 	fs_debug = Cvar_Get( "fs_debug", "0", 0 );
+ 	fs_basepath = Cvar_Get ("fs_basepath", Sys_DefaultInstallPath(), CVAR_INIT );
+ 	fs_basegame = Cvar_Get ("fs_basegame", "", CVAR_INIT );
++	fs_libpath = Cvar_Get ("fs_libpath", Sys_DefaultLibPath(), CVAR_INIT );
++	
+ 	homePath = Sys_DefaultHomePath();
+ 	if (!homePath || !homePath[0]) {
+ 		homePath = fs_basepath->string;
+--- code/qcommon/qcommon.h.orig	2010-02-15 17:20:33.680787000 +0100
++++ code/qcommon/qcommon.h	2010-02-16 15:26:18.000000000 +0100
+@@ -1085,6 +1085,9 @@
+ char    *Sys_DefaultAppPath(void);
+ #endif
+ 
++void	Sys_SetDefaultLibPath(const char *path);
++char	*Sys_DefaultLibPath(void);
++
+ void  Sys_SetDefaultHomePath(const char *path);
+ char	*Sys_DefaultHomePath(void);
+ const char	*Sys_TempPath(void);
+--- code/sys/sys_main.c.orig	2010-02-15 17:20:33.680787000 +0100
++++ code/sys/sys_main.c	2010-02-16 15:26:18.000000000 +0100
+@@ -49,6 +49,7 @@
+ 
+ static char binaryPath[ MAX_OSPATH ] = { 0 };
+ static char installPath[ MAX_OSPATH ] = { 0 };
++static char libPath[ MAX_OSPATH ] = { 0 };
+ 
+ /*
+ =================
+@@ -95,6 +96,29 @@
+ 
+ /*
+ =================
++Sys_SetDefaultLibPath
++=================
++*/
++void Sys_SetDefaultLibPath(const char *path)
++{
++	Q_strncpyz(libPath, path, sizeof(libPath));
++}
++
++/*
++=================
++Sys_DefaultLibPath
++=================
++*/
++char *Sys_DefaultLibPath(void)
++{
++	if (*libPath)
++		return libPath;
++	else
++		return Sys_Cwd();
++}
++
++/*
++=================
+ Sys_DefaultAppPath
+ =================
+ */
+@@ -435,6 +459,7 @@
+ Used to load a development dll instead of a virtual machine
+ #1 look in fs_homepath
+ #2 look in fs_basepath
++#3 look in fs_libpath
+ =================
+ */
+ void *Sys_LoadDll( const char *name, char *fqpath ,
+@@ -445,6 +470,7 @@
+ 	void  (*dllEntry)( intptr_t (*syscallptr)(intptr_t, ...) );
+ 	char  fname[MAX_OSPATH];
+ 	char  *basepath;
++	char  *libpath;
+ 	char  *homepath;
+ 	char  *gamedir;
+ 
+@@ -454,6 +480,7 @@
+ 
+ 	// TODO: use fs_searchpaths from files.c
+ 	basepath = Cvar_VariableString( "fs_basepath" );
++	libpath = Cvar_VariableString( "fs_libpath" );
+ 	homepath = Cvar_VariableString( "fs_homepath" );
+ 	gamedir = Cvar_VariableString( "fs_game" );
+ 
+@@ -462,6 +489,9 @@
+ 	if(!libHandle && basepath)
+ 		libHandle = Sys_TryLibraryLoad(basepath, gamedir, fname, fqpath);
+ 
++	if(!libHandle && libpath)
++		libHandle = Sys_TryLibraryLoad(libpath, gamedir, fname, fqpath);
++
+ 	if(!libHandle) {
+ 		Com_Printf ( "Sys_LoadDll(%s) failed to load library\n", name );
+ 		return NULL;
+@@ -515,6 +545,14 @@
+ #	endif
+ #endif
+ 
++#ifndef DEFAULT_LIBDIR
++#	ifdef MACOS_X
++#		define DEFAULT_LIBDIR Sys_StripAppBundle(Sys_BinaryPath())
++#	else
++#		define DEFAULT_LIBDIR Sys_BinaryPath()
++#	endif
++#endif
++
+ /*
+ =================
+ Sys_SigHandler
+@@ -589,6 +627,7 @@
+ 	Sys_ParseArgs( argc, argv );
+ 	Sys_SetBinaryPath( Sys_Dirname( argv[ 0 ] ) );
+ 	Sys_SetDefaultInstallPath( DEFAULT_BASEDIR );
++	Sys_SetDefaultLibPath( DEFAULT_LIBDIR );
+ 
+ 	// Concatenate the command line for passing to Com_Init
+ 	for( i = 1; i < argc; i++ )
diff -Nur openarena.orig/pkg-descr openarena/pkg-descr
--- openarena.orig/pkg-descr	2010-06-10 08:44:50.000000000 +0200
+++ openarena/pkg-descr	2010-06-15 20:58:25.000000000 +0200
@@ -1,10 +1,7 @@
-OpenArena is an open-source content package for Quake III Arena licensed under
-the GPL, effectively creating a free stand-alone game. You do not need Quake
-III Arena to play this game.
-
-Bots were added starting in 0.6.0. They will spout taunts and everything!
-
-Concepts would be loose, so don't expect a remake of Klesk in his original
-Klesk form, or any direct remakes of any map/weapon/model.
+OpenArena is a community-produced deathmatch FPS based on GPL idTech3
+technology.
+There are many game types supported including Free For All, Capture The Flag,
+Domination, Overload, Harvester, and more. There are 17 unique player models to
+choose from and 12 weapons.
 
 WWW: http://openarena.ws/
diff -Nur openarena.orig/pkg-message openarena/pkg-message
--- openarena.orig/pkg-message	2010-06-10 08:44:50.000000000 +0200
+++ openarena/pkg-message	2010-06-10 08:47:56.000000000 +0200
@@ -1,10 +1,6 @@
 ==============================================================================
 
-If you have sound problems with SDL try setting the variable "s_sdlSpeed" to
-"44100". It will be saved to the configuration file.
-
-If you have sound problems with OpenAL recompile without it. Also the OPENAL
-option causes the program to omit restoring gamma and mouse sensivity after
-exitting.
+Should the game freeze when entering a match, try to change the value of
+com_zoneMegs (e.g. to 48).
 
 ==============================================================================
diff -Nur openarena.orig/pkg-plist openarena/pkg-plist
--- openarena.orig/pkg-plist	2010-06-10 08:44:50.000000000 +0200
+++ openarena/pkg-plist	2010-09-06 18:19:22.000000000 +0200
@@ -1,23 +1,8 @@
-%%DEDICATED%%bin/openarenaded
-%%CLIENT%%bin/openarena
-%%SMP%%bin/openarena-smp
-%%DATADIR%%/baseoa/pak0.pk3
-%%DATADIR%%/baseoa/pak1-maps.pk3
-%%DATADIR%%/baseoa/pak2-players-mature.pk3
-%%DATADIR%%/baseoa/pak2-players.pk3
-%%DATADIR%%/baseoa/pak3-music.pk3
-%%DATADIR%%/baseoa/pak4-textures.pk3
-%%DATADIR%%/baseoa/pak5-TA.pk3
-%%DATADIR%%/baseoa/pak6-misc.pk3
-%%DATADIR%%/baseoa/pak7-patch.pk3
-%%GAMELIBS%%%%LIBDIR%%/baseoa/cgame.so
-%%GAMELIBS%%%%LIBDIR%%/baseoa/qagame.so
-%%GAMELIBS%%%%LIBDIR%%/baseoa/ui.so
-%%GAMELIBS%%%%LIBDIR%%/missionpack/cgame.so
-%%GAMELIBS%%%%LIBDIR%%/missionpack/qagame.so
-%%GAMELIBS%%%%LIBDIR%%/missionpack/ui.so
-@dirrm %%DATADIR%%/baseoa
-@dirrm %%DATADIR%%
-%%GAMELIBS%%@dirrm %%LIBDIR%%/missionpack
+%%DEDICATED%%bin/oa_ded%%BINSUFFIX%%
+%%CLIENT%%bin/openarena%%BINSUFFIX%%
+%%SMP%%bin/openarena-smp%%BINSUFFIX%%
+%%GAMELIBS%%%%LIBDIR%%/baseoa/cgame%%ARCH%%.so
+%%GAMELIBS%%%%LIBDIR%%/baseoa/qagame%%ARCH%%.so
+%%GAMELIBS%%%%LIBDIR%%/baseoa/ui%%ARCH%%.so
 %%GAMELIBS%%@dirrm %%LIBDIR%%/baseoa
 %%GAMELIBS%%@dirrm %%LIBDIR%%
Comment 15 kamikaze 2010-09-07 08:27:08 UTC
shar-ports-games-openarena-data.txt

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	openarena-data
#	openarena-data/Makefile
#	openarena-data/distinfo
#	openarena-data/pkg-descr
#	openarena-data/pkg-plist
#
echo c - openarena-data
mkdir -p openarena-data > /dev/null 2>&1
echo x - openarena-data/Makefile
sed 's/^X//' >openarena-data/Makefile << '67b2821b286851c51e020a33e53376e4'
X# New ports collection makefile for:	openarena-data
X# Date created:				15 June 2010
X# Whom:					Dominic Fandrey
X#
X# $FreeBSD$
X#
X
XPORTNAME=	data
XPORTVERSION=	0.8.5
XCATEGORIES=	games
XMASTER_SITES=	http://openarena.ws/request.php?2\\\#/:data \
X		http://openarena.ws/request.php?3\\\#/:patch
XDISTFILES=	${OA_DATA}:data \
X		${OA_PATCH}:patch
XEXTRACT_ONLY=
X
XMAINTAINER=	kamikaze@bsdforen.de
XCOMMENT=	OpenArena game data files
X
XUSE_ZIP=	yes
X
XWRKSRC=		${WRKDIR}
XNO_BUILD=	yes
XFETCH_ARGS=
XUSE_ZIP=	yes
X
XOA_DATA=	oa081.zip
XOA_DATA_VER=	0.8.1
XOA_PATCH=	oa085p.zip
XOA_PATCH_VER=	0.8.1
X
Xdo-install:
X		@${MKDIR} ${DATADIR}
X		@${UNZIP_CMD} -j ${DISTDIR}/${OA_DATA} \
X			${PKGNAMEPREFIX}${OA_DATA_VER}/${OABASE}/\* \
X			-d ${DATADIR}
X		@${UNZIP_CMD} -j ${DISTDIR}/${OA_PATCH} \
X			${PKGNAMEPREFIX}${OA_PATCH_VER}/${OABASE}/\* \
X			-d ${DATADIR}
X		@${CHMOD} -R o-w ${DATADIR}
X
X.include "../openarena/Makefile.include"
67b2821b286851c51e020a33e53376e4
echo x - openarena-data/distinfo
sed 's/^X//' >openarena-data/distinfo << '1e2f13211ae9949fbad1e584a0333338'
XMD5 (oa081.zip) = 49006bcb02b4e8ea3d06749e8f4e4887
XSHA256 (oa081.zip) = c96282de8bc2ac5781df58c6adbce4265376e36190af50d7528f51dc739b6d7d
XSIZE (oa081.zip) = 318927645
XMD5 (oa085p.zip) = b2a0437da751cd50dd2351ed9e0c4e9d
XSHA256 (oa085p.zip) = d360c4b095bc3b34d03d9a366b21c12052c3f9e9c57e86b17c8b2c038baa4719
XSIZE (oa085p.zip) = 42528474
1e2f13211ae9949fbad1e584a0333338
echo x - openarena-data/pkg-descr
sed 's/^X//' >openarena-data/pkg-descr << '49772acacbc0c47b3b14636b723e1e0e'
XThis is the game data port for the ioquake3 engine based game OpenArena.
X
XWWW: http://openarena.ws/
49772acacbc0c47b3b14636b723e1e0e
echo x - openarena-data/pkg-plist
sed 's/^X//' >openarena-data/pkg-plist << '47943fd6f993c86d0b5cb08deb5a2ed7'
X%%DATADIR%%/pak0.pk3
X%%DATADIR%%/pak1-maps.pk3
X%%DATADIR%%/pak2-players-mature.pk3
X%%DATADIR%%/pak2-players.pk3
X%%DATADIR%%/pak4-textures.pk3
X%%DATADIR%%/pak5-TA.pk3
X%%DATADIR%%/pak6-misc.pk3
X%%DATADIR%%/pak6-patch085.pk3
X@dirrm %%DATADIR%%
X@dirrmtry %%OADIR%%
47943fd6f993c86d0b5cb08deb5a2ed7
exit
Comment 16 kamikaze 2010-09-07 08:27:58 UTC
shar-ports-games-openarena-oax.txt

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	openarena-oax
#	openarena-oax/Makefile
#	openarena-oax/distinfo
#	openarena-oax/pkg-descr
#	openarena-oax/pkg-plist
#
echo c - openarena-oax
mkdir -p openarena-oax > /dev/null 2>&1
echo x - openarena-oax/Makefile
sed 's/^X//' >openarena-oax/Makefile << 'c96298bd3e29c6691e79d88131cb5872'
X# New ports collection makefile for:	openarena-oax
X# Date created:				21 May 2010
X# Whom:					Dominic Fandrey
X#
X# $FreeBSD$
X#
X
XPORTNAME=	oax
XPORTVERSION=	B45
XCATEGORIES=	games
XMASTER_SITES=	http://files.poulsander.com/~poul19/public_files/eliminationSource/
XDISTNAME=	${PORTNAME}${PORTVERSION}
XEXTRACT_SUFX=	.zip
XEXTRACT_ONLY=
X
XMAINTAINER=	kamikaze@bsdforen.de
XCOMMENT=	OpenArena Mod: OpenArena Xpanded
X
XUSE_ZIP=	yes
X
XPLIST_SUB+=	DISTNAME="${DISTNAME}" \
X		PORTNAME="${PORTNAME}"
X
XNO_BUILD=	yes
X
XOABASE=		${DISTNAME}
X
Xdo-install:
X	@${MKDIR} ${DATADIR}
X	@${UNZIP_CMD} ${DISTDIR}/${DISTFILES} -d ${OADIR}
X	@${CHMOD} -R o-w ${DATADIR}
X
X.include "../openarena/Makefile.include"
c96298bd3e29c6691e79d88131cb5872
echo x - openarena-oax/distinfo
sed 's/^X//' >openarena-oax/distinfo << '263463adef82b6f156d60fe931e76cb8'
XMD5 (oaxB45.zip) = 395b29a38184100cea7dc3206979770f
XSHA256 (oaxB45.zip) = 43f21a45329b549b5a0a967269e50cf89803b5e084598d7fbef726fa63e0aa14
XSIZE (oaxB45.zip) = 465245
263463adef82b6f156d60fe931e76cb8
echo x - openarena-oax/pkg-descr
sed 's/^X//' >openarena-oax/pkg-descr << '0b28410ff7e7044416b6da43d806a1c7'
XOpenArena Expanded is the development version of OpenArena. Its purpose is both
Xto create improve the basic OpenArena gameplay but also to create a good
Xstarting point for any OpenArena or Quake III:Arena mods.
X
XIt does not include engine or platform specific code. The source code is
XGPL v2 or later but some of the tools are not.
X
XWWW: http://code.google.com/p/oax/
0b28410ff7e7044416b6da43d806a1c7
echo x - openarena-oax/pkg-plist
sed 's/^X//' >openarena-oax/pkg-plist << '98f6cd529460956fff768581152ac0ae'
X%%DATADIR%%/%%PORTNAME%%.pk3
X%%DATADIR%%/readme.txt
X@dirrm %%DATADIR%%
X@dirrmtry %%OADIR%%
98f6cd529460956fff768581152ac0ae
exit
Comment 18 kamikaze 2010-09-07 09:34:02 UTC
Resend, did not arrive the first time.

shar-ports-games-openarena-oax.txt

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	openarena-oax
#	openarena-oax/Makefile
#	openarena-oax/distinfo
#	openarena-oax/pkg-descr
#	openarena-oax/pkg-plist
#
echo c - openarena-oax
mkdir -p openarena-oax > /dev/null 2>&1
echo x - openarena-oax/Makefile
sed 's/^X//' >openarena-oax/Makefile << 'c96298bd3e29c6691e79d88131cb5872'
X# New ports collection makefile for:	openarena-oax
X# Date created:				21 May 2010
X# Whom:					Dominic Fandrey
X#
X# $FreeBSD$
X#
X
XPORTNAME=	oax
XPORTVERSION=	B45
XCATEGORIES=	games
XMASTER_SITES=	http://files.poulsander.com/~poul19/public_files/eliminationSource/
XDISTNAME=	${PORTNAME}${PORTVERSION}
XEXTRACT_SUFX=	.zip
XEXTRACT_ONLY=
X
XMAINTAINER=	kamikaze@bsdforen.de
XCOMMENT=	OpenArena Mod: OpenArena Xpanded
X
XUSE_ZIP=	yes
X
XPLIST_SUB+=	DISTNAME="${DISTNAME}" \
X		PORTNAME="${PORTNAME}"
X
XNO_BUILD=	yes
X
XOABASE=		${DISTNAME}
X
Xdo-install:
X	@${MKDIR} ${DATADIR}
X	@${UNZIP_CMD} ${DISTDIR}/${DISTFILES} -d ${OADIR}
X	@${CHMOD} -R o-w ${DATADIR}
X
X.include "../openarena/Makefile.include"
c96298bd3e29c6691e79d88131cb5872
echo x - openarena-oax/distinfo
sed 's/^X//' >openarena-oax/distinfo << '263463adef82b6f156d60fe931e76cb8'
XMD5 (oaxB45.zip) = 395b29a38184100cea7dc3206979770f
XSHA256 (oaxB45.zip) = 43f21a45329b549b5a0a967269e50cf89803b5e084598d7fbef726fa63e0aa14
XSIZE (oaxB45.zip) = 465245
263463adef82b6f156d60fe931e76cb8
echo x - openarena-oax/pkg-descr
sed 's/^X//' >openarena-oax/pkg-descr << '0b28410ff7e7044416b6da43d806a1c7'
XOpenArena Expanded is the development version of OpenArena. Its purpose is both
Xto create improve the basic OpenArena gameplay but also to create a good
Xstarting point for any OpenArena or Quake III:Arena mods.
X
XIt does not include engine or platform specific code. The source code is
XGPL v2 or later but some of the tools are not.
X
XWWW: http://code.google.com/p/oax/
0b28410ff7e7044416b6da43d806a1c7
echo x - openarena-oax/pkg-plist
sed 's/^X//' >openarena-oax/pkg-plist << '98f6cd529460956fff768581152ac0ae'
X%%DATADIR%%/%%PORTNAME%%.pk3
X%%DATADIR%%/readme.txt
X@dirrm %%DATADIR%%
X@dirrmtry %%OADIR%%
98f6cd529460956fff768581152ac0ae
exit
Comment 20 kamikaze 2010-09-27 13:05:03 UTC
Requesting committer time out.
Comment 21 Max Brazhnikov freebsd_committer 2010-09-27 19:10:19 UTC
Responsible Changed
From-To: makc->freebsd-ports-bugs

Sorry, run out of time.
Comment 22 jtolbert 2010-09-27 22:44:07 UTC
Hello,

I approve of patch-6.diff, shar-7.sh and shar-8.sh. If possible, I'd 
like to change the MAINTAINER for this port to Dominic Fandrey 
<kamikaze@bsdforen.de>.

Cheers,

Josh
Comment 23 pav freebsd_committer 2010-11-24 14:12:36 UTC
State Changed
From-To: open->feedback

Seems like openarena-data port does not include bsd.port.mk at all now 


Comment 24 pav freebsd_committer 2010-11-24 14:12:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Track
Comment 25 pav freebsd_committer 2010-11-25 15:27:41 UTC
State Changed
From-To: feedback->closed

Committed, thanks
Comment 26 dfilter freebsd_committer 2010-11-25 15:29:24 UTC
pav         2010-11-25 15:29:19 UTC

  FreeBSD ports repository

  Modified files:
    games                Makefile 
    games/ioquake3       Makefile 
    games/openarena      Makefile distinfo pkg-descr pkg-message 
                         pkg-plist 
    games/openarena/files patch-Makefile 
  Added files:
    games/openarena      Makefile.include 
    games/openarena/files patch-feature-DEFAULT_LIBDIR 
    games/openarena-data Makefile distinfo pkg-descr pkg-plist 
    games/openarena-oax  Makefile distinfo pkg-descr pkg-plist 
  Removed files:
    games/openarena/files patch-code__qcommon__common.c 
                          patch-code__qcommon__q_platform.h 
                          patch-code__unix__linux_glimp.c 
                          patch-code__unix__unix_main.c 
                          patch-code_client_snd_openal.c 
  Log:
  - Update openarena to 0.8.5 and spin out two extra ports
  - Move maintainership to the submitter
  
  PR:             ports/146818
  Submitted by:   Dominic Fandrey <kamikaze@bsdforen.de>
  Approved by:    old maintainer
  
  Revision  Changes    Path
  1.1359    +2 -0      ports/games/Makefile
  1.24      +3 -0      ports/games/ioquake3/Makefile
  1.1       +42 -0     ports/games/openarena-data/Makefile (new)
  1.1       +6 -0      ports/games/openarena-data/distinfo (new)
  1.1       +3 -0      ports/games/openarena-data/pkg-descr (new)
  1.1       +10 -0     ports/games/openarena-data/pkg-plist (new)
  1.1       +33 -0     ports/games/openarena-oax/Makefile (new)
  1.1       +3 -0      ports/games/openarena-oax/distinfo (new)
  1.1       +8 -0      ports/games/openarena-oax/pkg-descr (new)
  1.1       +4 -0      ports/games/openarena-oax/pkg-plist (new)
  1.10      +19 -139   ports/games/openarena/Makefile
  1.1       +23 -0     ports/games/openarena/Makefile.include (new)
  1.2       +3 -9      ports/games/openarena/distinfo
  1.3       +91 -302   ports/games/openarena/files/patch-Makefile
  1.2       +0 -10     ports/games/openarena/files/patch-code__qcommon__common.c (dead)
  1.2       +0 -15     ports/games/openarena/files/patch-code__qcommon__q_platform.h (dead)
  1.2       +0 -19     ports/games/openarena/files/patch-code__unix__linux_glimp.c (dead)
  1.2       +0 -31     ports/games/openarena/files/patch-code__unix__unix_main.c (dead)
  1.2       +0 -11     ports/games/openarena/files/patch-code_client_snd_openal.c (dead)
  1.1       +128 -0    ports/games/openarena/files/patch-feature-DEFAULT_LIBDIR (new)
  1.2       +5 -8      ports/games/openarena/pkg-descr
  1.2       +2 -6      ports/games/openarena/pkg-message
  1.2       +6 -21     ports/games/openarena/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"